$(function () {
	mui.init({
		beforeback: function () {
			if (mui.os.plus) {
				// 获得父页面的webview
				var list = plus.webview.currentWebview().opener();
				// 触发父页面的自定义事件(refresh),从而进行刷新
				mui.fire(list, 'refresh');
			}
			//返回true,继续页面关闭逻辑
			return true;
		}
	});

	var containerHeight = $(window).height() - Number($('header').css('height').replace("px", ''))
	$("#list").height(containerHeight)

	//create
	window.indexedList = new mui.IndexedList(list);

	/*获取当前页面名称*/
	function pageName() {
		var a = location.href;
		var b = a.split("/");
		var c = b.slice(b.length - 1, b.length).toString(String).split(".");
		return c.slice(0, 1);
	}

	/*动态渲染地址数据*/
	function city_data(flag) { //通过传参进行不同的筛选;
		var list = cityData['data'];
		var str = '';
		var ANum = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'J', 'K', 'L', 'M', 'N', 'P', 'Q', 'R', 'S', 'T', 'W', 'X', 'Y', 'Z'];
		if (flag == 'every') {
			for (var i = 0; i < ANum.length; i++) {
				// str += '<div class="city-list"><span class="city-letter" id="' + ANum[i] + '1">' + ANum[i] + '</span>';
				str += '<li data-group="' + ANum[i] + '" class="mui-table-view-divider mui-indexed-list-group">' + ANum[i] + '</li>';
				for (var j = 0; j < list.length; j++) {
					if (list[j].headCode == ANum[i]) {
						// str += '<p data-id="' + list[j].stationCode.trim() + '">' + list[j].cityName + '</p>'
						str += '<li data-id="' + list[j].stationCode.trim() + '" data-tags="' + list[j].simpleCode.trim() + '" class="mui-table-view-cell mui-indexed-list-item">' + list[j].cityName + '</li>'
					}
				}
				str += '</div>'
			}
		} else if (flag == "screening") {
			var value = $('.search_city').find('input').val();
			/*if(value==null||value==''){
			  return;
			}*/
			var reg = /^[A-Za-z]+$/;
			if (reg.test(value)) {
				//字母筛选
				value = value.toUpperCase();
				//截取字符串进行匹配
				var datalist = list.filter(function (ele, index, arry) {
					return ele.simpleCode.substr(0, value.length).indexOf(value) != -1;
				})
				var filterNum = [];
				datalist.forEach(function (item, index) {
					filterNum.push(item.simpleCode.substr(0, 1))
				});
				//重复的去重处理
				filterNum = filterNum.filter(function (ele, index, arry) {
					return arry.indexOf(ele) == index;
				})
				//把筛选后的数据进行遍历
				for (var i = 0; i < filterNum.length; i++) {
					str += '<div class="city-list"><span class="city-letter" id="' + filterNum[i] + '1">' + filterNum[i] + '</span>';
					for (var j = 0; j < datalist.length; j++) {
						if (datalist[j].headCode == filterNum[i]) {
							str += '<p data-id="' + datalist[j].stationCode.trim() + '">' + datalist[j].cityName + '</p>'
						}
					}
					str += '</div>'
				} //筛选完成

			} else {
				//文字筛选
				var datalist = list.filter(function (ele, index, arry) {
					return ele.cityName.indexOf(value) != -1;
				});
				//搜索到的地址，头子母呈现
				var filterNum = [];
				datalist.forEach(function (item, index) {
					filterNum.push(item.simpleCode.substr(0, 1))
				});
				//重复的去重处理
				filterNum = filterNum.filter(function (ele, index, arry) {
					return arry.indexOf(ele) == index;
				})

				//把筛选后的数据进行遍历
				for (var i = 0; i < filterNum.length; i++) {
					str += '<div class="city-list"><span class="city-letter" id="' + filterNum[i] + '1">' + filterNum[i] + '</span>';
					for (var j = 0; j < datalist.length; j++) {
						if (datalist[j].headCode == filterNum[i]) {
							str += '<p data-id="' + datalist[j].stationCode.trim() + '">' + datalist[j].cityName + '</p>'
						}
					}
					str += '</div>'
				} //筛选完成
			}

		}
		document.getElementsByClassName('city')[0].innerHTML = str;
	}



	//获取信息
	function getItem(key) {
		var jsonString = localStorage.getItem(key);
		return JSON.parse(jsonString)
	}

	//getAjax方法的封装 TODO
	function ajaxGet(dataCall) {
		$.ajax({
			type: "get",
			url: commonPart + "/user/settingCity.do",
			data: dataCall,
			cache: false,
			dataType: "jsonp",
			beforeSend: function () {
				mask.show(); //显示遮罩
				$(".onload").show().css({
					"width": "32px",
					"height": "32px",
					"margin-top": "-16px",
					"margin-left": "-16px"
				});
			},
			success: function (data) {
				console.log(JSON.stringify(data))
				if (data.reqState == 1 || data.reqState == 4) {
					var loginData = {};
					loginData.token = localStorage.token;
					loginData.cityList = data.body.data;
					localStorage.loginData = JSON.stringify(loginData);
					if (pageName()[0] == "citySearch") {
						mui.back();
						mui.openWindow({
							url: '../web/cityBuilde.html',
							styles: {
								statusbar: {
									background: localStorage.statusbarColor
								}
							}
						})
						$("html, body").scrollTop(0 + "px");
					} else {
						$("html, body").scrollTop(0 + "px");
						$('.city-manage').text('编辑');
					}
					addCity();
				} else if (data.reqState == 0) {//TODO
					console.log(JSON.stringify(data))
					localStorage.repeatLoginFlag = 1;
					var storage = window.localStorage;
					storage.clear();
					mui.alert(data.reqMsg, "提示", "确定", function () {
						mui.openWindow({
							url: '../login.html',
							styles: {
								statusbar: {
									background: localStorage.statusbarColor
								}
							}
						});
					});

				} else {
					mui.alert(data.reqMsg, "提示", "确定", function () { })
				}
			},
			error: function (data) {
				mui.alert(data.reqMsg, "提示", "确定", function () { })
			},
			complete: function () {
				$(".onload").hide();
				mask.close(); //关闭遮罩
			}
		});
	}
	/**
	 * 根据坐标/站点查询城市名，站号，天气
	 * @param {Object} obj  obj.lat坐标纬度 obj.lon坐标经度 obj.stationCode坐标站点  obj.city接口不明
	 */
	function weatherCity(obj) {
		//		localStorage.cityData = '';
		var url = "/home/weatherCity.do";
		// var lat = lonLat[1];
		// var lon = lonLat[0];
		var params = {
			lat: obj.lat || '',
			lon: obj.lon || '',
			stationCode: obj.stationCode || '',
			city: obj.city || ''
		};
		http.get(url, params, _weatherCitySuccess);
	}

	function _weatherCitySuccess(data, info) {
		localStorage.firstLocalFlag = 1;
		localStorage.cityName = info;
		var resData = data.body;
		var CIMISScode, cimissContent;
		var indexStationCode = resData.stationCode;
		$(".locational-left-part").attr("data-stationCode", indexStationCode);
		if (resData.windSpeed == 999999) {
			mui.alert("未采集到该城市数据！", "提示", "确定", function () { });
			return false;
		}

		var weatherInfo = getWeatherCodeByInfo(resData.weatherCode);
		(data.body).indexWindSpeedName = getWindData(resData.windSpeed)[0];
		(data.body).cimissContent = weatherInfo.cimissContent;
		(data.body).indexQualityLevel = checkAqiLevel(resData.aqi);
		(data.body).CIMISScode = weatherInfo.weatherCode
		localStorage.cityData = JSON.stringify(data);
		mui.back();
	}


	// var strogeLoginData = JSON.parse(localStorage.loginData);
	// localStorage.token = strogeLoginData.token;
	//判断设备是ios还是andriod
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
	var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	if (isiOS) {
		$('.mui-input-clear').bind('input', function () {
			city_data('screening');
		});
	} else {
		$('.search_city').on('keyup', '.mui-input-clear', function () {
			city_data('screening');
		});
	}

	city_data('every');

	//判断页面进行编辑的hidden，show
	if (pageName()[0] == 'citySearch') {
		$('.city-manage').addClass('hidden');
	}

	/*点击关注城市
	最近关注列表逻辑 最多4个
	*/
	$('.mui-content').on('click', '.mui-table-view .mui-indexed-list-item', function (item) {
		mui.confirm('是否切换到该城市天气？', '提示', ['是', '否'], function (e) {
			if (e.index == 0) {
				var currentWeatherCity = {}
				currentWeatherCity.id = item.target.dataset.id
				currentWeatherCity.tags = item.target.dataset.tags
				currentWeatherCity.text = item.target.innerText
				var getLocalCityArr = [];
				if (localStorage.recentWeatherCity) {
					getLocalCityArr = JSON.parse(localStorage.recentWeatherCity)
				}

				var inList = false;
				for (key in getLocalCityArr) {
					if (getLocalCityArr[key].id == currentWeatherCity.id) {
						getLocalCityArr.splice(key, 1)
						getLocalCityArr.push(currentWeatherCity)
						inList = true;
						if (getLocalCityArr.length >= 5) {
							getLocalCityArr.shift();
						}
						localStorage.recentWeatherCity = JSON.stringify(getLocalCityArr)
					}
				}
				if (!inList) {
					getLocalCityArr.push(currentWeatherCity)
					if (getLocalCityArr.length >= 5) {
						getLocalCityArr.shift();
					}
					localStorage.recentWeatherCity = JSON.stringify(getLocalCityArr)
				}

				weatherCity({
					stationCode: currentWeatherCity.id
				})
			} else {
				console.log('操作取消')
			}
		});
	});

	//获取当前本地存储的最近访问城市并显示
	function getRecentCity() {
		var getLocalCityArr = [];
		var str = '<li data-group="A" class="mui-table-view-divider mui-indexed-list-group">最近访问城市</li>'
		if (localStorage.recentWeatherCity) {
			getLocalCityArr = JSON.parse(localStorage.recentWeatherCity)
		} else {
			str += '<li data-id="00001" data-tags="NONE" class="mui-table-view-cell">暂无数据</li>'
		}
		for (i = getLocalCityArr.length; i > 0; i--) {
			str += '<li data-id="' + getLocalCityArr[i - 1].id + '" data-tags="' + getLocalCityArr[i - 1].tags + '" class="mui-table-view-cell mui-indexed-list-item">' + getLocalCityArr[i - 1].text + '</li>'
		}
		$("#recentCity").empty().append(str);
	}

	//检查本地存储 定位经纬度 
	function getLocation() {
		if (localStorage.locationLonLat) {
			var queryObj = {}
			var lonlat = localStorage.getItem('locationLonLat').split(',')
			queryObj.lat = lonlat[1]
			queryObj.lon = lonlat[0]
			queryLocationCity(queryObj);
		} else {
			var str = '<li data-group="" class="mui-table-view-divider mui-indexed-list-group">定位城市</li>'
			str += '<li data-id="" data-tags="" class="mui-table-view-cell ">获取定位中...</li>'
			$("#location").empty().append(str);
		}
	}
	//根据首页存储定位经纬度,获取定位城市名,站号
	function queryLocationCity(obj) {
		var url = "/home/weatherCity.do"
		var params = {
			lat: obj.lat || '',
			lon: obj.lon || '',
			stationCode: obj.stationCode || '',
			city: ''
		}

		http.get(url, params, function (data) {
			var str = '<li data-group="" class="mui-table-view-divider mui-indexed-list-group">定位城市</li>'
			str += '<li data-id="' + data.body.stationCode + '" data-tags="" class="mui-table-view-cell mui-indexed-list-item">' + data.body.cityName + '</li>'
			$("#location").empty().append(str);
		})
	}

	getRecentCity();
	getLocation();



})