$(function(){
  getEState();
  function getEState() {
    // var url = "/home/checkEmergencyStatus.do";
    var url = "/home/checkEmergencyStatus.do";
    var params = {};
		ajaxPost(url,params, _getEStateSuccess,'');
	}

	function _getEStateSuccess(data,info) {
		if(data.body!=null &&data.body.data) {
      var resDatas = data.body.data;
      var strObj=codeQuery(resDatas.type,resDatas.emLevel);
      localStorage.currentEmergencyPhone=resDatas.phone;
      $("#cancelEmergency,#changeEmergency").show();
      $("#newEmergency").hide();
      $("#emergencyTime").text(resDatas.startTime+"发布");
      $("#emergencyState").text(strObj.typeText+"("+strObj.levelText+")");
      $(".img-box").attr("src",strObj.src);
		}else{
      $("#cancelEmergency,#changeEmergency").hide();
      $("#newEmergency").show();
      $("#emergencyTime").text("");
      $("#emergencyState").text("无应急状态");
      $(".img-box").attr("src","../images/emergencyState/nostate.png");
    }
  }

  function setEState(data) {
    // var url = "/home/checkEmergencyStatus.do";
    var url = "/home/addEmergencyStatus.do";
    var params = {
      phone:localStorage.username,
      type:data[0].value,
      level:data[1].value,
      startTime:getNowFormatDateNew()
    };
    ajaxPost(url,params, getEState,'');
  }

  function cancelEState() {
    // var url = "/home/checkEmergencyStatus.do";
    var url = "/home/cancelEmergencyStatus.do";
    var params = {
      phone:localStorage.currentEmergencyPhone,
      cancelPhone:localStorage.username
    };
    ajaxPost(url,params, getEState,'');
  }

  var emergencyPicker = new mui.PopPicker({
    layer: 2,
  });
  emergencyPicker.setData([{
    value: 1,
    text: '暴雨',
    children: [{
      value: 1,
      text: "Ⅰ"
    },{
      value: 2,
      text: "Ⅱ"
    },{
      value: 3,
      text: "Ⅲ"
    },{
      value: 4,
      text: "Ⅳ"
    }]
  },{
    value: 2,
    text: '暴雪',
    children: [{
      value: 1,
      text: "Ⅰ"
    },{
      value: 2,
      text: "Ⅱ"
    },{
      value: 3,
      text: "Ⅲ"
    },{
      value: 4,
      text: "Ⅳ"
    }]
  },{
    value: 4,
    text: '低温雨雪冰冻',
    children: [{
      value: 2,
      text: "Ⅱ"
    },{
      value: 3,
      text: "Ⅲ"
    }]
  },{
    value: 5,
    text: '高温',
    children: [{
      value: 2,
      text: "Ⅱ"
    },{
      value: 3,
      text: "Ⅲ"
    }]
  },{
    value: 6,
    text: '干旱',
    children: [{
      value: 1,
      text: "Ⅰ"
    },{
      value: 2,
      text: "Ⅱ"
    },{
      value: 3,
      text: "Ⅲ"
    }]
  }])

    $("#newEmergency").on("tap",function(){
	    	checkPermissionPassword(function() {
			      emergencyPicker.show(function(items){
			          setEState(items)
			      })
	    	})
    });

    $("#changeEmergency").on("tap",function(){
	    	checkPermissionPassword(function() {
			      emergencyPicker.show(function(items){
			          setEState(items)
			      })
	    	})
    });

    $("#cancelEmergency").on("tap",function(){
    		checkPermissionPassword(function() {
    				mui.confirm('是否确认取消当前应急状态?', '取消应急状态', ['确定', '取消'], function(e){
				        if (e.index == 0) {
				          	cancelEState()
				        }
			      })
	    	})
    });

    emergencyPicker.pickers[0].setSelectedIndex(2);
    emergencyPicker.pickers[1].setSelectedIndex(1);
    var emergencyState=[{
      value: 1,
      text: '暴雨',
      src:"../images/emergencyState/by.png",
      emergencyLevel:[{
        value:1,
        level:'Ⅰ',
      },{
        value:2,
        level:'Ⅱ',
      },{
        value:3,
        level:'Ⅲ',
      },{
        value:4,
        level:'Ⅳ'
      }]
    },{
      value: 2,
      text: '暴雪',
      src:"../images/emergencyState/bx.png",
      emergencyLevel:[{
        value:1,
        level:'Ⅰ',
      },{
        value:2,
        level:'Ⅱ',
      },{
        value:3,
        level:'Ⅲ',
      },{
        value:4,
        level:'Ⅳ'
      }]
    },{
      value: 4,
      text: '低温雨雪冰冻',
      src:"../images/emergencyState/bd.png",
      emergencyLevel:[{
        value:2,
        level:'Ⅱ',
      },{
        value:3,
        level:'Ⅲ'
      }]
    },{
      value: 5,
      text: '高温',
      src:"../images/emergencyState/gw.png",
      emergencyLevel:[{
        value:2,
        level:'Ⅱ',
      },{
        value:3,
        level:'Ⅲ'
      }]
    },{
      value: 6,
      text: '干旱',
      src:"../images/emergencyState/gh.png",
      emergencyLevel:[{
        value:1,
        level:'Ⅰ',
      },{
        value:2,
        level:'Ⅱ',
      },{
        value:3,
        level:'Ⅲ'
      }]
    }]

    function codeQuery(type,level){
      var obj={};
      emergencyState.forEach(function(item){
        if(item.value==type){
        obj.typeText=item.text;
        obj.src=item.src;
          item.emergencyLevel.forEach(function(item){
            if(item.value==level){
              obj.levelText=item.level;
            }
          })
        }
      });
      return obj;
    }  

})