//$(function(){
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var swImgCan=document.getElementById("swImgCan");
	var swImgCxt=swImgCan.getContext('2d');
	var rainStainImg=document.getElementById("rainStainImg");
	var geoMap;
	
//	强天气概率预报图片信息获取
/**
 * 
 * @param {Object} info  0为初始化
 */
//TODO  
	function severeWeatherImg(info){
		geoMap.clear();
		swImgCxt.clearRect(0,0,swImgCan.width,swImgCan.height);
		var url="/forecastMonitor/severeWeather/severeWeatherImg.do";
		var startTime;
		if(info==0){
			startTime='';
		}
		
		var type=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		var params={startTime:startTime,type:type,isMode:0};
		ajaxPost(url,params, _severeWeatherImgSuccess,'');
		$("#startTime").text('');
	}
	var resData;
	function _severeWeatherImgSuccess(data,info){
		if(data.body.recordNum==0){
			mui.confirm("暂无数据！","提示",function(){
			});
			return false;
		}
		var activeTime=data.body.startTime;
		resData=data.body.data;
		$("#rainfallStartTime").text(activeTime.substr(5,2)+"月"+activeTime.substr(8,2)+"日"+activeTime.substr(11,2)+"时");
		timeShaft(3, activeTime);
		
//		_switchData(resData,addHour(activeTime,3*60*60*1000));
	}
	/**
	 * 
	 * @param {Object} data
	 * @param {Object} time
	 */
	function _switchData(data,time){
		geoMap.clear();
		swImgCxt.clearRect(0,0,swImgCan.width,swImgCan.height);
		$(data).each(function(idx){
			var item=data[idx];
			if(time==item.datetime){
				var activeImgUrl=item.path;
				(function(url){
					var drawImgConItemLeftTop=geoMap.registerElement('temStainImg',108.65,30.25,0);
					var drawImgConItemRightBottom=geoMap.registerElement('temStainImg',114.4,24.5,0);
					var drawImgWidth=drawImgConItemRightBottom[0]-drawImgConItemLeftTop[0];
					var drawImgHeight=drawImgConItemRightBottom[1]-drawImgConItemLeftTop[1];
					var img = new Image();
		    		img.src = url;
		    		img.onload = function() {
		    			swImgCxt.drawImage($('<img src='+ url +'>')[0],drawImgConItemLeftTop[0],drawImgConItemLeftTop[1],drawImgWidth,drawImgHeight);
		    		}
				})(activeImgUrl);
				return false;
			}
		});
	}
	
	
	
	function init() {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($("#rainMap").attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		swImgCan.width=map_w;//给canvas画布赋值宽高
		swImgCan.height=map_h;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 0.5, map_w, map_h);
	}
	//计算拖动后当前指向时间
	/**
	 * 
	 * @param {Object} dom 时间轴对象
	 * @param {Object} event
	 * @param {Object} aging
	 * @param {Object} dragArrow
	 */
	function getRealTime(dom,event,aging,dragArrow){
		$this=dom;

//		TODO  1、如何设置只能拖动/滑动到有刻度的位置？  2、外层宽度如何根据屏幕宽度设置，超出时间范围正好拖动到最后一个时刻？
		var realTime,
		    realDayHoutMetres,////当前日期有多少个时间间隔
		    perDayScale, // 每个小格时间间隔 有几个小时 
		    nowDayHourRange,
		    realTime,
		    dateHour,
		    realHourDistance, //每个格子所占宽度
		    zoreWhith, //当前日期0点到拖动位置的距离
		    currentHours, // 当前是第几小时
		    recentHour, // 左拖拽离最近刻度的小时
		    recentHourRight, //右拖拽最近时刻
		    hoursWidth; // 每个小时所占宽度
		var lastStartTime=$("#startTime").val();
		var startHour=lastStartTime.substr(11,2);//起报时刻  08时或20时
		var endTimeShow=$("#endTime").val();//最后预报时间
		var $thisLeft = $this.offsetLeft // dom当前的left值
		
		var offsetLeft=Math.abs($thisLeft-10);//当前偏移量取绝对值
		
		var hors = Math.abs(parseInt(offsetLeft/161))*24*(1000*3600)
		
		var realDay=(addHour(lastStartTime, hors)).substr(0,10);//当前日期
		realDay=realDay+" 00:00:00"; // 当前日趋0点
 		var oneDateHour;
		$(".hour-option").each(function(idx){
			if($(this).attr('data-time')==realDay.substr(0,10)){
				realDayHoutMetres=$(this).find('.hour-time-scale').length;//当前日期有多少个时间间隔
				if(realDayHoutMetres==1){//如果当天只有一个时次  记录下该时次
					oneDateHour=$(this).find('.hour-time-scale').text();
				}
				return;
			}
		}); // 获得 当前日期 小时 有几个格子 realDayHoutMetres
		// realDay 当前日期
		realHourDistance=161/realDayHoutMetres;//拖动完成后当前日期每个时间间隔的距离 就是小时所占宽度
		
		if(endTimeShow.substr(0,10)==realDay.substr(0,10)){//如果当前日期为最后一天
			if(realDayHoutMetres==1){
				$("#show-time-tip").text(realDay.substr(5,2)+'月'+realDay.substr(8,2)+'日'+oneDateHour+'时');
				return false;
			}
			if(startHour=='20'){//起报时刻为20时 第三天会出现3h和6h间隔在同一天
				
			}
			perDayScale=parseInt(endTimeShow.substr(11,2))/realDayHoutMetres;//每一个时间间隔有多小时
			hoursWidth = realHourDistance/perDayScale // 每小时所占宽度
			zoreWhith = $thisLeft % 161 // 当前日期0点到拖动位置的距离
			currentHours = Math.abs(zoreWhith / hoursWidth) // 当前是第几小时
			recentHour = (aging-1 - (currentHours % aging)) * hoursWidth // 左拖拽离最近刻度的小时
			recentHourRight = (currentHours % aging) *hoursWidth // 右拖拽最近时刻
			if(dragArrow === 'left') { // 左拖拽赋值left
				$thisLeft = $thisLeft -recentHour
				var tatol = document.getElementById("li_ul").children.length
				if($thisLeft<=-(tatol*161-10)) { // 如果
					$thisLeft = -(tatol*161)+10
					$this.style.left = $thisLeft + 'px';
					$("#show-time-tip").attr('data-time',endTimeShow);
				    $("#show-time-tip").text(endTimeShow.substr(5,2)+'月'+endTimeShow.substr(8,2)+'日'+endTimeShow.substr(11,2)+'时');
				    return false
				}
				
				
			} else { // 右拖拽 赋值left 
				
				$thisLeft = $thisLeft + recentHourRight + hoursWidth
				offsetLeft=Math.abs($thisLeft-10)
				nowDayHourRange=Math.round(((offsetLeft/161)-parseInt(offsetLeft/161))*24);
			
				realTime=addHour(realDay,nowDayHourRange*(1000*3600));
				$("#show-time-tip").attr('data-time',realTime);
			    $("#show-time-tip").text(realTime.substr(5,2)+'月'+realTime.substr(8,2)+'日'+realTime.substr(11,2)+'时');
		        $this.style.left = $thisLeft+'px'
			}
			offsetLeft=Math.abs($thisLeft-10)
			
			nowDayHourRange=Math.round(((offsetLeft/161)-parseInt(offsetLeft/161))*parseInt(endTimeShow.substr(11,2)));
			realTime=addHour(realDay,nowDayHourRange*(1000*3600));
			$("#show-time-tip").attr('data-time',realTime);
		    $("#show-time-tip").text(realTime.substr(5,2)+'月'+realTime.substr(8,2)+'日'+realTime.substr(11,2)+'时');
		    $this.style.left = $thisLeft+'px'
		}else if(lastStartTime.substr(0,10)==realDay.substr(0,10)){ // 如果拖动天数等于第一一天执行
			
			if(realDayHoutMetres==1){ // 如果今天就一个小时格子就执行
				$("#show-time-tip").attr('data-time',lastStartTime);
				$("#show-time-tip").text(lastStartTime.substr(5,2)+'月'+lastStartTime.substr(8,2)+'日'+lastStartTime.substr(11,2)+'时');
				return false;
			}
		
			perDayScale=(24-parseInt(lastStartTime.substr(11,2)))/realDayHoutMetres;//每一个时间间隔有多小时
			hoursWidth = realHourDistance/perDayScale // 每小时所占宽度
			zoreWhith = $thisLeft % 161 // 当前日期0点到拖动位置的距离
			currentHours = Math.abs(zoreWhith / hoursWidth) // 当前是第几小时
			recentHour = (aging-1 - (currentHours % aging)) * hoursWidth // 左拖拽离最近刻度的小时
			recentHourRight = (currentHours % aging) *hoursWidth // 右拖拽最近时刻
			if(dragArrow === 'left') { // 左拖拽赋值left
				$thisLeft = $thisLeft -recentHour
				offsetLeft=Math.abs($thisLeft-10)
		  
				nowDayHourRange=Math.round(((offsetLeft/161)-parseInt(offsetLeft/161))*(24-parseInt(lastStartTime.substr(11,2)))); //当天拖动到的小时
				realTime=addHour(lastStartTime,nowDayHourRange*(1000*3600)); // tip 显示的时间
				$("#show-time-tip").attr('data-time',realTime);
				$("#show-time-tip").text(realTime.substr(5,2)+'月'+realTime.substr(8,2)+'日'+realTime.substr(11,2)+'时'); // tip 显示时间
				
		        $this.style.left = $thisLeft-(hoursWidth/2)+'px' // 设置left位置
				
			} else { // 右拖拽 赋值left 
				
				$thisLeft = $thisLeft + recentHourRight + hoursWidth
				if($thisLeft>=0) { // 当往右拖动到最左边的时候赋值为时间起始值
					$thisLeft = 0+hoursWidth
				}
				
				offsetLeft=Math.abs($thisLeft-10)
		  
				nowDayHourRange=Math.round(((offsetLeft/161)-parseInt(offsetLeft/161))*(24-parseInt(lastStartTime.substr(11,2)))); //当天拖动到的小时
				realTime=addHour(lastStartTime,nowDayHourRange*(1000*3600)); // tip 显示的时间
				$("#show-time-tip").attr('data-time',realTime);
				$("#show-time-tip").text(realTime.substr(5,2)+'月'+realTime.substr(8,2)+'日'+realTime.substr(11,2)+'时'); // tip 显示时间
				
		        $this.style.left = $thisLeft-(hoursWidth/2)-3+'px' // 设置left位置
			}
			
			

			return false;
		}else{
			
			perDayScale=24/realDayHoutMetres;//每一个时间间隔有多小时
			hoursWidth = realHourDistance/perDayScale // 每小时所占宽度
			zoreWhith = $thisLeft % 161 // 当前日期0点到拖动位置的距离
			currentHours = Math.abs(zoreWhith / hoursWidth) // 当前是第几小时
			recentHour = (aging - (currentHours % aging)) * hoursWidth // 左拖拽离最近刻度的小时
			recentHourRight = (currentHours % aging) *hoursWidth // 右拖拽最近时刻
			if(dragArrow === 'left') { // 左拖拽赋值left
				$thisLeft = $thisLeft -recentHour-hoursWidth
				//$this.style.left = $thisLeft+'px'
				offsetLeft=Math.abs($thisLeft-10)
				hors = Math.abs(parseInt(offsetLeft/161))*24*(1000*3600)
		
				realDay=(addHour(lastStartTime, hors)).substr(0,10);//当前日期
				realDay=realDay+" 00:00:00"; // 当前日趋0点
				
			
				nowDayHourRange=Math.round(((offsetLeft/161)-parseInt(offsetLeft/161))*24);
				
				realTime=addHour(realDay,nowDayHourRange*(1000*3600));
				$("#show-time-tip").attr('data-time',realTime);
			    $("#show-time-tip").text(realTime.substr(5,2)+'月'+realTime.substr(8,2)+'日'+realTime.substr(11,2)+'时');
				$this.style.left = $thisLeft+10+'px'
				
			} else { // 右拖拽 赋值left 
				
				$thisLeft = $thisLeft + recentHourRight - hoursWidth 
				if($thisLeft>=0) { // 当往右拖动到最左边的时候赋值为时间起始值
					$thisLeft = 0+hoursWidth
				}
				
				offsetLeft=Math.abs($thisLeft-10)
				
				hors = Math.abs(parseInt(offsetLeft/161))*24*(1000*3600)
		
				realDay=(addHour(lastStartTime, hors)).substr(0,10);//当前日期
				realDay=realDay+" 00:00:00"; // 当前日趋0点
				nowDayHourRange=Math.round(((offsetLeft/161)-parseInt(offsetLeft/161))*24);
				
				realTime=addHour(realDay,nowDayHourRange*(1000*3600));
				$("#show-time-tip").attr('data-time',realTime);
			    $("#show-time-tip").text(realTime.substr(5,2)+'月'+realTime.substr(8,2)+'日'+realTime.substr(11,2)+'时');
				$this.style.left = $thisLeft+8+'px'
			}
			
		}
		
	}
	
	
	

	//生成时间轴
	//	TODO  根据屏幕宽度设置时间轴宽度  确保可以拖动选择到最后一个时刻
	/**
	 * 
	 * @param {Object} aging        起报时刻 08时或20时
	 * @param {Object} startTime    起报时间
	 */
	function timeShaft(startHour, startTime) {
		var arr = []
	    var forecastAging = startHour; // 每个表格间隔几个小时
	    var realTime=startTime.substr(0,16); // tip 显示的日期
	    var firstTime=addHour(realTime,forecastAging* 60 * 60 * 1000);
	    $("#show-time-tip").attr('data-time',firstTime);
	    $("#show-time-tip").html(firstTime.substr(5,2)+'月'+firstTime.substr(8,2)+'日'+firstTime.substr(11,2)+"时");
	    $("#startTime").val(addHour(startTime,forecastAging* 60 * 60 * 1000));
	    
	    var dateNum =4;//天数
	    var str = '', //表格
	    	hourSrt='', 
	    	hourTimeScale='', 
	    	dayOptTxt, 
	    	hourOptTxt;
	    var startHour=startTime.substr(11,2); // 开始的小时时间  起报时刻
	    var aging_eight=['02','05','08','11','14','17','20','23'];
	    var aging_six=['02','08','14','20'];
		var add36hTime=addHour(startTime,36*3600*1000);
		var endTime=addHour(startTime,66*3600*1000);
		$("#endTime").val(endTime);
		$("#divisionTime").val(add36hTime);
	    for(var i = 0; i < dateNum; i ++){ // 循环生成10天的小时数据表格
	    	var hourTimeScale='', 
	    		nowHourTimeScaleWidth;
	    		
    		dayOptTxt=addHour(startTime,i*24* 60 * 60 * 1000); // 天的日期txt
			str+='<li class="day-option border-box">'+dayOptTxt.substr(0,10)+'</li>'; // 上面填写天数的div
			switch(startHour){
	    		case '08': // 初始小时是08 时
	    			if(i==0){//第一天
			    		for(var j=3;j<8;j++){
			    			nowHourTimeScaleWidth=(100/5)*160/100;
				    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">'+aging_eight[j]+'</div>'; // 小时div
							arr.push(nowHourTimeScaleWidth)
				    	}
			    	}else if(i==1){//第二天
			    		for(var j=0;j<7;j++){
			    			nowHourTimeScaleWidth=(100/7)*160/100;
				    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">'+aging_eight[j]+'</div>';
							arr.push(nowHourTimeScaleWidth)
				    	}
			    	}else if(i==2){//第三天
			    		for(var j=0;j<4;j++){
			    			$(".hour-time-scale").css({"width":"calc("+100/4+"% - 0px)"});
			    			nowHourTimeScaleWidth=$(".hour-time-scale").width();
				    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">'+aging_six[j]+'</div>';
							arr.push(nowHourTimeScaleWidth)
				    	}
			    	}else if(i==3){//第四天
			    		$(".hour-time-scale").css({"width":"calc("+100+"% - 0px)"});
		    			nowHourTimeScaleWidth=$(".hour-time-scale").width();
			    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">02</div>';
						arr.push(nowHourTimeScaleWidth)
			    	}
	    		break;
	    		case '20':
	    			if(i==0){
	    				$(".hour-time-scale").css({"width":"calc("+100+"% - 0px)"});
			    		nowHourTimeScaleWidth=$(".hour-time-scale").width();
			    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">23</div>';
						arr.push(nowHourTimeScaleWidth)
			    	}else if(i==1){//第二天
			    		for(var j=0;j<7;j++){
			    			nowHourTimeScaleWidth=(100/7)*160/100;
				    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">'+aging_eight[j]+'</div>';
							arr.push(nowHourTimeScaleWidth)
				    	}
			    	}else if(i==2){//第三天
				    	for(var j=0;j<5;j++){
				    		nowHourTimeScaleWidth=(100/7)*160/100;
				    		if(j<3){
					    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">'+aging_eight[j]+'</div>';
				    		}else{
				    			hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth*2+'px">'+aging_six[j-1]+'</div>';
				    		}
							arr.push(nowHourTimeScaleWidth)
				    	}
			    	}else if(i==3){
			    		for(var j=0;j<3;j++){
			    			nowHourTimeScaleWidth=(100/3)*160/100;
				    		hourTimeScale+='<div class="hour-time-scale" style="width:'+nowHourTimeScaleWidth+'px">'+aging_six[j]+'</div>';
							arr.push(nowHourTimeScaleWidth)
				    	}
			    	}
	    		break;
	    	}
	    	
	    	hourSrt+='<li class="hour-option  border-box clearfix"  data-time="'+dayOptTxt.substr(0,10)+'" >'+hourTimeScale+'</li>';
	    }
	    $(".day-option-box").html(str);
		$(".hour-option-box").html(hourSrt);
		
		// init
		if (window.TIMELINE && window.TIMELINE.timer) {
			clearTimeout(TIMELINE.timer)
			$('#progressTime_control').attr("data-val", 0);
			$('#progressTime_control').css("background-image", "url(../../images/play.png)");
		}
		window.TIMELINE = {
			minPosition: 45 - $('.hour-option-box .hour-time-scale:eq(0)').width() / 2 - 1,
			items: arr,
			index: 0,
			timer: null
		}
		locate()
	}
	function zoom(){
		severeWeatherImg(0);
	}
	


//	init    begin
	init();
	severeWeatherImg(0);

//放大
	$(".zoom-box").on("click","#zoomOutBtn",function(event){
		event.stopPropagation();
		var i=parseInt($("#rainMap").attr("alt"));
		i++;
		if(i>8){
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#rainMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		severeWeatherImg(0);
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#rainMap").offset().left;
		cat.touchjs.top = $("#rainMap").offset().top;
	});
	//缩小
	$(".zoom-box").on("click","#zoomInBtn",function(event){
		event.stopPropagation(); 
		var i=parseInt($("#rainMap").attr("alt"));
		i--;
		if(i<6){
			mui.toast("已是最小级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#rainMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		severeWeatherImg(0);
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#rainMap").offset().left;
		cat.touchjs.top = $("#rainMap").offset().top;
		
	});

	mui("#rain-datehour-ul").on("click",".rain-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		//色标图切换
		var activeType=$(this).attr("data-val");
		$("#severeWeatherlegend").attr("src","../../images/severeWeatherFiLegend/"+activeType+".png");
		severeWeatherImg(0);
	});
	
	$("#rain-conent").on("click","#swLegendBox",function(){
		//色标图切换
		var activeType, activeLegend;
		$(".rain-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeType=$(this).attr("data-val");
				$("#severeWeatherlegend").attr("src","../../images/severeWeatherFiLegend/"+activeType+".png");
			}
		});
		
		if($("#severeWeatherlegend").css("display")=='none'){
			$("#severeWeatherlegend").css("display","block");
		}else{
			$("#severeWeatherlegend").css("display","none");
		}
	});
	//前后翻切换图片
	var divisionTime=$("#divisionTime").val();
	mui("#rain-conent").on("click","#prevTimeBtn",function(){
		var activeAging;
		//TODO 取当前时间 加减3小时 如何把时间轴跳到切换后的时间 如何计算时间轴正确距离
		var initTime=addHour($("#startTime").text(),3*60*60*1000);//第一张图片的时间
		var activeTime=$("#show-time-tip").attr('data-time');
		if(activeTime<divisionTime){
			activeAging=3;
		}else{
			activeAging=6;
		}
		
		var prevTime=addHour(activeTime,-activeAging*60*60*1000);//向前翻后的时间 
		if(initTime>prevTime){
			mui.confirm("已经是第一张！","提示",function(){
				
			});
			return false;
		}
		$("#show-time-tip").attr('data-time',prevTime);
		$("#show-time-tip").text(prevTime.substr(5,2)+'月'+prevTime.substr(8,2)+'日'+prevTime.substr(11,2)+'时');
		_switchData(resData,prevTime);
	});
	mui("#rain-conent").on("click","#nextTimeBtn",function(){
		var activeAging;
		var endTime=$("#endTime").val();//最后一张图片时间
		var activeTime=$("#show-time-tip").attr('data-time');//当前时间
		
		
		if(activeTime<divisionTime){
			activeAging=3;
		}else{
			activeAging=6;
		}
		var nextTime=addHour(activeTime,activeAging*60*60*1000);
		if(endTime<nextTime){
			mui.confirm("已经是最后一张！","提示",function(){
			});
			return false;
		}
		$("#show-time-tip").attr('data-time',nextTime);
		$("#show-time-tip").text(nextTime.substr(5,2)+'月'+nextTime.substr(8,2)+'日'+nextTime.substr(11,2)+'时');
		_switchData(resData,nextTime);
	});
	

	//获取元素
    var dragDom=document.getElementById("datetime-option-box");
    //添加触屏开始事件
    dragDom.addEventListener("touchstart",function(e){
	    var p,f1,f2,dragArrow,startx;
	    //由于触屏的坐标是个数组，所以取出这个数组的第一个元素
	    startx = e.touches[0].pageX;
	    e=e.touches[0];
	    
	    //保存dragDom和开始触屏时的坐标差
	    p={
	      x:dragDom.offsetLeft-e.clientX,
	      //y:picture.offsetTop-e.clientY
    };
   
    //添加触屏移动事件
    document.addEventListener("touchmove",f2=function(e){
      //获取保触屏坐标的对象
      
      var t=t=e.touches[0];
      var tatol = document.getElementById("li_ul").children.length
      var widthDom = -(tatol*161-11) // 获取dom 宽度 设置限制拖动最大值 ,40是tip下箭头位置就是不能拖动超过箭头位置
      var leftDom = p.x+t.clientX // dom的left值
     
    
     // 判断是不是超出拖拽的dom宽度了
      if(leftDom<=widthDom) {
      	leftDom = widthDom
      } else if(leftDom >= TIMELINE.minPosition) {
		leftDom = TIMELINE.minPosition
		return
	}
      
      //把picture移动到初始计算的位置加上当前触屏位置
      dragDom.style.left= leftDom +"px";
     // picture.style.top=p.y+t.clientY+"px";
      //阻止默认事件
      
      e.preventDefault();
    },false);
    //添加触屏结束事件
    document.addEventListener("touchend",f1=function(e){
    	var endx;
    	endx = e.changedTouches[0].pageX;
    	var arrowNumber = endx - startx;
    	if(arrowNumber>0) {
    		dragArrow = 'right'
    	} else {
    		dragArrow = 'left'
		}
		
		var count = -TIMELINE.minPosition, left = TIMELINE.minPosition - dragDom.offsetLeft, currentIndex = 0
		for (var i = 0, len = TIMELINE.items.length; i < len; i++) {
			count += TIMELINE.items[i]
			// if (left <= minPosition) {
			// 	currentIndex = 0
			// 	break
			// }
			if (left >= count - TIMELINE.items[i] / 2 && left < count + TIMELINE.items[i + 1]) {
				currentIndex = i
				break
			}
			if (i === len - 1 && left >= count - TIMELINE.items[i]) {
				currentIndex = i
				break
			}
		}
		// console.log(left, _i) TODO 把i 存为全局变量 传入下面代码  定时调用  最后一张为arr.length
		TIMELINE.index = currentIndex
		locate()
    	
      //移除在document上添加的两个事件
      document.removeEventListener("touchend",f1);
      document.removeEventListener("touchmove",f2);
    },false);
  },false);

	function calcSum(arr) {
		var sum = 0
		for (var i = 0; i < arr.length; i++) sum += arr[i]
		return sum
	}

	// 根据下标定位时间轴
	function locate() {
		var active = $('.hour-time-scale').eq(TIMELINE.index), 
			border = active.parent().index(), 
			text = $('.day-option').eq(border).html() + ' ' + active.html() + ":00:00"
		$('.hour-time-scale').removeClass('active')
		active.addClass('active')
		$('#datetime-option-box').stop().animate({'left': 44 - border - TIMELINE.items[TIMELINE.index] / 2 - calcSum(TIMELINE.items.slice(0, TIMELINE.index))})
		$("#show-time-tip").text(text)
		$("#show-time-tip").attr('data-time', text)
    	//切换色斑图
    	_switchData(resData, text);
	}

	function task() {
		if (TIMELINE.index >= TIMELINE.items.length - 1) {
			TIMELINE.index = 0
		} else {
			TIMELINE.index += 1
		}
		locate()

		if (TIMELINE.index >= TIMELINE.items.length - 1) {
			clearTimeout(TIMELINE.timer)
			TIMELINE.index = -1
			$('#progressTime_control').attr("data-val", 0);
			$('#progressTime_control').css("background-image", "url(../../images/play.png)");
		}
	}
	//TODO  播放暂停
	$("#progressTime_control").on("click",function(){
		var activeStatus=$(this).attr("data-val");
		if(parseInt(activeStatus)==0){
			$(this).attr("data-val",1);
			$(this).css("background-image","url(../../images/pause.png)");
			task()
			TIMELINE.timer = setInterval(task, 1000)
		}else{
			$(this).attr("data-val",0);
			$(this).css("background-image","url(../../images/play.png)");
			clearTimeout(TIMELINE.timer)
		}
	});
//});