$(function () {
	//	 空气质量参数数据获取    begin
	//TODO  1、当前选择项为aqi 时标出首要污染物  ，2、当前选择项为雾、霾时，同时标出相对湿度和能见度   3、aqi返回数据为降序   相对湿度为降序 其余都需自己排序
	//	var infoData={flag:0,datetime:""};
	function airQuality(infoData) {
		var url = "/air/airQuality.do";
		var dateTime;
		if (infoData.flag == 0) {
			dateTime = '';
		} else {
			dateTime = infoData.datetime;
		}
		var params = { datetime: dateTime };
		http.post(url, params, _airQualitySuccess, infoData);
	}

	var resData;
	function _airQualitySuccess(data, infoData) {
		resData = data.body.data.data;
		if (resData.length == 0) {
			$("#totalStations").text("共0站");
			$("#envirRankUl").html('<li class="mui-table-view-cell statistics-item environmental-statistics-item">暂无数据！</li>');
			return false;
		}
		var envirTime = data.body.data.datetimeNew;
		localStorage.airAualityTime = envirTime;
		$('#envirTime').text(envirTime.substr(5, 2) + "月" + envirTime.substr(8, 2) + "日" + envirTime.substr(11, 2) + "时");
		_switchAirQualityData(resData);
	}

	function _switchAirQualityData(data) {
		var resData = data;
		var resDataLength = resData.length;
		var activeDataType;
		activeDataType = $(".aqi-datehour-option.datehour-option-active").attr("data-type");
		if (!activeDataType) {
			return;
		}
		var airQualityStr = '', descendingData = [], ascendingData = [], activeRank, sortData;
		var j = 1;
		activeRank = $("#envirRankBtn").attr("data-rank");
		if (activeRank == 'descending') {
			sortData = resData.sort(sortNumberLowToHigh(activeDataType));
		} else {
			sortData = resData.sort(sortNumberHighToLow(activeDataType));
		}

		var rows = 0;
		for (var i = 0; i < resDataLength; i++) {
			var resItem = getStationByStationCode(sortData[i].stationCode);
			if (resItem == null || sortData[i][activeDataType] == null) {
				continue;
			}
			sortData[i].ename = resItem.ename;
			sortData[i].siteName = resItem.siteName;
			airQualityStr += '<li class="mui-table-view-cell statistics-item environmental-statistics-item" data-stationName="' + sortData[i].ename + sortData[i].siteName + '"  data-stationCode="' + sortData[i].stationCode + '">' +
				'<a class="mui-navigate-right statistics-item-txt"><span class="rank-name">' +
				(j++) + "." + sortData[i].ename + ' ' + sortData[i].siteName +
				'</span><span class="statistics-item-number">' + sortData[i][activeDataType] + '</span>' +
				'</a>' +
				'</li>';

			rows++
		}
		$("#totalStations").text("共" + rows + "站");
		$("#envirRankUl").html(airQualityStr);
	}
	//	 空气质量参数数据获取    end


	//	 气象参数数据获取      begin
	var weatherParamsInfoData = { flag: 0, datetime: "" };
	function weatherParam(infoData) {
		var url = "/environment/weather/weatherParam.do";
		var datetime;
		if (infoData.flag == 0) {
			dateTime = '';
		} else {
			dateTime = infoData.datetime;
		}
		var params = { datetime: dateTime };
		http.post(url, params, _weatherParamSuccess, infoData);
	}

	var weatheResData;
	function _weatherParamSuccess(data, infoData) {
		weatheResData = data.body.data;
		if (weatheResData.length == 0) {
			$("#totalStations").text("共0站");
			$("#envirRankUl").html('<li class="mui-table-view-cell statistics-item environmental-statistics-item">暂无数据！</li>');
			return false;
		}
		var weatherTime = data.body.datetime;
		localStorage.weatherStartTime = weatherTime;
		$('#envirTime').text(weatherTime.substr(5, 2) + "月" + weatherTime.substr(8, 2) + "日" + weatherTime.substr(11, 2) + "时");
		_switchWeatherData(weatheResData, infoData);
	}

	function _switchWeatherData(data, infoData) {
		var resData = data;
		var resDataLength = resData.length;
		var activeDataType;
		activeDataType = $(".rain-datehour-option.datehour-option-active").attr("data-type");
		if (!activeDataType) {
			return;
		}
		var weatherStr = '', descendingData = [], ascendingData = [], activeRank, sortData;
		var j = 1;
		activeRank = $("#envirRankBtn").attr("data-rank");
		if (activeRank == 'descending') {
			sortData = resData.sort(sortNumberLowToHigh(activeDataType));
		} else {
			sortData = resData.sort(sortNumberHighToLow(activeDataType));
		}

		var rows = 0
		for (var i = 0; i < resDataLength; i++) {
			if (sortData[i][activeDataType] == null) {
				continue;
			}
			var name = sortData[i].city + ' ' + (sortData[i].level == '1' ? '' : (sortData[i].cnty === 'null' ? '' : sortData[i].cnty)) + ' ' + sortData[i].name
			weatherStr += '<li class="mui-table-view-cell statistics-item environmental-statistics-item" data-stationName="' + name + '"  data-stationCode="' + sortData[i].stationCode + '">' +
				'<a class="mui-navigate-right statistics-item-txt"><span class="rank-name">' +
				(j++) + "." + name +
				'</span><span class="statistics-item-number">' + sortData[i][activeDataType] + '</span>' +
				'</a>' +
				'</li>';

			rows++
		}

		$("#totalStations").text("共" + rows + "站");
		$("#envirRankUl").html(weatherStr);
	}

	//	 气象参数数据获取     end

	//	init
	var activeEleType = localStorage.activeEleType;
	var activeEleClassify = localStorage.activeEleClassify;
	if (activeEleClassify == 0) {
		$(".aqi-datehour-option").each(function () {
			if ($(this).attr("data-type") == activeEleType) {
				$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
			}
		});

		var infoData = { flag: 0, datetime: "" };
		airQuality(infoData);
	} else {
		$(".rain-datehour-option").each(function () {
			if ($(this).attr("data-type") == activeEleType) {
				$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
			}
		});
		var weatherParamsInfoData = { flag: 0, datetime: "" };
		weatherParam(weatherParamsInfoData);
	}





	//	交互     begin 
	mui("#searchShowTimeBox").on("click", "#envirRankBtn", function () {
		var activeSort;
		var activeOrder = $(this).attr("data-rank");
		if (activeOrder == "descending") {
			$(this).attr("data-rank", "ascending");
			$(this).text("升序");
		} else {
			$(this).attr("data-rank", "descending");
			$(this).text("降序");
		}
		activeSort = $(".ele-datehour-option.datehour-option-active").attr("data-sort");

		if (activeSort == 0) {
			if (!resData) {
				return false;
			}
			_switchAirQualityData(resData);
		} else {
			if (!weatheResData) {
				return false;
			}
			_switchWeatherData(weatheResData, infoData);

		}

	});

	mui(".datehour-wrapper").on("click", ".ele-datehour-option", function () {
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		var activeClassify = $(".ele-datehour-option.datehour-option-active").attr("data-sort");
		if (activeClassify == 0) {
			if (resData) {
				_switchAirQualityData(resData);
			} else {
				var infoData = { flag: 0, datetime: "" };
				airQuality(infoData);
			}
		} else {
			if (weatheResData) {
				_switchWeatherData(weatheResData, infoData);
			} else {
				var weatherParamsInfoData = { flag: 0, datetime: "" };
				weatherParam(weatherParamsInfoData);
			}

		}
	});

	$("#search-ip").on("input", debounce(function() {
		var searchTxt = $(this).val();
		var matchResultArr = [];
		if (searchTxt) {
			$(".environmental-statistics-item").each(function () {
				var stationName = $(this).find(".statistics-item-txt").text();
				var stationCode = $(this).attr("data-stationCode");
				var matchName = stationName.match(searchTxt);
				var matchStationcode = stationCode.match(searchTxt);

				if (matchName) {
					matchResultArr.push($(this));
				}
				if (matchStationcode) {
					matchResultArr.push($(this));
				}
			});
			if (matchResultArr.length > 0) {
				$("#envirRankUl").children().hide();
				var matchStationArr = [], matchStation;
				$(".environmental-statistics-item").hide();
				for (var i = 0; i < matchResultArr.length; i++) {
					matchStation = matchResultArr[i].attr("data-stationCode");
					matchStationArr.push(matchStation);
					$(".environmental-statistics-item").each(function (idx) {
						var stationName = $(this).attr("data-stationName");
						var stationCode = $(this).attr("data-stationCode");
						if (matchStationArr[i] == stationCode) {
							$(this).show();
						}
					});
				}
			} else {
				$(".environmental-statistics-item").hide();
			}
		} else {
			$(".environmental-statistics-item").show();
		}
	}, 200))

	mui("#rank-search-box").on("click", "#rank-canle-btn", function () {
		$("#search-ip").val('');
		$(".environmental-statistics-item").show();
	});

	$("#envirRankUl").on('click', '.environmental-statistics-item', function () {
		var activeStationCode = $(this).attr("data-stationCode");
		var activeStationName = $(this).attr("data-stationName");
		var activeSort = $(".ele-datehour-option.datehour-option-active").attr("data-sort");
		localStorage.envirActiveSort = activeSort;
		localStorage.envirRankStationCode = activeStationCode;
		localStorage.envirRankStationName = activeStationName;

		mui.openWindow({
			url: '../../web/monitoringOfLive/environmental-chart.html',
			id: 'environmental-chart-' + activeStationCode,
			extras: {
				name: activeStationCode
			},
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		})
	});
	//  交互    end

});
