//$(function(){
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	var bottomH=Number($("#severe-weather-datehour-box").css('bottom').slice(0,-2));
	var swDatehourH=$("#severe-weather-datehour-box").height();
	$("#mapWrapper").width(scr_w).height(scr_h-88-bottomH-swDatehourH - localStorage.statusbarHeight);
	
	var swBg=document.getElementById("swBgWp");//弹出窗口背景
	var swIcon=document.getElementById("swIcon");// 天气现象对应小图标集合
	
	var cityCan=document.getElementById("cityCan");//城市名画布
	var cityCtx=cityCan.getContext('2d');
	var fullCan=document.getElementById("fullCan"); //可视区域画布
	var fullCtx=fullCan.getContext('2d');
	var geoMap, fullGeoMap;
	var rainImg=document.getElementById("rainMap")
	var dip=window.devicePixelRatio;
	var lv = 2 ,activeScale= 1,
	tScale= lv * dip ,
	hasWindowFlag = false
	var dataTypeActive={
		rain:true,
		hail:true,
		wind:true,
		electric:true
	}
	
	function severeWeather(info){
		var datetime= info.datetime||'';
		geoMap.clear();
//		fullGeoMap.clear();
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);
		var url="/currentMonitor/severeWeather.do";
		info.interval=$(".severe-weather-datehour-option.datehour-option-active").attr("data-legend");
		var params={interval:info.interval,datetime:datetime};
		ajaxPost(url,params, _severeWeatherSuccess,info);
	}
	var resData;
	function _severeWeatherSuccess(data,info){
		var datetime;
		if(info.queryflag){
			datetime= info.datetime;
		}else{
			datetime= getNowFormatDateNew();
		}
		resData=data.body.data;
		var datetimeStr=datetime.substr(0,16)
		$("#showRealtime").text(datetimeStr);
		if(data.body.recordNum==0){
			$("#swCollapseControl").text("最近"+info.interval+"小时内无强天气");
			$("#swKindBox").html('')
			return false;
		}
		localStorage.realTime=datetimeStr;
		
		//TODO  缩放未绘制数据 
		asyncMapVisualization(resData, 'severeWeatherMv')
		var dataTypeArr=['rain','hail','wind','electric'];
		for(key in dataTypeActive){
			dataTypeActive[key]=true;
		}
		redrawData(resData,activeScale,fullCtx,'click');
	}
	/**
	 * 
	 * @param {Object} data
	 * @param {Object} dataTypeArr
	 */
	function redrawData(data, activeScale,ctx,handleType){
//		fullGeoMap.clear()
		ctx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制地理数据
		}
		
		var resData=data;
		var resDataLength=resData.length;
		var conItem,city,cnty,swStr='',iconUrl,
		rainNum=0,hailNum=0,windNum=0,electricNum=0,swNumStr='',rainNumStr='',hailNumStr='',windNumStr='',electricNumStr='',
		rainFirstDataIcon,hailFirstDataIcon,windFirstDataIcon,electricFirstDataIcon,interval,
		hailDataControl='',rainDataControl='',windDataControl='',electricControl='',swControl='';
		interval=$(".severe-weather-datehour-option.datehour-option-active").attr("data-legend");
		$('.severe-weather-kind').each(function(){
			var currentType=$(this).attr("data-type");
			if(dataTypeActive[currentType]){
				$(this).children(".severe-weather-kind-visible").addClass('severe-weather-kind-active')
			}
		})
		
		var size = Math.ceil(10 * tScale * 1.4)
		var fontSetting= size +'px sans-seri';
		ctx.font=fontSetting;
		for(var i=0;i<resDataLength;i++){
			var rainStr='',hailStr='',windStr='',electricStr='';
			if(resData[i].weatherType!=5){//除闪电外的强天气类型
				city=resData[i].city;
				cnty=resData[i].cnty;
				conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,50);
				//TODO
		   	 	//冰雹   begin 
		   	 	if(resData[i].hail!=null&dataTypeActive.hail){
			   	 	
					if(resData[i].hail>0&&resData[i].hail<5){
						ctx.drawImage(swIcon,0,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						iconUrl="hail1.png";
					}else if(resData[i].hail>=5&&resData[i].hail<10){
						ctx.drawImage(swIcon,28,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						iconUrl="hail2.png";
					}else if(resData[i].hail>=10&&resData[i].hail<20){
						ctx.drawImage(swIcon,58,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						iconUrl="hail3.png";
					}else if(resData[i].hail>=20){
						ctx.drawImage(swIcon,86,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						iconUrl="hail4.png";
					}
					
					hailNum++;
					if(hailNum==1){//取第一个非零数据的图标
						hailFirstDataIcon=iconUrl;
					}
					hailStr='<li class="severe-weather-station-item hail-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'站号：'+
			           		'<span>'+
			           			city+cnty+'('+resData[i].stationCode+')'+
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'冰雹直径：'+
			           		'<span>'+
			           			resData[i].hail+
			           		'</span>'+
			           '</span>'+
			        	'</li>';
				}
				
		   	 	//冰雹     end
		   	 	
//		   	 	大风    begin
		   	 	if(resData[i].maxWindSpeed!=null&dataTypeActive.wind){
		   	 		// console.log(resData[i])
					if(resData[i].maxWindSpeed>=17&&resData[i].maxWindSpeed<25){
						ctx.drawImage(swIcon,0,31,20,33,conItem[0]* tScale,conItem[1]* tScale,20* tScale,33* tScale);
						iconUrl="wind1.png";
					}else if(resData[i].maxWindSpeed>=25&&resData[i].maxWindSpeed<30){
						ctx.drawImage(swIcon,29,31,20,33,conItem[0]* tScale,conItem[1]* tScale,20* tScale,33* tScale);
						iconUrl="wind2.png";
					}else if(resData[i].maxWindSpeed>=30){
						ctx.drawImage(swIcon,59,31,20,33,conItem[0]* tScale,conItem[1]* tScale,20* tScale,33* tScale);
						iconUrl="wind3.png";
					}
					
					windNum++;
					if(windNum==1){//取第一个非零数据的图标
						windFirstDataIcon=iconUrl;
					}
					windStr='<li class="severe-weather-station-item wind-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'站点：'+
			           		'<span>'+
			           			city+cnty+'('+resData[i].stationCode+')'+
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'风速：'+
			           		'<span>'+
			           			resData[i].maxWindSpeed+'m/s'
			           		'</span>'+
			           '</span>'+
			        	'</li>';
				}
				
//		   		大风    end

//				降水  begin
		   	 	if(resData[i].pre!=null&dataTypeActive.rain){
		   	 		
					if(resData[i].pre>=20&&resData[i].pre<30){
						ctx.drawImage(swIcon,0,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						iconUrl="rain1.png";
						
					}else if(resData[i].pre>=30&&resData[i].pre<50){
						ctx.drawImage(swIcon,28,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						iconUrl="rain2.png";
					}else if(resData[i].pre>=50&&resData[i].pre<80){
						ctx.drawImage(swIcon,58,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						iconUrl="rain3.png";
					}else if(resData[i].pre>=80){
						ctx.drawImage(swIcon,85,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						iconUrl="rain4.png";
					}
					
					rainNum++;
					if(rainNum==1){//取第一个非零数据的图标
						rainFirstDataIcon=iconUrl;
					}
					rainStr='<li class="severe-weather-station-item rain-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'站号：'+
			           		'<span>'+
			           			city+cnty+'('+resData[i].stationCode+')'+
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'降水量：'+
			           		'<span>'+
			           			resData[i].pre+'mm'
			           		'</span>'+
			           '</span>'+
			        	'</li>';
			        	
				}
			
//				降水    end
				
			}else{
				//闪电   begin
				if(resData[i].electricStrength!=null&dataTypeActive.electric){
					//判断闪电落点是否在地图范围内，如不在跳出该次循环
					if(!(resData[i].lon>108.65&&resData[i].lon<114.4&&resData[i].lat>24.5&&resData[i].lat<30.25)){
						continue;
					}
					conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
			   	 	if(resData[i].electricStrength>0){
			   	 		//加号
			   	 		ctx.drawImage(swIcon,0,104,21,21,conItem[0]* tScale,conItem[1]* tScale,21* tScale,21* tScale);
			   	 		iconUrl="electric1.png";
			   	 	}else{
			   	 		//减号
			   	 		ctx.drawImage(swIcon,38,104,21,21,conItem[0]* tScale,conItem[1]* tScale,21* tScale,21* tScale);
			   	 		iconUrl="electric2.png";
			   	 	}
			   	 	
			   	 	electricNum++;
			   	 	if(electricNum==1){//取第一个非零数据的图标
						electricFirstDataIcon=iconUrl;
					}
			   	 	electricStr='<li class="severe-weather-station-item electric-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'<span>'+
			           			'经度'+resData[i].lon+',纬度'+resData[i].lat
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'闪电强度：'+
			           		'<span>'+
			           			resData[i].electricStrength
			           		'</span>'+
			           '</span>'+
			        	'</li>';
		   	 	}
			   
		    	//闪电  end
			}
			
			if(rainNum!=0){
				rainNumStr='<span>'+
			           			'短时强降水'+rainNum+'站'
			           		'</span>';
			    rainDataControl='<div class="severe-weather-kind clearfix" id="rainDataControl" data-type="rain">'+
		    				'<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+rainFirstDataIcon+'"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+rainNum+'</span>'+
		    				'</div>';
			}else{
				rainNumStr='';
				rainDataControl='';
			}
			if(hailNum!=0){
				hailNumStr='<span>'+
			           			'冰雹'+hailNum+'站'
			           		'</span>';
			    hailDataControl='<div class="severe-weather-kind clearfix" id="hailDataControl"  data-type="hail">'+
		    				'<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+hailFirstDataIcon+'"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+hailNum+'</span>'+
		    				'</div>';
			}else{
				hailNumStr='';
				hailDataControl='';
			}
			if(windNum!=0){
				windNumStr='<span>'+
			           			'极大风'+windNum+'站'
			           		'</span>'; 
			    windDataControl='<div class="severe-weather-kind clearfix" id="windDataControl"  data-type="wind">'+
		    				'<img class="severe-weather-kind-icon" style="width:0.6rem;" src="../../images/monitoringOfLive/severe-weather-icon/'+windFirstDataIcon+'"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+windNum+'</span>'+
		    				'</div>';
			}else{
				windNumStr='';
				windDataControl='';
			}
			if(electricNum!=0){
				electricNumStr='<span>'+
			           			'闪电'+electricNum+'站'
			           		'</span>';
			    electricControl='<div class="severe-weather-kind clearfix" id="electricControl" data-type="electric">'+
		    				// '<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+electricFirstDataIcon+'"/>'+
		    				'<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/electric1.png"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+electricNum+'</span>'+
		    				'</div>';
			}else{
				electricNumStr='';
				electricControl='';
			}
			swNumStr='<span class="swNumBox">近'+interval + '小时内：' + rainNumStr+hailNumStr+windNumStr+electricNumStr+'</span>';
			swStr+=rainStr+hailStr+windStr+electricStr;
			
		}
		if(handleType=='zoom'){
			return
		}
		swControl=rainDataControl+windDataControl+hailDataControl+electricControl;
		$(".swNumBox").remove();
		$("#datehourTxt").text(interval);
		$("#swCollapseControl").text('').append(swNumStr);
		$("#swUL").html(swStr);
		$("#swKindBox").html(swControl);
	}
	
	function switchDataVisble(data,dataTypeArr,activeScale,ctx){	
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制地理数据
		}
		var resData=data;
		var dataTypeArr=dataTypeArr;
		var resDataLength=resData.length;
		var conItem;
		
		console.time('drawImg')
		for(var i=0;i<resDataLength;i++){
			// (function(i) {
			// 	requestAnimationFrame(function() {
			if(resData[i].weatherType!=5){//除闪电外的强天气类型
				conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
		   	 	//冰雹   begin 
		   	 	if(dataTypeArr.contains('hail')){
					if(resData[i].hail!=0){
						if(resData[i].hail>0&&resData[i].hail<5){
							ctx.drawImage(swIcon,0,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						}else if(resData[i].hail>=5&&resData[i].hail<10){
							ctx.drawImage(swIcon,28,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						}else if(resData[i].hail>=10&&resData[i].hail<20){
							ctx.drawImage(swIcon,58,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						}else if(resData[i].hail>=20){
							ctx.drawImage(swIcon,86,0,19,17,conItem[0]* tScale,conItem[1]* tScale,19* tScale,17* tScale);
						}
					}
			   	 	$(".hail-item").show();
		   	 	}else{
		   	 		$(".hail-item").hide();
		   	 	}
		   	 	//冰雹     end
		   	 	
//		   	 	大风    begin
		   	 	if(dataTypeArr.contains('wind')){
		   	 		if(resData[i].maxWindSpeed!=0){
							if(resData[i].maxWindSpeed>=17&&resData[i].maxWindSpeed<25){
								ctx.drawImage(swIcon,0,31,20,33,conItem[0]* tScale,conItem[1]* tScale,20* tScale,33* tScale);
							}else if(resData[i].maxWindSpeed>=25&&resData[i].maxWindSpeed<30){
								ctx.drawImage(swIcon,29,31,20,33,conItem[0]* tScale,conItem[1]* tScale,20* tScale,33* tScale);
							}else if(resData[i].maxWindSpeed>=30){
								ctx.drawImage(swIcon,59,31,20,33,conItem[0]* tScale,conItem[1]* tScale,20* tScale,33* tScale);
							}
						}
						$(".wind-item").show();
		   		}else{
		   			$(".wind-item").hide();
					 }
//		   		大风    end

//				降水  begin
				if(dataTypeArr.contains('rain')){
					if(resData[i].pre!=0){
						if(resData[i].pre>=20&&resData[i].pre<30){
							ctx.drawImage(swIcon,0,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						}else if(resData[i].pre>=30&&resData[i].pre<50){
							ctx.drawImage(swIcon,28,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						}else if(resData[i].pre>=50&&resData[i].pre<80){
							ctx.drawImage(swIcon,58,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						}else if(resData[i].pre>=80){
							ctx.drawImage(swIcon,85,73,20,20,conItem[0]* tScale,conItem[1]* tScale,20* tScale,20* tScale);
						}
						
					}
					$(".rain-item").show();
		   	 	}else{
		   	 		$(".rain-item").hide();
		   	 	}
//				降水    end
			}else{
				//闪电   begin

				if(dataTypeArr.contains('electric')){
			   		if(resData[i].electricStrength!=0){
						conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				   	 	if(resData[i].electricStrength>0){
				   	 		//加号
				   	 		ctx.drawImage(swIcon,0,104,21,21,conItem[0]* tScale,conItem[1]* tScale,21* tScale,21* tScale);
				   	 	}else{
				   	 		//减号
				   	 		ctx.drawImage(swIcon,38,104,21,21,conItem[0]* tScale,conItem[1]* tScale,21* tScale,21* tScale);
				   	 	}
			   	 	}
		   	 		$(".electric-item").show();
		   	 	}else{
		   	 		$(".electric-item").hide();
		   	 	}
					//闪电  end
			}
	// 	})
	// })(i)
		}
		console.timeEnd('drawImg')
		
	}
	// 弹出窗口   begin   
	function drawWindow(data,ctx){
		console.log('drawWindow(data,ctx)')
		var activeTypeTxt,unit,attrName;
		var searchData=data;
		var activeType=searchData[3].weatherType;
		switch(parseInt(activeType)){
			case 1:
				activeTypeTxt='降水量';
				unit='mm';
				attrName= 'pre';
			break;
			case 2:
				activeTypeTxt='风速';
				unit='m/s';
				attrName= 'maxWindSpeed' ;
			break;
			case 3:
				activeTypeTxt='直径';
				unit='mm';
				attrName= 'hail';
			break;
			case 4:
				activeTypeTxt='龙卷类型';
				unit='';
				attrName= 'tornadoType';
			break;
			case 5:
				activeTypeTxt='电流强度';
				unit='A';
				attrName= 'electricStrength';
			break;
			
		}
		var fontSetting=10*tScale+'px sans-seri';
			ctx.font=fontSetting;
		ctx.drawImage(swBg,(searchData[0]-80) * tScale,(searchData[1]-72) * tScale,180 * tScale,72 * tScale);
		if(parseInt(activeType)!=5){
			//TODO 位置与大小不对
			ctx.fillText("站名："+searchData[3].city+searchData[3].cnty, (searchData[0]-70) * tScale, (searchData[1]-54) * tScale);
			ctx.fillText("时间："+searchData[3].datetime, (searchData[0]-70) * tScale, (searchData[1]-34) * tScale);
			ctx.fillText(activeTypeTxt+" : "+searchData[3][attrName]+unit, (searchData[0]-70) * tScale, (searchData[1]-14) * tScale);
		}else{
			ctx.fillText("经纬度："+'('+searchData[3].lon+','+searchData[3].lat+')', (searchData[0]-70) * tScale, (searchData[1]-54) * tScale);
			ctx.fillText("时间："+searchData[3].datetime, (searchData[0]-70) * tScale, (searchData[1]-34) * tScale);
			ctx.fillText(activeTypeTxt+" : "+searchData[3][attrName]+unit, (searchData[0]-70) * tScale, (searchData[1]-14) * tScale);
		}
		hasWindowFlag = true
	}
	//弹出窗口        end

	function init() {
		map_w=$("#rainMap").width();
		map_h=$("#rainMap").height();
		$("#zoomLayer").width(map_w).height(map_h)
		map_lat_start =24.5;
		map_lon_start =108.6; 
		map_lat_end = 30.3; 
		map_lon_end =114.4;
		var wrapperHeight = $('#mapWrapper').outerHeight()
		window.FULL_CAN_TOP = -(wrapperHeight - map_h) / 2
		fullCan.style.top = FULL_CAN_TOP + 'px'
		fullCan.width = map_w * tScale
		fullCan.height = wrapperHeight * tScale
		fullCan.style.width = map_w + 'px'
		fullCan.style.height = wrapperHeight + 'px'
		cityCan.width=map_w * tScale;
		cityCan.height=map_h * tScale;
		cityCan.style.width=map_w+'px';
		cityCan.style.height=map_h+'px';
		
		var perLat= Decimal.div(5.8, map_h).toNumber();
		var diffTopLat=Decimal.sub(wrapperHeight, map_h).div(2).mul(perLat).toNumber()
		var initLatMin= Decimal.sub(24.5,diffTopLat);
		var initLatMax=Decimal.add(30.3,diffTopLat);
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 2, map_w, map_h);
		fullGeoMap = new GeoMapUtil();
		fullGeoMap.init(map_lon_start,map_lon_end,initLatMin,initLatMax, 0.3, map_w, wrapperHeight);
		drawCityName(cityData,1);
	}
	
	function drawCityName(data,activeScale){
		console.log('drawCityName(data,activeScale)')
		var registerElement;
		var size = Math.ceil(10 * dip / activeScale * lv)
		var fontSetting= size +'px sans-seri';
		cityCtx.font=fontSetting;
		cityCtx.clearRect(0,0,cityCan.width,cityCan.height);//	清空画布
		data.forEach(function(item) {
			registerElement = geoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			cityCtx.fillText(item.city, item.containerPos[0]*tScale, item.containerPos[1]*tScale);
		})
	}
	function drawTwoLvData(data,keyName) {
		console.log('drawTwoLvData(data,keyName)')
		var size = Math.ceil(10 * tScale)
		var fontSetting= size +'px sans-seri';
		fullCtx.fillStyle = "#3b3b3c"; 
		fullCtx.font=fontSetting;
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		data.forEach(function(item) {
			var registerElement = fullGeoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			size = Math.ceil(10 * tScale*2)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText('.', item.containerPos[0] * tScale + item[keyName].length*size/4.8 , item.containerPos[1]*tScale + size/4);
			size = Math.ceil(10 * tScale)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText(item[keyName], item.containerPos[0] * tScale, item.containerPos[1]*tScale);
		})
		fullGeoMap.clear()
	}
	

//	init
	var self = $("#zoomLayer")
	var resSwData='',activeData,preWeatherInfoData={queryflag:false,datetime:''};
	$("#rainMap").load(function() {
		init();
		severeWeather(preWeatherInfoData);
		
		asyncMapVisualization(cityData, 'cityMv')
		asyncMapVisualization(cntyData, 'cntyMv')
		asyncMapVisualization(townsStationData, 'townsMv')

		var xInterval=geoMap.xInterval;//X轴向一像素与经度换算
		var yInterval=geoMap.yInterval;
		
		$("#mapBox").height($(window).width() / $("#rainMap")[0].naturalWidth * $("#rainMap")[0].naturalHeight)
		
		var isMoved = false
		self.zoom({
			syncDoms: ['#rainMap', '#cityCan'],
			onUpdate: function(x, y, s) {
				if (isMoved) {
					isMoved = false
					return
				}
				fullCan.style.left = (fullCan.offsetLeft - x) + 'px'
				fullCan.style.top = (fullCan.offsetTop - y) + 'px' 
			},
			moved: function(x, y, scale) {
				isMoved = true
				fullCan.style.left = '0px'
				fullCan.style.top = window.FULL_CAN_TOP + 'px'
				activeScale=scale;
				if (scale < 1.5) {
					drawCityName(cityData, scale)
					fullCtx.clearRect(0,0,fullCan.width,fullCan.height);
					result = CONSTANT.cityMv.query(Math.abs(x), Math.abs(y), scale) //查询出当前屏幕范围内的数据
				}
				if(scale > 1.5 && scale <7){
					result = CONSTANT.cntyMv.query(Math.abs(x), Math.abs(y), scale) 
					cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
				}
				if(scale > 7){
					if(CONSTANT.townsMv){
						result = CONSTANT.townsMv.query(Math.abs(x), Math.abs(y), scale) 
						cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
					}
				}
				
				//TODO 
				fullGeoMap = new GeoMapUtil()
				fullGeoMap.init(result.startLon,result.endLon,result.startLat,result.endLat, Decimal.sub(result.endLon, result.startLon).div(10).toNumber(), Number(fullCan.style.width.replace('px', '')), Number(fullCan.style.height.replace('px', '')));
				if(JSON.stringify(resData) != '[]'){
					resSwData = CONSTANT.severeWeatherMv.query(Math.abs(x), Math.abs(y), scale).data;
					redrawData(resSwData, scale, fullCtx,'zoom')
					if(searchObj){//移动时若存在弹窗 重新计算该弹窗位置并绘制
						var lastLat = searchObj[3].lat,
							lastLon = searchObj[3].lon,
							lastSearchObjXY= fullGeoMap.registerElement(searchObj[3],lastLon,lastLat,30);
						drawWindow(lastSearchObjXY,fullCtx);
					}
				}else{
					if(activeScale > 1.5 && activeScale < 7){
						drawTwoLvData(result.data, 'cnty');//绘制地理数据
					}
					if(activeScale > 7){
						drawTwoLvData(result.data, 'station');//绘制地理数据
					}
				}
			}
		})
	})
	.attr('src', '../../images/map/a.min.svg')
	
	
	
	
//	交互    beign
	// 1、出现什么类型的强天气类型  txt  2、有什么类型的强天气类型  分别添加到控制栏里  点击对应的控制圈  显示、隐藏对应类型数据  已完成
	mui("#severe-weather-datehour-box").on("click",".severe-weather-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		$("#swKindBox").empty();
		preWeatherInfoData.queryflag=false;
		preWeatherInfoData.datetime='';
		severeWeather(preWeatherInfoData);
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制地理数据
		}
	});
	
	mui("#swKindBox").on("click",".severe-weather-kind",function(){
		var dataTypeArr=[],dataType;
		if($(this).find(".severe-weather-kind-visible").hasClass("severe-weather-kind-active")){
			$(this).children(".severe-weather-kind-visible").removeClass("severe-weather-kind-active");
		}else{
			$(this).children(".severe-weather-kind-visible").addClass("severe-weather-kind-active");
		}
		var currentType=$(this).attr("data-type");
		dataTypeActive[currentType]=!dataTypeActive[currentType];
		$(".severe-weather-kind").each(function(){
			if($(this).find(".severe-weather-kind-visible").hasClass("severe-weather-kind-active")){
				dataType=$(this).attr("data-type");
				dataTypeArr.push(dataType);
			}
		});
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);
		switchDataVisble(resData,dataTypeArr,activeScale,fullCtx);
	});
	
	var searchObj;
	mui("#severe-content").on("tap", "#mapWrapper", function(e){
		searchObj = null
		var event=window.event||e;
		var locX, locY;
		if(event.pageX){
			locX=event.pageX;
		}else{
			locX=event.detail.changedTouches[0].pageX;
		}
		if(event.pageY){
			locY=event.pageY;
		}else{
			locY=event.detail.changedTouches[0].pageY;
		}
		var loc = windowTocanvas(fullCan, locX, locY);
		
		var x = Decimal.div(loc.x, tScale).toNumber(),
			y = Decimal.div(loc.y, tScale).toNumber();
		searchObj = fullGeoMap.getElementDataByXY(x, y);
		
		if(hasWindowFlag== false && searchObj != null){
			drawWindow(searchObj,fullCtx);
		}else if(hasWindowFlag== true && searchObj != null){
			redrawData(resData, activeScale, fullCtx,'zoom')
			drawWindow(searchObj,fullCtx);
		}else if(hasWindowFlag== true && searchObj == null){
			redrawData(resData, activeScale, fullCtx,'zoom')
			hasWindowFlag = false
		}
	});

	//弹出时间控件
	var dtPicker = new mui.DtPicker({type:'hour'}); 
	$(".show-info-realtime-box").click(function(){
		dtPicker.show(function(items){
			preWeatherInfoData.queryflag=true;
			preWeatherInfoData.datetime=items.text+':00:00';
			var currentTime= getNowFormatDateNew();
			if(preWeatherInfoData.datetime>currentTime){
				mui.alert("已是最新数据！")
				return false;
			}
			severeWeather(preWeatherInfoData);
		});
	});

//});