//$(function(){
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var swStationCan=document.getElementById("severeWStationCan");
	var swStationCtx=swStationCan.getContext("2d");
	var swWindowCan=document.getElementById("severeWWindowCan");
	var swWindowCtx=swWindowCan.getContext("2d");
	var swBg=document.getElementById("swBgWp");//弹出窗口背景
	var swIcon=document.getElementById("swIcon");// 天气现象对应小图标集合


	function severeWeather(){
		geoMap.clear();
		swStationCtx.clearRect(0,0,swStationCan.width,swStationCan.height);
		swWindowCtx.clearRect(0,0,swWindowCan.width,swWindowCan.height);
		var url="/currentMonitor/severeWeather.do";
		var interval=$(".severe-weather-datehour-option.datehour-option-active").attr("data-legend");
		var params={interval:interval};
		ajaxPost(url,params, _severeWeatherSuccess,interval);
	}
	var resData;
	function _severeWeatherSuccess(data,info){
		var datetime= getNowFormatDateNew();
		$("#showRealtime").text(datetime.substr(0,16));
		if(data.body.recordNum==0){
			$("#swCollapseControl").text("最近"+info+"小时内无强天气");
			return false;
		}
		localStorage.realTime=datetime.substr(0,16);
		resData=data.body.data;
		var dataTypeArr=['rain','hail','wind','electric'];
		redrawData(resData,info);
	}
	/**
	 * 
	 * @param {Object} data
	 * @param {Object} dataTypeArr
	 */
	function redrawData(data, info){
		var resData=data;
		var resDataLength=resData.length;
		var conItem,city,cnty,swStr='',iconUrl,
		rainNum=0,hailNum=0,windNum=0,electricNum=0,swNumStr='',rainNumStr='',hailNumStr='',windNumStr='',electricNumStr='',
		rainFirstDataIcon,hailFirstDataIcon,windFirstDataIcon,electricFirstDataIcon,interval,
		hailDataControl='',rainDataControl='',windDataControl='',electricControl='',swControl='';
		$(".severe-weather-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				interval=$(this).attr("data-legend");
			}
		});
		geoMap.clear();
		swStationCtx.clearRect(0,0,swStationCan.width,swStationCan.height);
		swWindowCtx.clearRect(0,0,swWindowCan.width,swWindowCan.height);
		for(var i=0;i<resDataLength;i++){
			var rainStr='',hailStr='',windStr='',electricStr='';
			if(resData[i].weatherType!=5){//除闪电外的强天气类型
				city=resData[i].city;
				cnty=resData[i].cnty;
				conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
		   	 	resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
		   	 	//冰雹   begin 
		   	 	if(resData[i].hail!=null){
			   	 	
					if(resData[i].hail>0&&resData[i].hail<5){
						swStationCtx.drawImage(swIcon,0,0,19,17,conItem[0],conItem[1],19,17);
						iconUrl="hail1.png";
					}else if(resData[i].hail>=5&&resData[i].hail<10){
						swStationCtx.drawImage(swIcon,28,0,19,17,conItem[0],conItem[1],19,17);
						iconUrl="hail2.png";
					}else if(resData[i].hail>=10&&resData[i].hail<20){
						swStationCtx.drawImage(swIcon,58,0,19,17,conItem[0],conItem[1],19,17);
						iconUrl="hail3.png";
					}else if(resData[i].hail>=20){
						swStationCtx.drawImage(swIcon,86,0,19,17,conItem[0],conItem[1],19,17);
						iconUrl="hail4.png";
					}
					
					hailNum++;
					if(hailNum==1){//取第一个非零数据的图标
						hailFirstDataIcon=iconUrl;
					}
					hailStr='<li class="severe-weather-station-item hail-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'站号：'+
			           		'<span>'+
			           			city+cnty+'('+resData[i].stationCode+')'+
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'冰雹直径：'+
			           		'<span>'+
			           			resData[i].hail+
			           		'</span>'+
			           '</span>'+
			        	'</li>';
				}
				
		   	 	//冰雹     end
		   	 	
//		   	 	大风    begin
		   	 	
		   	 	if(resData[i].maxWindSpeed!=null){
					if(resData[i].maxWindSpeed>=17&&resData[i].maxWindSpeed<25){
						swStationCtx.drawImage(swIcon,0,31,20,33,conItem[0],conItem[1],20,33);
						iconUrl="wind1.png";
					}else if(resData[i].maxWindSpeed>=25&&resData[i].maxWindSpeed<30){
						swStationCtx.drawImage(swIcon,29,31,20,33,conItem[0],conItem[1],20,33);
						iconUrl="wind2.png";
					}else if(resData[i].maxWindSpeed>=30){
						swStationCtx.drawImage(swIcon,59,31,20,33,conItem[0],conItem[1],20,33);
						iconUrl="wind3.png";
					}
					
					windNum++;
					if(windNum==1){//取第一个非零数据的图标
						windFirstDataIcon=iconUrl;
					}
					windStr='<li class="severe-weather-station-item wind-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'站点：'+
			           		'<span>'+
			           			city+cnty+'('+resData[i].stationCode+')'+
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'风速：'+
			           		'<span>'+
			           			resData[i].maxWindSpeed+'m/s'
			           		'</span>'+
			           '</span>'+
			        	'</li>';
				}
				
//		   		大风    end

//				降水  begin

				
		   	 	if(resData[i].pre!=null){
					
					if(resData[i].pre>=20&&resData[i].pre<30){
						swStationCtx.drawImage(swIcon,0,73,20,20,conItem[0],conItem[1],20,20);
						iconUrl="rain1.png";
						
					}else if(resData[i].pre>=30&&resData[i].pre<50){
						swStationCtx.drawImage(swIcon,28,73,20,20,conItem[0],conItem[1],20,20);
						iconUrl="rain2.png";
					}else if(resData[i].pre>=50&&resData[i].pre<80){
						swStationCtx.drawImage(swIcon,58,73,20,20,conItem[0],conItem[1],20,20);
						iconUrl="rain3.png";
					}else if(resData[i].pre>=80){
						swStationCtx.drawImage(swIcon,85,73,20,20,conItem[0],conItem[1],20,20);
						iconUrl="rain4.png";
					}
					
					rainNum++;
					if(rainNum==1){//取第一个非零数据的图标
						rainFirstDataIcon=iconUrl;
					}
					rainStr='<li class="severe-weather-station-item rain-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'站号：'+
			           		'<span>'+
			           			city+cnty+'('+resData[i].stationCode+')'+
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'降水量：'+
			           		'<span>'+
			           			resData[i].pre+'mm'
			           		'</span>'+
			           '</span>'+
			        	'</li>';
			        	
				}
			
//				降水    end
				
			}else{
				//闪电   begin
				
				if(resData[i].electricStrength!=null){
					//判断闪电落点是否在地图范围内，如不在跳出该次循环
					if(!(resData[i].lon>108.45703125&&resData[i].lon<114.43359375&&resData[i].lat>24.36711356032445&&resData[i].lat<30.44867367648493)){
						continue;
					}
					conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
			   	 	resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
			   	 	
			   	 	if(resData[i].electricStrength>0){
			   	 		//加号
			   	 		swStationCtx.drawImage(swIcon,0,104,21,21,conItem[0],conItem[1],21,21);
			   	 		iconUrl="electric1.png";
			   	 	}else{
			   	 		//减号
			   	 		swStationCtx.drawImage(swIcon,38,104,21,21,conItem[0],conItem[1],21,21);
			   	 		iconUrl="electric2.png";
			   	 	}
			   	 	
			   	 	electricNum++;
			   	 	if(electricNum==1){//取第一个非零数据的图标
						electricFirstDataIcon=iconUrl;
					}
			   	 	electricStr='<li class="severe-weather-station-item electric-item clearfix">'+
			           '<img class="severe-weather-station-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+iconUrl+'" alt="" />'+
			           '<span class="severe-weather-stationCode">'+
			           		'<span>'+
			           			'经度'+resData[i].lon+',纬度'+resData[i].lat
			           		'</span>'+
			           '</span>'+
			           '<span class="severe-weather-station-pre">'+
			           		'闪电强度：'+
			           		'<span>'+
			           			resData[i].electricStrength
			           		'</span>'+
			           '</span>'+
			        	'</li>';
		   	 	}
			   
		    	//闪电  end
			}
			
			if(rainNum!=0){
				rainNumStr='<span>'+
			           			'短时强降水'+rainNum+'站'
			           		'</span>';
			    rainDataControl='<div class="severe-weather-kind clearfix" id="rainDataControl" data-type="rain">'+
		    				'<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+rainFirstDataIcon+'"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+rainNum+'</span>'+
		    				'</div>';
			}else{
				rainNumStr='';
				rainDataControl='';
			}
			if(hailNum!=0){
				hailNumStr='<span>'+
			           			'冰雹'+hailNum+'站'
			           		'</span>';
			    hailDataControl='<div class="severe-weather-kind clearfix" id="hailDataControl"  data-type="hail">'+
		    				'<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+hailFirstDataIcon+'"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+hailNum+'</span>'+
		    				'</div>';
			}else{
				hailNumStr='';
				hailDataControl='';
			}
			if(windNum!=0){
				windNumStr='<span>'+
			           			'极大风'+windNum+'站'
			           		'</span>';
			    windDataControl='<div class="severe-weather-kind clearfix" id="windDataControl"  data-type="wind">'+
		    				'<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+windFirstDataIcon+'"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+windNum+'</span>'+
		    				'</div>';
			}else{
				windNumStr='';
				windDataControl='';
			}
			if(electricNum!=0){
				electricNumStr='<span>'+
			           			'闪电'+electricNum+'站'
			           		'</span>';
			    electricControl='<div class="severe-weather-kind clearfix" id="electricControl" data-type="electric">'+
		    				'<img class="severe-weather-kind-icon" src="../../images/monitoringOfLive/severe-weather-icon/'+electricFirstDataIcon+'"/>'+
		    				'<span class="severe-weather-kind-visible severe-weather-kind-active">'+electricNum+'</span>'+
		    				'</div>';
			}else{
				electricNumStr='';
				electricControl='';
			}
			swNumStr='<span class="swNumBox">最近'+info + '小时内发生' + rainNumStr+hailNumStr+windNumStr+electricNumStr+'</span>';
			swStr+=rainStr+hailStr+windStr+electricStr;
			
		}
		swControl=rainDataControl+windDataControl+hailDataControl+electricControl;
		$(".swNumBox").remove();
		$("#datehourTxt").text(interval);
		$("#swCollapseControl").text('').append(swNumStr);
		$("#swUL").html(swStr);
		$("#swKindBox").html(swControl);
	}
	
	function switchDataVisble(data,dataTypeArr){
		var resData=data;
		var dataTypeArr=dataTypeArr;
		var resDataLength=resData.length;
		var conItem;
		for(var i=0;i<resDataLength;i++){
			if(resData[i].weatherType!=5){//除闪电外的强天气类型
				conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
		   	 	resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
		   	 	//冰雹   begin 
		   	 	if(dataTypeArr.contains('hail')){
					if(resData[i].hail!=0){
						if(resData[i].hail>0&&resData[i].hail<5){
							swStationCtx.drawImage(swIcon,0,0,19,17,conItem[0],conItem[1],19,17);
						}else if(resData[i].hail>=5&&resData[i].hail<10){
							swStationCtx.drawImage(swIcon,28,0,19,17,conItem[0],conItem[1],19,17);
						}else if(resData[i].hail>=10&&resData[i].hail<20){
							swStationCtx.drawImage(swIcon,58,0,19,17,conItem[0],conItem[1],19,17);
						}else if(resData[i].hail>=20){
							swStationCtx.drawImage(swIcon,86,0,19,17,conItem[0],conItem[1],19,17);
						}
					}
			   	 	$(".hail-item").show();
		   	 	}else{
		   	 		$(".hail-item").hide();
		   	 	}
		   	 	//冰雹     end
		   	 	
//		   	 	大风    begin
		   	 	if(dataTypeArr.contains('wind')){
		   	 		if(resData[i].maxWindSpeed!=0){
						if(resData[i].maxWindSpeed>=17&&resData[i].maxWindSpeed<25){
							swStationCtx.drawImage(swIcon,0,31,20,33,conItem[0],conItem[1],20,33);
						}else if(resData[i].maxWindSpeed>=25&&resData[i].maxWindSpeed<30){
							swStationCtx.drawImage(swIcon,29,31,20,33,conItem[0],conItem[1],20,33);
						}else if(resData[i].maxWindSpeed>=30){
							swStationCtx.drawImage(swIcon,59,31,20,33,conItem[0],conItem[1],20,33);
						}
					}
					$(".wind-item").show();
		   		}else{
		   			$(".wind-item").hide();
		   		}
//		   		大风    end

//				降水  begin
				if(dataTypeArr.contains('rain')){
					if(resData[i].pre!=0){
						if(resData[i].pre>=20&&resData[i].pre<30){
							swStationCtx.drawImage(swIcon,0,73,20,20,conItem[0],conItem[1],20,20);
						}else if(resData[i].pre>=30&&resData[i].pre<50){
							swStationCtx.drawImage(swIcon,28,73,20,20,conItem[0],conItem[1],20,20);
						}else if(resData[i].pre>=50&&resData[i].pre<80){
							swStationCtx.drawImage(swIcon,58,73,20,20,conItem[0],conItem[1],20,20);
						}else if(resData[i].pre>=80){
							swStationCtx.drawImage(swIcon,85,73,20,20,conItem[0],conItem[1],20,20);
						}
						
					}
					$(".rain-item").show();
		   	 	}else{
		   	 		$(".rain-item").hide();
		   	 	}
//				降水    end
				
			}else{
				//闪电   begin
				if(dataTypeArr.contains('electric')){
			   		if(resData[i].electricStrength!=0){
						conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				   	 	resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
				   	 	if(resData[i].electricStrength>0){
				   	 		//加号
				   	 		swStationCtx.drawImage(swIcon,0,104,21,21,conItem[0],conItem[1],21,21);
				   	 	}else{
				   	 		//减号
				   	 		swStationCtx.drawImage(swIcon,38,104,21,21,conItem[0],conItem[1],21,21);
				   	 	}
			   	 	}
		   	 		$(".electric-item").show();
		   	 	}else{
		   	 		$(".electric-item").hide();
		   	 	}
				
		    	//闪电  end
			}
		}
	}
	// 弹出窗口   begin   
	function drawWindow(data,ctx){
		var activeTypeTxt,unit,attrName;
		var searchData=data;
		var activeType=searchData[3].weatherType;
		switch(parseInt(activeType)){
			case 1:
				activeTypeTxt='降水量';
				unit='mm';
				attrName= 'pre';
			break;
			case 2:
				activeTypeTxt='风速';
				unit='m/s';
				attrName= 'maxWindSpeed' ;
			break;
			case 3:
				activeTypeTxt='直径';
				unit='mm';
				attrName= 'hail';
			break;
			case 4:
				activeTypeTxt='龙卷类型';
				unit='';
				attrName= 'tornadoType';
			break;
			case 5:
				activeTypeTxt='电流强度';
				unit='A';
				attrName= 'electricStrength';
			break;
			
		}
		ctx.clearRect(0,0,swWindowCan.width,swWindowCan.height);//清空画布
		ctx.font="500 10px";//设置字体颜色
		ctx.drawImage(swBg,searchData[0]-80,searchData[1]-72,180,72);
		if(parseInt(activeType)!=5){
			ctx.fillText("站名："+searchData[3].city+searchData[3].cnty, searchData[0]-70, searchData[1]-54);
			ctx.fillText("时间："+searchData[3].datetime, searchData[0]-70, searchData[1]-34);
			ctx.fillText(activeTypeTxt+" : "+searchData[3][attrName]+unit, searchData[0]-70, searchData[1]-14);
		}else{
			ctx.fillText("经纬度："+'('+searchData[3].lon+','+searchData[3].lat+')', searchData[0]-70, searchData[1]-54);
			ctx.fillText("时间："+searchData[3].datetime, searchData[0]-70, searchData[1]-34);
			ctx.fillText(activeTypeTxt+" : "+searchData[3][attrName]+unit, searchData[0]-70, searchData[1]-14);
		}
	}
	//弹出窗口        end

	function init() {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($("#severeWMap").attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		swStationCan.width=map_w;//给canvas画布赋值宽高
		swStationCan.height=map_h;
		swWindowCan.width=map_w;
		swWindowCan.height=map_h;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 1, map_w, map_h);
	}

	function zoom(){
		severeWeather();
	}

//	init
	init();
	severeWeather();
	
	
//	交互    beign
	// 1、出现什么类型的强天气类型  txt  2、有什么类型的强天气类型  分别添加到控制栏里  点击对应的控制圈  显示、隐藏对应类型数据  已完成
	mui("#severe-weather-datehour-box").on("click",".severe-weather-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		$("#swKindBox").empty();
		severeWeather();
	});
	
	mui("#swKindBox").on("click",".severe-weather-kind-visible",function(){
		var dataTypeArr=[],dataType;
		if($(this).hasClass("severe-weather-kind-active")){
			$(this).removeClass("severe-weather-kind-active");
			$(this).css("background-color","#888");
		}else{
			$(this).addClass("severe-weather-kind-active");
			$(this).css("background-color","#f80304");
		}
		$(".severe-weather-kind").each(function(){
			if($(this).find(".severe-weather-kind-visible").hasClass("severe-weather-kind-active")){
				dataType=$(this).attr("data-type");
				dataTypeArr.push(dataType);
			}
		});
		swStationCtx.clearRect(0,0,swStationCan.width,swStationCan.height);
		swWindowCtx.clearRect(0,0,swWindowCan.width,swWindowCan.height);
		switchDataVisble(resData,dataTypeArr);
	});

	mui("#severe-content").on("tap", "#severeWWindowCan", function(e){
		var event=window.event||e;
		var locX=event.detail.changedTouches[0].pageX;
		var locY=event.detail.changedTouches[0].pageY;
		var loc = windowTocanvas(swWindowCan, locX, locY);
		var x = parseInt(loc.x);
		var y = parseInt(loc.y);
		var activeSort;
		var searchObj = geoMap.getElementDataByXY(x, y);
		if(searchObj != null) {
			drawWindow(searchObj,swWindowCtx);
		}else{
			swWindowCtx.clearRect(0,0,swWindowCan.width,swWindowCan.height);
		}
	});
	
	//放大
	$(".zoom-box").on("click","#zoomOutBtn",function(event){
		event.stopPropagation();
		var i=parseInt($("#severeWMap").attr("alt"));
		i++;
		if(i>8){
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#severeWMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		if(resData){
			var interval=$(".severe-weather-datehour-option.datehour-option-active").attr("data-legend");
			redrawData(resData,interval);
		}else{
			severeWeather();
		}
		
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#severeWMap").offset().left;
		cat.touchjs.top = $("#severeWMap").offset().top;
	});
	//缩小
	$(".zoom-box").on("click","#zoomInBtn",function(event){
		event.stopPropagation(); 
		var i=parseInt($("#severeWMap").attr("alt"));
		i--;
		if(i<6){
			mui.toast("已是最小级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#severeWMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		if(resData){
			var interval=$(".severe-weather-datehour-option.datehour-option-active").attr("data-legend");
			redrawData(resData,interval);
		}else{
			severeWeather();
		}
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#severeWMap").offset().left;
		cat.touchjs.top = $("#severeWMap").offset().top;
	});
	
	
	
	
//});