//$(function(){
	//1、单个站点折线图只做24h的，当前返回时间往后退24h TODO
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var temStainMapCan=document.getElementById("temStainMapCan");//降水色斑图画布
	var temStainMapCtx=temStainMapCan.getContext("2d");
	var temStationCan=document.getElementById("temStationCan");//降水站点画布
	var temStationCtx=temStationCan.getContext("2d");
	var temStainImg=document.getElementById("temStainImg");
	var geoMap;
		
	
//	默认按降序返回，降序排行时按数组下标从小到大排列即可，升序反之。
//  查询时间(初始化时赋值空字符串即可),info为0时代表初始化

//逐小时气温和24小时变温数据获取  begin
//	var temChangeInfoData={flag:0,datetime:""}; init
	function temAndTemChange24h(infoData){
		geoMap.clear();//清空控件
		temStationCtx.clearRect(0,0,temStationCan.width,temStationCan.height);//	清空画布
		temStainMapCtx.clearRect(0,0,temStationCan.width,temStationCan.height);//	清空画布
		var url="/currentMonitor/tem/temAndTemChange24h.do";
		var dateTime;
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={datetime:dateTime};
		ajaxPost(url,params,_temAndTemChange24hSuccess,infoData);
	}
	var temChangeSwitchData={};
	function _temAndTemChange24hSuccess(data,infoData){
		if(data.body.recordNum==0){
			mui.alert('暂无数据！',"提示","确定",function(){});
			return false;
		}
		var temChangeTime;
		if(infoData.flag==0){
			temChangeTime=data.body.datetime;
			localStorage.temChangeTimeInit=temChangeTime;
		}else{
			temChangeTime=infoData.datetime;
		}
		$('#temShowRealtime').text(temChangeTime.substr(5,2)+"月"+temChangeTime.substr(8,2)+"日"+temChangeTime.substr(11,2)+"时");
		localStorage.temChangeTime=temChangeTime;
		var temChangeData=data.body.data;
		var temChangeLength=temChangeData.length;
		var temChangeNationArr=[],temChangeBackboneArr=[],temChangeAreaArr=[];
		var activeImgSrc,conItem;
		
		for (var i = 0; i < temChangeLength; i++) {
		    conItem= geoMap.registerElement(temChangeData[i].pre,temChangeData[i].lon,temChangeData[i].lat,30);
		    temChangeData[i].containerPos=[conItem[0],conItem[1]];
			switch(parseInt(temChangeData[i].level)){
				case 1:
					temChangeNationArr.push(temChangeData[i]);
				break;
				
				case 2:
					temChangeBackboneArr.push(temChangeData[i]);
				break;
				
				case 3:
					temChangeAreaArr.push(temChangeData[i]);
				break;
			}
		}
		temChangeSwitchData.temChangeNationData=temChangeNationArr;
		temChangeSwitchData.temChangeBackboneData=temChangeBackboneArr;
		temChangeSwitchData.temChangeAreaData=temChangeAreaArr;
		temChangeSwitchData.imgPathArr=data.body.imgPath;
		_switchTemChangeData(temChangeSwitchData);
	}
	function _switchTemChangeData(data){
		temStationCtx.fillStyle='#000';
		temStationCtx.font="600 12px 黑体";
		geoMap.clear();//清空控件
		temStationCtx.clearRect(0,0,temStationCan.width,temStationCan.height);//	清空画布
		temStainMapCtx.clearRect(0,0,temStationCan.width,temStationCan.height);//	清空画布
		var activeImgSrc=parseInt($(".tem-change-datehour-option.datehour-option-active").attr("data-src"));
		(function(url){
			var drawImgConItemLeftTop=geoMap.registerElement('temStainImg',108.65,30.25,0);
			var drawImgConItemRightBottom=geoMap.registerElement('temStainImg',114.4,24.5,0);
			var drawImgWidth=drawImgConItemRightBottom[0]-drawImgConItemLeftTop[0];
			var drawImgHeight=drawImgConItemRightBottom[1]-drawImgConItemLeftTop[1];
			var img = new Image();
    		img.src = url;
    		img.onload = function() {
    			temStainMapCtx.drawImage($('<img src='+ url +'>')[0],drawImgConItemLeftTop[0],drawImgConItemLeftTop[1],drawImgWidth,drawImgHeight);
    		}
		})(data.imgPathArr[activeImgSrc]);
		var conItem;
		var activeLevel=parseInt($("#rainSel").val());
		var activeData,activeDataLength;
		var activeDataType=$(".tem-change-datehour-option.datehour-option-active").attr('data-type');
		switch(activeLevel){
			case 1:
				activeData=data.temChangeNationData;
			break;
			case 2:
				activeData=data.temChangeBackboneData;
			break;
			case 3:
				activeData=data.temChangeAreaData;
			break;
		}
		activeDataLength=activeData.length;
		for(var i=0;i<activeDataLength;i++){
			conItem= geoMap.registerElement(activeData[i].pre,activeData[i].lon,activeData[i].lat,30);
		    activeData[i].containerPos=[conItem[0],conItem[1]];
		    if(activeData[i][activeDataType]==null){
		    	continue;
		    }
		    temStationCtx.fillText(activeData[i][activeDataType], activeData[i].containerPos[0], activeData[i].containerPos[1]);
		}
		
	}

//逐小时气温和24小时变温数据获取   end 

//日最高气温和最低气温数据获取  begin
//	var temMaxAndMinInfoData={flag:0,datetime:""};   init
	function temMaxAndMin(temMaxAndMinInfoData){
		geoMap.clear();//清空控件
		temStationCtx.clearRect(0,0,temStationCan.width,temStationCan.height);//	清空画布
		temStainMapCtx.clearRect(0,0,temStationCan.width,temStationCan.height);//	清空画布
		var url="/currentMonitor/tem/temMaxAndMin.do";
		var datetime;
		if(temMaxAndMinInfoData.flag==0){
			datetime='';
		}else{
			datetime=temMaxAndMinInfoData.datetime;
		}
		var params={datetime:datetime};
		ajaxPost(url,params,_temMaxAndMinSuccess,temMaxAndMinInfoData);
	}
	var temMaxAndMinSwitchData={};
	function _temMaxAndMinSuccess(data,temMaxAndMinInfoData){
		var temMaxAndMinTime;
		if(data.body.recordNum==0){
			temMaxAndMinTime = data.body.datetime;
			$('#temShowRealtime').text(temMaxAndMinTime.substr(5,2)+"月"+temMaxAndMinTime.substr(8,2)+"日");
			localStorage.temMaxAndMinTime=temMaxAndMinTime;
			mui.alert('暂无数据！',"提示","确定",function(){});
			return false;
		}
		if(temMaxAndMinInfoData.flag==0){
			temMaxAndMinTime=data.body.datetime;
			localStorage.temMaxAndMinTimeInit=temMaxAndMinTime;
		}else{
			temMaxAndMinTime=temMaxAndMinInfoData.datetime;
		}
		$('#temShowRealtime').text(temMaxAndMinTime.substr(5,2)+"月"+temMaxAndMinTime.substr(8,2)+"日");
		localStorage.temMaxAndMinTime=temMaxAndMinTime;
		var temMaxAndMinData=data.body.data;
		var temMaxAndMinLength=temMaxAndMinData.length;
		var temMaxAndMinNationArr=[],temMaxAndMinBackboneArr=[],temMaxAndMinAreaArr=[];
		
		for (var i = 0; i < temMaxAndMinLength; i++) {
		    conItem= geoMap.registerElement(temMaxAndMinData[i].pre, temMaxAndMinData[i].lon, temMaxAndMinData[i].lat,30);
		    temMaxAndMinData[i].containerPos=[conItem[0],conItem[1]];
			switch(parseInt(temMaxAndMinData[i].level)){
				case 1:
					temMaxAndMinNationArr.push(temMaxAndMinData[i]);
				break;
				
				case 2:
					temMaxAndMinBackboneArr.push(temMaxAndMinData[i]);
				break;
				
				case 3:
					temMaxAndMinAreaArr.push(temMaxAndMinData[i]);
				break;
			}
		}
		temMaxAndMinSwitchData.temMaxAndMinNationData=temMaxAndMinNationArr;
		temMaxAndMinSwitchData.temMaxAndMinBackboneData=temMaxAndMinBackboneArr;
		temMaxAndMinSwitchData.temMaxAndMinAreaData=temMaxAndMinAreaArr;
		temMaxAndMinSwitchData.imgPathArr=data.body.imgPath;
		_switchTemMaxAndMinData(temMaxAndMinSwitchData);
	}
	
	function _switchTemMaxAndMinData(data){
		console.log('_switchTemMaxAndMinData(data)')
		$('#temShowRealtime').text();
		temStationCtx.fillStyle='#000';
		temStationCtx.font="600 12px 黑体";
		geoMap.clear();//清空控件
		temStationCtx.clearRect(0,0,temStationCan.width,temStationCan.height);
		temStainMapCtx.clearRect(0,0,temStationCan.width,temStationCan.height);
		var conItem;
		var activeLevel=parseInt($("#rainSel").val());
		var activeData,activeDataLength;
		var activeImgSrc=parseInt($(".max-and-min-datehour-option.datehour-option-active").attr("data-src"));
		(function(url){
			var drawImgConItemLeftTop=geoMap.registerElement('temStainImg',108.65,30.25,0);
			var drawImgConItemRightBottom=geoMap.registerElement('temStainImg',114.4,24.5,0);
			var drawImgWidth=drawImgConItemRightBottom[0]-drawImgConItemLeftTop[0];
			var drawImgHeight=drawImgConItemRightBottom[1]-drawImgConItemLeftTop[1];
			var img = new Image();
    		img.src = url;
    		img.onload = function() {
    			temStainMapCtx.drawImage($('<img src='+ url +'>')[0],drawImgConItemLeftTop[0],drawImgConItemLeftTop[1],drawImgWidth,drawImgHeight);
    		}
		})(data.imgPathArr[activeImgSrc]);
		var activeDataType=$(".max-and-min-datehour-option.datehour-option-active").attr('data-type');
		switch(activeLevel){
			case 1:
				activeData=data.temMaxAndMinNationData;
			break;
			case 2:
				activeData=data.temMaxAndMinBackboneData;
			break;
			case 3:
				activeData=data.temMaxAndMinAreaData;
			break;
		}
		activeDataLength=activeData.length;
		for(var i=0;i<activeDataLength;i++){
			conItem= geoMap.registerElement(activeData[i].pre,activeData[i].lon,activeData[i].lat,30);
		    activeData[i].containerPos=[conItem[0],conItem[1]];
		    if(activeData[i][activeDataType]==null){
		    	continue;
		    }
		    temStationCtx.fillText(activeData[i][activeDataType], activeData[i].containerPos[0], activeData[i].containerPos[1]);
		}
	}
	//日最高气温和最低气温数据获取     end
	
	
	function init() {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($("#temMap").attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		temStainMapCan.width=map_w;//给canvas画布赋值宽高
		temStainMapCan.height=map_h;
		temStationCan.width=map_w;//给canvas画布赋值宽高
		temStationCan.height=map_h;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 2, map_w, map_h);
	}
	function zoom(){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(parseInt(activeOpt)==1){
			if(localStorage.temMaxAndMinTime){
				var nowMaxAndMinTime=localStorage.temMaxAndMinTime;
				$('#temShowRealtime').text(nowMaxAndMinTime.substr(5,2)+"月"+nowMaxAndMinTime.substr(8,2)+"日");
			}
			if(JSON.stringify(temMaxAndMinSwitchData)!='{}'){
				_switchTemMaxAndMinData(temMaxAndMinSwitchData);
			}else{
				var temMaxAndMinInfoData={flag:0,datetime:""};
				temMaxAndMin(temMaxAndMinInfoData);
			}
		}else{
			if(localStorage.temChangeTime){
				var nowTemChangeTime=localStorage.temChangeTime;
				$('#temShowRealtime').text(nowTemChangeTime.substr(5,2)+"月"+nowTemChangeTime.substr(8,2)+"日"+nowTemChangeTime.substr(11,2)+"时");
			}
			if(JSON.stringify(temChangeSwitchData)!='{}'){
				_switchTemChangeData(temChangeSwitchData);
			}else{
				var temChangeInfoData={flag:0,datetime:""};
				temAndTemChange24h(temChangeInfoData);
			}
		}
	}
	
	
	
	//	交互  begin 
	init();
	if(geoMap){
		var temChangeInfoData={flag:0,datetime:""};
		temAndTemChange24h(temChangeInfoData);
	}
  
  	//筛选站点 
	$("#rainSelTxt").text($("#rainSel").find("option:checked").text());
	$("#rainSel").on("change",function(){
		var activeTxt=$(this).find("option:checked").text();
		$("#rainSelTxt").text(activeTxt);
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(parseInt(activeOpt)==1){
			if(JSON.stringify(temMaxAndMinSwitchData)!='{}'){
				_switchTemMaxAndMinData(temMaxAndMinSwitchData);
			}
		}else{
			if(JSON.stringify(temChangeSwitchData)!='{}'){
				_switchTemChangeData(temChangeSwitchData);
			}
		}
	});
  	
	$("#tem-datehour-box").on("click",".tem-datehour-option",function(event){
		event.stopPropagation();
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(parseInt(activeOpt)==1){
			if(localStorage.temMaxAndMinTime){
				var nowMaxAndMinTime=localStorage.temMaxAndMinTime;
				$('#temShowRealtime').text(nowMaxAndMinTime.substr(5,2)+"月"+nowMaxAndMinTime.substr(8,2)+"日");
			}
			if(JSON.stringify(temMaxAndMinSwitchData)!='{}'){
				_switchTemMaxAndMinData(temMaxAndMinSwitchData);
			}else{
				var temMaxAndMinInfoData={flag:0,datetime:""};
				temMaxAndMin(temMaxAndMinInfoData);
			}
		}else{
			if(localStorage.temChangeTime){
				var nowTemChangeTime=localStorage.temChangeTime;
				$('#temShowRealtime').text(nowTemChangeTime.substr(5,2)+"月"+nowTemChangeTime.substr(8,2)+"日"+nowTemChangeTime.substr(11,2)+"时");
			}
			if(JSON.stringify(temChangeSwitchData)!='{}'){
				_switchTemChangeData(temChangeSwitchData);
			}else{
				var temChangeInfoData={flag:0,datetime:""};
				temAndTemChange24h(temChangeInfoData);
			}
		}
	});
	
	// 前后时次     最高和最低温加减为一天  小时和2h变温为加减一小时
	$("#temPrevBtn").on("click",function(){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(activeOpt==1){
			var nowMaxAndMinTime=addHour(localStorage.temMaxAndMinTime,-24*60*60*1000);
			if(nowMaxAndMinTime!=localStorage.temMaxAndMinTimeInit){
				$("#temNextBtn").show();
			}
			var temMaxAndMinInfoData={flag:1,datetime:nowMaxAndMinTime};
			temMaxAndMin(temMaxAndMinInfoData);
		}else{
			var nowTemChangeTime=addHour(localStorage.temChangeTime,-60*60*1000);
			if(nowTemChangeTime!=localStorage.temChangeTimeInit){
				$("#temNextBtn").show();
			}
			var temChangeInfoData={flag:1,datetime:nowTemChangeTime};
			temAndTemChange24h(temChangeInfoData);
		}
	});
	$("#temNextBtn").on("click",function(){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(activeOpt==1){
			var nowMaxAndMinTime=addHour(localStorage.temMaxAndMinTime,24*60*60*1000);
			if(nowMaxAndMinTime>localStorage.temMaxAndMinTimeInit){
				$(this).hide();
				mui.alert('已经是最新数据！',"提示","确定",function(){});
				return false;
			}
			var temMaxAndMinInfoData={flag:1,datetime:nowMaxAndMinTime};
			temMaxAndMin(temMaxAndMinInfoData);
		}else{
			var nowTemChangeTime=addHour(localStorage.temChangeTime,60*60*1000);
			if(nowTemChangeTime>localStorage.temChangeTimeInit){
				$(this).hide();
				mui.alert('已经是最新数据！',"提示","确定",function(){});
				return false;
			}
			var temChangeInfoData={flag:1,datetime:nowTemChangeTime};
			temAndTemChange24h(temChangeInfoData);
		}
	});
	mui(".show-info-btn-box").on('click','#tem-rank-link',function(){
		var activeTemType=$(".tem-datehour-option.datehour-option-active").attr("data-type");
		var activeTemSort=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		localStorage.activeTemType=activeTemType;
		localStorage.activeTemSort=activeTemSort;
		mui.openWindow({
		    url:'../../web/monitoringOfLive/tem-ranking.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	}); 

	// +/- 缩放
	$(".zoom-box").on("click", '.zoom-btn', function(){
		event.stopPropagation();
		var level = parseInt($('#temMap').attr("alt"));
		var value = parseInt($(this).data('opt'));
		var finalLevel = level + value;
		if(finalLevel < 6) {
			mui.toast("已是最小级别地图！");
			return false;
		}
		if(finalLevel > 8) {
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl = '../../images/map/new-map/map_' + finalLevel + '.jpg';
		$("#temMap").attr({
			"src": imgUrl,
			"alt": finalLevel
		});
		//初始化
		init()
		if(geoMap) {
			zoom();
		}
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#temMap").offset().left;
		cat.touchjs.top = $("#temMap").offset().top;
	});
	
//  交互  end
//});
