
$(function(){
	var map_lat_start, //底图左上角对应的经度
		map_lon_start, //底图左上角对应的纬度
		map_lat_end, //底图右下角对应的经度
		map_lon_end, //底图右小角对应的纬度
		map_w, //底图宽度
		map_h; //底图高度
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var rainStainMapCan=document.getElementById("rainStainMapCan");//降水色斑图画布
	var rainStainMapCtx=rainStainMapCan.getContext("2d");
	var rainStainImg=document.getElementById("rainStainImg");
	var rainImg=document.getElementById("rainMap")
	
	var cityCan=document.getElementById("cityCan");//城市名画布
	var cityCtx=cityCan.getContext('2d');
	var fullCan=document.getElementById("fullCan"); //可视区域画布
	var fullCtx=fullCan.getContext('2d');
	var geoMap ,fullGeoMap ,
		dip=window.devicePixelRatio,
	    lv = 2;
	
//1.叠加色斑图   湖南省地图的经纬度范围  叠加图片的大小  （已完成）
//2.绘制数值 ,根据时效与地图级别展示对应数据，例：省级时效为1h时，仅展示10mm以上的站点数据   （已完成）
//省：1h——10,6h——13,24h——25,48h——50,72h——50
//市：1h——4,6h——4,24——10,48——10,72——10
//县：全部显示
//3.站点柱状图单独发起请求
//4、排位与色斑图同一接口，

	// 降水量色斑图信息获取    begin   
//	var preStainInfoData={flag:0,datetime:""}; init
	function preStainMap(infoData){
		rainStainMapCtx.clearRect(0,0,rainStainMapCan.width,rainStainMapCan.height);//	清空画布
		var url="/currentMonitor/pre/stainMap.do";
		var interval,dateTime;
		interval=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={interval:interval,datetime:dateTime};
		infoData.interval=interval;
		ajaxPost(url,params, _preStainMapSuccess,infoData);
		baseLineValue=0;
		$("#rainfallSel").html(renderRainfallSelBox(rainfallSelArr,interval));
		// $('#rainfallSel')[0].selectedIndex=-1;
		$("#rainfallSelTxt").text('降水过滤');
		$("#rainSelTxt").text($("#rainSel").find("option:checked").text());

	}
	var rainData={};
	var baseLineValue;
	//请求成功回调函数
	function _preStainMapSuccess(data,infoData){
		$("#rainStainImg").attr("src",data.body.imgPath);
		var timeInterval=infoData.interval;
		var rainfallStartTimeTxt, cityName,cntyName,conItem ,station;
		var endTime=data.body.datetime;
		var startTime=addHour(endTime,-timeInterval* 60 * 60 * 1000); 
		
		var nationArr=[],backboneArr=[],areaArr=[] ,rainDataSubData={};
		localStorage.rainSummationStartTime=startTime;
		localStorage.rainSummationEndTime=endTime;
		if(infoData.flag==0){
			localStorage.rainfallStartTimeInit=endTime;
		}
		rainfallStartTimeTxt=startTime.substr(5,2)+"月"+startTime.substr(8,2)+"日"+startTime.substr(11,2)+"时-"+endTime.substr(8,2)+"日"+endTime.substr(11,2)+"时";
		$("#rainfallStartTime").text(rainfallStartTimeTxt);
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){});
			return false;
		}
		rainStationData=data.body.data;
		var rainStationDataLength=rainStationData.length;
		rainStainMapCtx.clearRect(0,0,rainStainMapCan.width,rainStainMapCan.height);// 清空画布
		
		for (var i = 0; i < rainStationDataLength; i++) {
			station = rainStationData[i];
			switch(parseInt(station.level)){
				case 1:
					nationArr.push(station);
				break;
				
				case 2:
					backboneArr.push(station);
					areaArr.push(station);
				break;
				
				case 3:
					areaArr.push(station);
				break;
			}
		}
		
		rainDataSubData.nationData=nationArr;
		rainDataSubData.backboneData=backboneArr;
		rainDataSubData.areaData=areaArr;
		rainData.data = rainDataSubData;
		
		asyncMapVisualization(rainData.data.nationData, 'nationMv')
		asyncMapVisualization(rainData.data.backboneData, 'backboneMv')
		asyncMapVisualization(rainData.data.areaData, 'areaMv')

		var ranges=[{
			interval:1,
			data:[
				{				text:'0.1-9.9mm',				min:0.1,				max:9.99			},
				{				text:'10-19.9mm',				min:10,				max:19.99			},
				{				text:'20-29.9mm',			min:20,				max:29.99			},
				{				text:'30mm以上',			min:30,				max:99999			}
			]		
		},{
			interval:3,
			data:[
				{				text:'0.1-9.9mm',				min:0.1,				max:9.99			},
				{				text:'10-24.9mm',				min:10,				max:24.99			},
				{				text:'25-49.9mm',			min:25,				max:49.99			},
				{				text:'50mm以上',			min:50,				max:99999			}
			]
		},{
			interval:6,
			data:[
				{				text:'0.1-9.9mm',				min:0.1,				max:9.99			},
				{				text:'10-24.9mm',				min:10,				max:24.99			},
				{				text:'25-49.9mm',			min:25,				max:49.99			},
				{				text:'50mm以上',			min:50,				max:99999			}
			]
		},{
			interval:12,
			data:[
				{				text:'0.1-9.9mm',				min:0.1,				max:9.99			},
				{				text:'10-24.9mm',			min:10,				max:24.99			},
				{				text:'25-49.9mm',			min:25,				max:49.99			},
				{				text:'50-99.9mm',			min:50,				max:99.99			},
				{				text:'100mm以上',			min:100,				max:99999			}
			]	
		},{
			interval:24,
			data:[
				{				text:'0.1-9.9mm',				min:0.1,				max:9.99			},
				{				text:'10-24.9mm',			min:10,				max:24.99			},
				{				text:'25-49.9mm',			min:25,				max:49.99			},
				{				text:'50-99.9mm',			min:50,				max:99.99			},
				{				text:'100mm以上',			min:100,				max:99999			}
			]
		},{
			interval:48,
			data:[
				{				text:'0.1-24.9mm',				min:0.1,				max:24.99			},
				{				text:'25-49.9mm',				min:25,				max:49.99			},
				{				text:'50-99.9mm',			min:50,				max:99.99			},
				{				text:'100-199.9mm',			min:100,				max:199.99			},
				{				text:'200mm以上',			min:200,				max:99999			}
			]
		},{
			interval:72,
			data:[
				{				text:'0.1-24.9mm',				min:0.1,				max:24.99			},
				{				text:'25-49.9mm',				min:25,				max:49.99			},
				{				text:'50-99.9mm',			min:50,				max:99.99			},
				{				text:'100-199.9mm',			min:100,				max:199.99			},
				{				text:'200mm以上',			min:200,				max:99999			}
			]
		}]

		/**
		 * 选择筛选数据源,返回相应的数组
		 * @param {Object} data 筛选数据源
		 * @param {Number} interval 时间间隔 h 
		 */
		function pickRanges(data,interval){
				var pickedRanges=[];
				data.forEach(function(value,index){
					if(value.interval==interval){
						pickedRanges=value.data;
					}
				})
				return pickedRanges;
		}
		

		/**
		 * 最大值 最小值 计算方法
		 * @param {object} data 计算的数据集合
		 * @param {string} key  数据中的字段名
		 * @param {object} res 存放结果的空对象 key:max,min
		 */
		function dataCalc(data,key){
			var curdata=[],res={};
			if(data.length===0){
				res.max = "0";
				res.mim = "0";
			}else{
			data.forEach(function(el){
				curdata.push(el[key])
			})
			res.max = Math.max.apply(null,curdata);
			res.min = Math.min.apply(null,curdata);
				}
			return res;
		}

		
		/**
		 * 数据区间过滤方法
		 * @param {object} ranges 过滤条件数组 第一组返回结果存储在ranges[0].item中
		 * @param {object} data	待过滤数据源
		 * @param {string} key 过滤数据键名
		 */
		function dataFilter(ranges, data, key) {
			var result = ranges
			result.forEach(function(el) { el.items = []})
			data.forEach(function(item){
					result.some(function(el) {
							var number = Number(item[key])
							if (number >= el.min && number <= el.max) {
									el.items.push(item)
									// return true
							}
					})
			})
			return result
		}
		
		//考虑三级站点 过滤数据源
		var activeDataKeyName;
		var stationVal=$("#rainSel").val()
		switch(Number(stationVal)){
			case 1:
				activeDataKeyName = 'nationData'  
			break;
			case 2:
				activeDataKeyName = 'backboneData'
			break;
			case 3:
				activeDataKeyName = 'areaData'
			break;
		}
		//过滤降水区间数据,修改
		dataFilter(pickRanges(ranges,timeInterval),rainData.data[activeDataKeyName],'pre');

		//拼接降水筛选表html
		var rainfallTableStr='';
		function renderRainfallTable(ranges){
			for(var i=0;i<ranges.length;i++){
				rainfallTableStr +='<li class="rainfalltable">'+
				'<div class="rainfalltable-title">'+ranges[i].text+'</div>'+
				'<div class="rainfalltable-data">'+ranges[i].items.length+'站</div></li>';
			}
			return rainfallTableStr;
		}
		
		//生成拼接html
		renderRainfallTable(pickRanges(ranges,timeInterval));
		// 填充降水站点 
		$("#rainfalltable-box").html(rainfallTableStr);
		// 按所选站点动态计算最大值dataCalc(rainDataSubData[activeDataKeyName],'pre')
		// 更新最大降水数据 
		$("#maxRainfallData").text(dataCalc(rainDataSubData[activeDataKeyName],'pre').max);
		
		
		
		rainData.imgPath=data.body.imgPath;
		_switchRainData(rainData.data[activeDataKeyName],activeScale, fullCtx);
		//绘制降水色斑图 
		(function(url){
			if(url==null){
				return false;
			}
			var drawImgConItemLeftTop=geoMap.registerElement('rainStainImg',108.52,30.4,0);
			var drawImgConItemRightBottom=geoMap.registerElement('rainStainImg',114.48,24.4,0);
			var drawImgWidth=drawImgConItemRightBottom[0]-drawImgConItemLeftTop[0];
			var drawImgHeight=drawImgConItemRightBottom[1]-drawImgConItemLeftTop[1];
			var img = new Image();
    		img.src = url;
			img.onload=function(){
				rainStainMapCtx.drawImage($('<img src='+ url +'>')[0],drawImgConItemLeftTop[0],drawImgConItemLeftTop[1],drawImgWidth,drawImgHeight);
			}
		})(rainData.imgPath);
		
	}
	/**
	 * 
	 * @param {Object} data 需要绘制的数据
	 * @param {Object} activeScale	当前地图缩放系数
	 * @param {Object} ctx  画布绘图对象
	 */
	function _switchRainData(data,activeScale,ctx){
		var filteredData=ctxDataFilter(data,baseLineValue)
		fullGeoMap.clear() //清空地图控件
		ctx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制县级地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制镇地理数据
		}
		if(filteredData.length==0){
			return
		}
		
		/**
		 * 
		 * @param {Array} data 待筛选数据
		 * @param {Number} baseLine 返回数据将大于等于该值
		 */
		function ctxDataFilter(data,baseLine){
			var result=[];
			var curdata={};
			curdata = data;
			if(Object.prototype.toString.call(data)==='[object Object]'){
				curdata=data.data
			}
			curdata.forEach(function(item){
					if(Number(item['pre']>=baseLine)){
					result.push(item)
				}
			})
			return result;
		}

		var conItem;
		var size = Math.ceil(10 * dip * lv * 1.4)
		ctx.fillStyle = "red";  
		var fontSetting= size +'px sans-seri';
		ctx.font=fontSetting;
		var activeLevel=parseInt($("#rainSel").val());
		var activeData=filteredData,
		timeInterval,activeDataLength;
		timeInterval=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		
		for (var i = filteredData.length - 1; i >= 0; i--) {
			
			(function(i) {
				requestAnimationFrame(function() {
					var item = filteredData[i]
					conItem= fullGeoMap.registerElement(item.pre,item.lon,item.lat,50);
				    item.containerPos=[conItem[0] * dip * lv,conItem[1] * dip * lv + size];
				    switch(true){
				    	case activeScale > 0 && activeScale < 1.5:
							switch(parseInt(timeInterval)){
								case 1:
									if(parseInt(item.pre)>=10){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
									break;
								case 3:
								case 6:
									if(parseInt(item.pre)>=13){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
								case 12:
								case 24:
									if(parseInt(item.pre)>=25){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
								case 48:
									if(parseInt(item.pre)>=50){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
								case 72:
									if(parseInt(item.pre)>=50){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
							}
				    	break;
				    	
				    	case activeScale > 1.5 && activeScale < 2.5:
				    		switch(parseInt(timeInterval)){
								case 1:
									if(parseInt(item.pre)>0){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
								case 3:
								case 6:
									if(parseInt(item.pre)>=4){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
								case 12:
								case 24:
									if(parseInt(item.pre)>=10){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
								case 48:
									if(parseInt(item.pre)>=10){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
								case 72:
									if(parseInt(item.pre)>=10){
										ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
									}
								break;
							}
				    		
				    	break;
				    	
				    	case activeScale> 2.5 :
					    	if(parseInt(item.pre)>0){
					    		ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
					    	}
				    	break;
				    	default:
				    		if(parseInt(item.pre)>0){
					    		ctx.fillText(parseInt(item.pre), item.containerPos[0], item.containerPos[1]);
					    	}
				    	break;
				    }
				})
			})(i)
			
			
		}
	}
	
	// 降水量色斑图信息获取    end
	
	function init() {
		map_w=$("#rainMap").width();
		map_h=$("#rainMap").height();
		$("#handleLayer").width(map_w).height(map_h)
		map_lat_start =24.5;
		map_lon_start =108.6; 
		map_lat_end = 30.3; 
		map_lon_end =114.4;
		
		rainStainMapCan.width=map_w;
		rainStainMapCan.height=map_h;
		cityCan.width=map_w * dip * lv;
		cityCan.height=map_h * dip * lv;
		cityCan.style.width=map_w+'px';
		cityCan.style.height=map_h+'px';
		
		var wrapperHeight = $('#mapWrapper').outerHeight()
		window.FULL_CAN_TOP = -(wrapperHeight - map_h) / 2
		fullCan.style.top = FULL_CAN_TOP + 'px'
		fullCan.width = map_w * dip * lv
		fullCan.height = wrapperHeight * dip * lv
		fullCan.style.width = map_w + 'px'
		fullCan.style.height = wrapperHeight + 'px'
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 2, map_w, map_h);
		
		var perLat=Decimal.div(5.8, map_h).toNumber();//每一像素所占纬度
		var diffTopLat=Decimal.sub(wrapperHeight, map_h).div(2).mul(perLat).toNumber() //计算fullcan 超出地图部分 所占纬度
		var initLatMin= Decimal.sub(24.5,diffTopLat); //fullcan  startlat
		var initLatMax=Decimal.add(30.3,diffTopLat);//fullcan  endlat
		
		fullGeoMap = new GeoMapUtil();
		fullGeoMap.init(map_lon_start,map_lon_end,initLatMin,initLatMax, 2, map_w, wrapperHeight);
		drawCityName(cityData,1);
	}
	function drawCityName(data,activeScale){
		var registerElement;
		var size = Math.ceil(10 * dip / activeScale * lv)
		var fontSetting= size +'px sans-seri';
		cityCtx.font=fontSetting;
		cityCtx.clearRect(0,0,cityCan.width,cityCan.height);//	清空画布
		data.forEach(function(item) {
			registerElement = geoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			cityCtx.fillText(item.city, item.containerPos[0]*dip * lv, item.containerPos[1]*dip * lv);
		})
	}
	/**
	 * 
	 * @param {Object} data 要绘制的地理数据
	 * @param {Object} keyName  绘制地理数据参数名   县cnty 镇staion
	 */
	function drawTwoLvData(data,keyName) {
//		if(data.length==0){return}
		var size = Math.ceil(10 * dip * lv) //字体大小
		var fontSetting= size +'px sans-seri';  //字体样式
		fullCtx.fillStyle = "#3b3b3c"; //字体颜色
		fullCtx.font=fontSetting;
//		fullGeoMap.clear();
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		data.forEach(function(item) {
			var registerElement = fullGeoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			size = Math.ceil(10 * dip * lv*2)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText('.', item.containerPos[0] * dip * lv + item[keyName].length*size/4.8 , item.containerPos[1]*dip * lv + size/4);
			size = Math.ceil(10 * dip * lv)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText(item[keyName], item.containerPos[0] * dip * lv, item.containerPos[1]*dip * lv);
		})
	}
	
	
	
//	query(0, 0, 1)
	//发起请求  
//	init
	var activeScale= 1 , activeData, result,resRainData;
	var preStainInfoData={flag:0,datetime:""};
	var self = $("#handleLayer")
	$("#rainMap").load(function() {
		init();
		preStainMap(preStainInfoData);
		
		asyncMapVisualization(cityData, 'cityMv')
		asyncMapVisualization(cntyData, 'cntyMv')
		asyncMapVisualization(townsStationData, 'townsMv')
		
		$("#mapBox").height($(window).width() / $("#rainMap")[0].naturalWidth * $("#rainMap")[0].naturalHeight)
		
		var isMoved = false
		self.zoom({
			syncDoms: ['#rainStainMapCan', '#cityCan',"#rainMap"],
			onUpdate: function(x, y, s) {//每一次操作时 同步可视区画布位置
				if (isMoved) {
					isMoved = false
					return
				}
				fullCan.style.left = (fullCan.offsetLeft - x) + 'px'
				fullCan.style.top = (fullCan.offsetTop - y) + 'px' 
			},
			moved: function(x, y, scale) {
				isMoved = true
				fullCan.style.left = '0px'
				fullCan.style.top = window.FULL_CAN_TOP + 'px'
				activeScale=scale;
				//判断当前站点选择
				var activeLevel=parseInt($("#rainSel").val());
				switch(activeLevel){
					case 1:
						resRainData= CONSTANT.nationMv.query(Math.abs(x), Math.abs(y), scale)
					break;
					
					case 2:
						resRainData= CONSTANT.backboneMv.query(Math.abs(x), Math.abs(y), scale)
					break;
					
					case 3:
						resRainData= CONSTANT.areaMv.query(Math.abs(x), Math.abs(y), scale)
					break;
				}
				
				if (scale < 1.5) {
					drawCityName(cityData, scale)
					fullCtx.clearRect(0,0,fullCan.width,fullCan.height);
					result = CONSTANT.cityMv.query(Math.abs(x), Math.abs(y), scale) //查询出当前屏幕范围内的数据
				}
				if(scale > 1.5 && scale <7){
					result = CONSTANT.cntyMv.query(Math.abs(x), Math.abs(y), scale) 
					cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
				}
				if(scale > 7){
					if(CONSTANT.townsMv){
						result = CONSTANT.townsMv.query(Math.abs(x), Math.abs(y), scale) 
						cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
					}
				}
				
				fullGeoMap = new GeoMapUtil()
				fullGeoMap.init(result.startLon,result.endLon,result.startLat,result.endLat, Decimal.sub(result.endLon, result.startLon).div(10).toNumber(), Number(fullCan.style.width.replace('px', '')), Number(fullCan.style.height.replace('px', '')));
				_switchRainData(resRainData.data, scale, fullCtx);//绘制降水数据
			}
		})
	})
	 .attr('src', '../../images/map/a.min.svg')
//	.attr('src', '../../images/map/new-map.png')
	
	mui("#rain-datehour-ul").on("click",".rain-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		var preStainInfoData={flag:0,datetime:""};
		preStainMap(preStainInfoData);
		var datehour=$(this).attr("data-legend");
		var legendUrl='../../images/monitoringOfLive/rain-legend-'+datehour+'h.jpg';
		$("#rain-legend").attr("src",legendUrl);
	});
	
	mui(".show-info-btn-box").on('tap','#rain-rank-link',function(){
		var activeDateHour=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		localStorage.rainActiveDateHour=activeDateHour;
		localStorage.rainActiveStationType = $('#rainSel').val()
		mui.openWindow({
		    url:'../../web/monitoringOfLive/rainfall-ranking.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	}); 
	
	//点击弹出时间选择器
	var dtPicker = new mui.DtPicker({type:'hour'}); //年月日时
	$(".show-info-realtime-box").click(function(){
		dtPicker.show(function(items){
			var intervalOpt=$(".rain-datehour-option.datehour-option-active").attr("data-val");
			var datetime=items.text+':00:00';
			if(datetime>localStorage.rainfallStartTimeInit){
				mui.alert("已是最新数据！")
				// $(this).hide();
				return false;
			}
			var preStainInfoData={flag:1,datetime:datetime,interval:intervalOpt};
			preStainMap(preStainInfoData);
		});
	});

	
	$("#prevTimeBtn").on("click",function(){
		var intervalOpt=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		var datetime=localStorage.rainSummationStartTime;
		if(datetime!=localStorage.rainfallStartTimeInit){
//			$("#nextTimeBtn").show();
		}
		var preStainInfoData={flag:1,datetime:datetime,interval:intervalOpt};
		preStainMap(preStainInfoData);
		
	});
	
	$("#nextTimeBtn").on("click",function(){
		var intervalOpt=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		var datetime=addHour(localStorage.rainSummationEndTime, intervalOpt*60*60*1000);
		
		if(datetime>localStorage.rainfallStartTimeInit){
			mui.alert("已是最新数据！")
//			$(this).hide();
			return false;
		}
		var preStainInfoData={flag:1,datetime:datetime,interval:intervalOpt};
		preStainMap(preStainInfoData);
	});
	
	//筛选站点 
	$("#rainSelTxt").text($("#rainSel").find("option:checked").text());
	$("#rainSel").on("change",function(){
		var activeDataKeyName;
		var activeTxt=$(this).find("option:checked").text();
		$("#rainSelTxt").text(activeTxt);
		if(JSON.stringify(resRainData)!='{}' && activeScale!= 1){
			_switchRainData(resRainData,activeScale, fullCtx);
			var preStainInfoData={datetime:localStorage.rainSummationEndTime};
			preStainMap(preStainInfoData);
		}else{
			switch(Number($(this).val())){
				case 1:
					activeDataKeyName = 'nationData'  
				break;
				case 2:
					activeDataKeyName = 'backboneData'
				break;
				case 3:
					activeDataKeyName = 'areaData'
				break;
			}
			_switchRainData(rainData.data[activeDataKeyName],activeScale, fullCtx);
			var preStainInfoData={datetime:localStorage.rainSummationEndTime};
			preStainMap(preStainInfoData);
		}
	});

	
		//筛选过滤降水  
		$("#rainfallSel").on("change",function(){
			var activeDataKeyName;
			var activeTxt=$(this).find("option:checked").text();
			$("#rainfallSelTxt").text(activeTxt);
			baseLineValue=Number($(this).find("option:checked").attr('value'));
			if(JSON.stringify(resRainData)!='{}' && activeScale!= 1){
				_switchRainData(resRainData,activeScale, fullCtx);
			}else{
				switch(Number($('#rainSel').val())){
					case 1:
						activeDataKeyName = 'nationData'  
					break;
					case 2:
						activeDataKeyName = 'backboneData'
					break;
					case 3:
						activeDataKeyName = 'areaData'
					break;
				}
				
				_switchRainData(rainData.data[activeDataKeyName],activeScale, fullCtx);
			}
		});

	
	// 降水过滤条件数组
	var rainfallSelArr=[
		{
			interval:1,
			opt:[0.01,1,5,10,20,50,99999]
		},{
			interval:3,
			opt:[0.01,1,5,10,25,50,99999]
		},{
			interval:6,
			opt:[0.01,1,5,10,25,50,99999]
		},{
			interval:12,
			opt:[0.01,10,25,50,100,99999]
		},{
			interval:24,
			opt:[0.01,10,25,50,100,99999]
		},{
			interval:48,
			opt:[0.01,10,25,50,100,99999]
		},{
			interval:72,
			opt:[0.01,25,50,100,200,99999]
		}
	]
	
	/**
	 * 生成降水过滤筛选选项拼接字符串
	 * @param {Object} arr 降水过滤条件数组
	 * @param {Number} interval 降水间隔小时数 1,6,24,48,72
	 */
	function renderRainfallSelBox(arr,interval){
		var rainfallSelBoxStr='';
		var currentOpt=[];
		arr.forEach(function(value,index){
			if(value.interval==interval){
				currentOpt=arr[index].opt;
			}
		})
		for(var i=0;i<currentOpt.length;i++){
			var content=''
			switch(currentOpt[i]){
				case 0.01:
				content = '全显示'
				break
				case 99999:
				content = '全不显示'
				break
				default:
				content = '&ge;' + currentOpt[i] + 'mm';
			}
			rainfallSelBoxStr += '<option value="'+currentOpt[i]+'">'+content+'</option>'
		}
		return rainfallSelBoxStr;
	}

	
});
