document.addEventListener('plusready', function() {
	// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;
		$("#activeVersion").text(wgtVer);
	});
});
$(function() {
	var logo = new Image()
	logo.src = "../images/zjLOGO.png"
	logo.onload = function() {
		$('.head-portrait').attr('src', logo.src)
	}

	var username = localStorage.username
	$("#userPhone").html(username)
	
	// 审核期间隐藏二维码下载
	if (localStorage.username !== REVIEW_USERNAME) {
		$('#checkUpdateBtn').removeClass('hide')
	}
	
	if (!isDebug) {
		var USER_ROLES = ROLES.getUserRoles()
		if (USER_ROLES.indexOf(ROLES.decision) != -1) {
			// 检查应急响应操作权限
			$('#emergencyState').show()
		}
	} else {
		$('#emergencyState').show()
	}
})

function exit() {
	if (mui.os.plus) {
		mui.plusReady(function() {
			var home = plus.webview.getLaunchWebview()
			mui.fire(home, 'refreshDeviceInfoCache')
			home.show()
	
			var wvs = plus.webview.all()
			for (var i = 0, len = wvs.length; i < len; i++) {
				var view = wvs[i]
				if (view.id != home.id) {
					view.close()
				}
			}
		})
	} else {
		mui.openWindow({
			url: '../login.html'
		})
	}
}

$("#exitBtn").on("click", function() {
	localStorage.removeItem('Token')
	exit()
})

mui("#settingUl").on("tap","#aboutUsItem",function(){
	mui.openWindow({
		url: 'aboutUs.html'
	})
});
mui("#settingUl").on("tap","#clearCache",function(){
	mui.confirm('清除缓存后需要重新登陆，确认？', '提示', ['是', '否'], function(e) {
		if (e.index == 0) {
			localStorage.clear()
			mui.alert("清除缓存成功！","提示","确定",function() {
				exit()
			})
		}
	})
});
mui("#settingUl").on("tap","#feedbackBtn",function(){
	mui.openWindow({
		url: 'feedback.html',
		styles: {
			statusbar: {
				background: localStorage.statusbarColor
			}
		}
	})
});
var _data =  new Date()
var fakeRandomId = Math.random()*_data
mui("#settingUl").on("tap","#changePasswordBtn",function(){
	mui.openWindow({
		id: fakeRandomId,
		url: 'password_change.html',
	})
});
mui(".mui-content").on("tap","#emergencyState",function(){
	mui.openWindow({
		url: 'emergencyState.html',
		styles: {
			statusbar: {
				background: localStorage.statusbarColor
			}
		}
	})
});
