//$(function(){
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	
	var warnningCan=document.getElementById("warnningCan");
	var warnningCtx=warnningCan.getContext("2d");
	var warnningWindowCan=document.getElementById("warnningWindowCan");
	var warnningWindowCtx=warnningWindowCan.getContext('2d');
	var swBg=document.getElementById("swBgWp");
	
	var tScale  = Math.ceil(window.devicePixelRatio);//屏幕像素比
	tScale=1;
	function severeWeatherEarly(){
		var url="/home/severeWeatherEarly.do";
		ajaxPost(url,'',_severeWeatherEarlySuccess,'');
	}
	var resData;
	function _severeWeatherEarlySuccess(data,info){
		if(data.body.recordNum == 0) {
			$("#warningTxt").text('当前无预警或预警信号。');
			return false;
		}
		resData=data.body.data;
		var earlyWarningIconUrl,lat,lon,conItem;
		var provinceNumArr=[],cityNumArr=[],cntyNumArr=[];
		if(geoMap){
			geoMap.clear();//清空控件
		}
		warnningCtx.clearRect(0,0,warnningCan.width,warnningCan.height);//	清空画布
		var unitType=$(".warning-datehour-option.datehour-option-active").attr("data-val");
		_switchData(resData,unitType);
		
		for(var i=0;i<resData.length;i++){
			switch(parseInt(resData[i].unitType)){
				case 1:
					provinceNumArr.push(1);
				break;
				case 3:
					cntyNumArr.push(3);
				break;
			}
		}
		$("#warningTxt").text("省级有效预警"+provinceNumArr.length+"条,"+"市县(区)预警信号有效预警"+cntyNumArr.length+"条。");
	}

	function _switchData(resData, dataUnitType){
		geoMap.clear();
		warnningCtx.clearRect(0,0,warnningCan.width,warnningCan.height);
		for(var i=0;i<resData.length;i++){
			if(resData[i].unitType == dataUnitType){
				var earlyWarningIconUrl = "../images/earlyWarningIcon/" + resData[i].earlyType + "-" + resData[i].earlyLevel + ".jpg";
				var areaArr=resData[i].relevantArea;
				for(var j=0;j<areaArr.length;j++){
					var area = areaArr[j];
					if(area == '湘西州')
						area = '湘西苗族土家族自治州';
					var result = getStationByCode(area);
					if(null == result) continue;
					if(result.lat && result.lon){
			    		conItem= geoMap.registerElement(resData[i], result.lon, result.lat,25*tScale);
			    		areaArr[j].containerPos=[conItem[0],conItem[1]];
//			    		warnningCtx.beginPath();
//						warnningCtx.arc(conItem[0]*tScale-25*tScale,conItem[1]*tScale-20*tScale,25*tScale,0,2*Math.PI);
//						warnningCtx.stroke();
			    		(function(url, item) {
				    		var img = new Image();
				    		img.src = url;
				    		img.onload = function() {
				    			warnningCtx.drawImage($('<img src='+ url +'>')[0],item[0]*tScale-25*tScale,item[1]*tScale-20*tScale,50*tScale,40*tScale);
				    		}
			    		})(earlyWarningIconUrl, conItem);
					}
				}
			}
		}
	}

	function drawWindow(data,ctx){
		var searchData=data;
		var dataTxt=searchData[3].sendContent;
		var dataLine=Math.ceil(dataTxt.length/16);//向上取整
		ctx.clearRect(0,0,warnningCan.width,warnningCan.height);
		var fontSetting=tScale*10+'px '+'Arial';
		ctx.font=fontSetting;//设置字体颜色
		ctx.drawImage(swBg,searchData[0]*tScale-80*tScale,searchData[1]*tScale-100*tScale,180*tScale,dataLine*20*tScale);
		writeTextOnCanvas(ctx, 16*tScale, 32, dataTxt ,searchData[0]*tScale-70*tScale, searchData[1]*tScale-84*tScale);
	}
	
    //ctx_2d        getContext("2d") 对象  
    //lineheight    段落文本行高  
    //bytelength    设置单字节文字一行内的数量  
    //text          写入画面的段落文本  
    //startleft     开始绘制文本的 x 坐标位置（相对于画布）  
    //starttop      开始绘制文本的 y 坐标位置（相对于画布）  
    function writeTextOnCanvas(ctx_2d, lineheight, bytelength, text ,startleft, starttop){  
        function getTrueLength(str){//获取字符串的真实长度（字节长度）  
            var len = str.length, truelen = 0;  
            for(var x = 0; x < len; x++){  
                if(str.charCodeAt(x) > 128){  
                    truelen += 2;  
                }else{  
                    truelen += 1;  
                }  
            }  
            return truelen;  
        }  
        function cutString(str, leng){//按字节长度截取字符串，返回substr截取位置  
            var len = str.length, tlen = len, nlen = 0;  
            for(var x = 0; x < len; x++){  
                if(str.charCodeAt(x) > 128){  
                    if(nlen + 2 < leng){  
                        nlen += 2;  
                    }else{  
                        tlen = x;  
                        break;  
                    }  
                }else{  
                    if(nlen + 1 < leng){  
                        nlen += 1;  
                    }else{  
                        tlen = x;  
                        break;  
                    }  
                }  
            }  
            return tlen;  
        }  
        for(var i = 1; getTrueLength(text) > 0; i++){  
            var tl = cutString(text, bytelength);  
            ctx_2d.fillText(text.substr(0, tl).replace(/^\s+|\s+$/, ""), startleft, (i-1) * lineheight + starttop);  
            text = text.substr(tl);  
        }  
    }  
	
	
	
	
	function init() {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($("#warnningMap").attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		warnningCan.style.width=map_w+'px';
		warnningCan.style.height=map_h+'px';
		warnningWindowCan.style.width=map_w+'px';
		warnningWindowCan.style.height=map_h+'px';
		warnningCan.width=map_w*tScale;//给canvas画布赋值宽高
		warnningCan.height=map_h*tScale;
		warnningWindowCan.width=map_w*tScale;
		warnningWindowCan.height=map_h*tScale;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 0.5, map_w, map_h);
	}
	function zoom(){
		if(resData){
			var unitType=$(".warning-datehour-option.datehour-option-active").attr("data-val");
			_switchData(resData,unitType);
		}else{
			severeWeatherEarly();
		}
	}
	
	
//	交互  begin 
	init();
	severeWeatherEarly();
	
	$("#rain-rank-datehour-box").on("click",".warning-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		warnningWindowCtx.clearRect(0,0,warnningCan.width,warnningCan.height);
		if(resData){
			var unitType=$(".warning-datehour-option.datehour-option-active").attr("data-val");
			_switchData(resData,unitType);
		}else{
			severeWeatherEarly();
		}
	});
	
	
	mui("#warnningContent").on("tap","#warnningWindowCan",function(e){
		var event=window.event||e;
		var locX, locY;
		if(event.pageX){
			locX=event.pageX;
		}else{
			locX=event.detail.changedTouches[0].pageX;
		}
		if(event.pageY){
			locY=event.pageY;
		}else{
			
			locY=event.detail.changedTouches[0].pageY;
		}
		var loc = windowTocanvas(warnningWindowCan, locX, locY);
		var x = parseInt(loc.x/tScale);
		var y =  parseInt(loc.y/tScale);
		var searchObj = geoMap.getElementDataByXY(x, y);
		if(searchObj != null) {
			drawWindow(searchObj,warnningWindowCtx);
		}else{
			warnningWindowCtx.clearRect(0,0,warnningCan.width,warnningCan.height);
		}
	});
	
	//放大
	$(".zoom-box").on("click","#zoomOutBtn",function(event){
		event.stopPropagation();
		var i=parseInt($("#warnningMap").attr("alt"));
		i++;
		if(i>8){
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl='../images/map/new-map/map_'+i+'.jpg';
		$("#warnningMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		if(resData){
			var unitType=$(".warning-datehour-option.datehour-option-active").attr("data-val");
			_switchData(resData,unitType);
		}else{
			severeWeatherEarly();
		}
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#warnningMap").offset().left;
		cat.touchjs.top = $("#warnningMap").offset().top;
	});
	//缩小
	$(".zoom-box").on("click","#zoomInBtn",function(event){
		event.stopPropagation(); 
		var i=parseInt($("#warnningMap").attr("alt"));
		i--;
		if(i<6){
			mui.toast("已是最小级别地图！");
			return false;
		}
		var imgUrl='../images/map/new-map/map_'+i+'.jpg';
		$("#warnningMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		if(resData){
			var unitType=$(".warning-datehour-option.datehour-option-active").attr("data-val");
			_switchData(resData,unitType);
		}else{
			severeWeatherEarly();
		}
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#warnningMap").offset().left;
		cat.touchjs.top = $("#warnningMap").offset().top;
		
	});
	
	
//});
