$(function(){
	
	function getData(month,decad,flag){
		var activeOpt,activeSort,cityName,cntyName,statisticsItemStr='',activeRank;
		$(".day-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeOpt=$(this).attr("data-val");
				activeTypeTxt=$(this).attr("data-txt");
				activeSort=parseInt($(this).attr("data-sort"));
			}
		});
		if(flag==0){
			activeOpt=localStorage.activeDecadType;
			activeTypeTxt=localStorage.activeDecadTypeTxt;
			activeSort=parseInt(localStorage.activeDecadSort);
			$(".day-datehour-option").each(function(){
				if($(this).attr("data-val")==activeOpt){
					$(".datehour-option").removeClass("datehour-option-active");
					$(this).addClass("datehour-option-active");
				}
			})
		}
		if(activeSort==0){
			resData=getDecadData(month,decad).data;
		}else{
			resData=getExtTimeData();
		}
	
		$("#rainfallRankTotalStations").text(resData.length)
		
		
		activeRank=$("#envirRankBtn").attr("data-rank");
		if(activeRank=='descending'){
			sortData=resData.sort(sortNumberLowToHigh(activeOpt));
		}else{
			sortData=resData.sort(sortNumberHighToLow(activeOpt));
		}
		for (var i = 0; i < resData.length; i++) {
			
		    cityName= getStationByCode(sortData[i].stationCode).city;
		    cntyName= getStationByCode(sortData[i].stationCode).name;
		    statisticsItemStr+='<li class="mui-table-view-cell statistics-item rain-statistics-item" data-stationName="'+cityName + ' ' + cntyName+'"  data-stationCode="'+sortData[i].stationCode+'">'+
				        '<a class="mui-navigate-right statistics-item-txt">'+
				        	(i+1)+'. '+cityName + ' ' + cntyName+
				        	'<span class="statistics-item-number">'+sortData[i][activeOpt]+'</span>'+
				        '</a>'+
				    '</li>';
		}
		
		$("#rainfallRankStatisticsUl").html(statisticsItemStr);
	}
	
	
	
	//交互    begin 
	$("#envirTime").text(localStorage.monthVal+"月"+localStorage.decadTxt);
	getData(localStorage.monthVal,localStorage.decadVal,0);
	
	$(".top-datehour-box").on("click",".day-datehour-option",function(){
		$(".day-datehour-option").removeClass("datehour-option-active");
		$(this).addClass("datehour-option-active");
		getData(localStorage.monthVal,localStorage.decadVal,1);
	});
	
	mui("#searchShowTimeBox").on("tap","#envirRankBtn",function(){
		var activeSort;
		var activeOrder=$(this).attr("data-rank");
		if(activeOrder=="descending"){
			$(this).attr("data-rank","ascending");
			$(this).text("升序");
		}else{
			$(this).attr("data-rank","descending");
			$(this).text("降序");
		}
		getData(localStorage.monthVal,localStorage.decadVal,1);
	});
	
	$("#search-ip").on("input", debounce(function(){
		var searchTxt=$(this).val();
		var matchResultArr=[];
		if(searchTxt){
			$(".rain-statistics-item").each(function(){
				var stationName=$(this).find(".statistics-item-txt").text();
				var stationCode=$(this).attr("data-stationCode");
				var matchName=stationName.match(searchTxt);
				var matchStationcode=stationCode.match(searchTxt);
				
				if(matchName){
					matchResultArr.push($(this));
				}
				if(matchStationcode){
					matchResultArr.push($(this));
				}
			});
			if(matchResultArr.length>0){
				$("#rainfallRankStatisticsUl").children().hide();
				var matchStationArr=[],matchStation;
				$(".rain-statistics-item").hide();
				for(var i=0;i<matchResultArr.length;i++){
					matchStation=matchResultArr[i].attr("data-stationCode");
					matchStationArr.push(matchStation);
					$(".rain-statistics-item").each(function(idx){
						var stationName=$(this).attr("data-stationName");
						var stationCode=$(this).attr("data-stationCode");
						if(matchStationArr[i]==stationCode){
							$(this).show();
						}
					});
				}
			}else{
				$(".rain-statistics-item").hide();
			}
		}else{
			$(".rain-statistics-item").show();
		}
	}, 200))
   
	//交互    end
});
