//$(function(){
	
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var tenDayCan=document.getElementById("tenDayCan");
	var tenDayCxt=tenDayCan.getContext("2d");
	var tenDayWindowCan=document.getElementById("tenDayWindowCan");
	var tenDayWindowCxt=tenDayWindowCan.getContext("2d");
	var decadWindowBg=document.getElementById("decadBgWp");
	var geoMap;
	
	var tScale  = Math.ceil(window.devicePixelRatio);
	tScale=1;
	function getData(month,decad){
		var activeOpt , activeSort ,conItem;
		$(".day-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeOpt=$(this).attr("data-val");
				activeSort=parseInt($(this).attr("data-sort"));
			}
		});
		if(activeSort==0){
			resData=getDecadData(month,decad).data;
		}else{
			resData=getExtTimeData();
		}
		
		
		tenDayCxt.fillStyle='#000';
		
		var fontSetting=tScale*10+'px '+'Arial';
		tenDayCxt.font=fontSetting;
		if(geoMap){
			geoMap.clear();//清空控件
			
		}
		
		tenDayCxt.clearRect(0,0,tenDayCan.width,tenDayCan.height);//	清空画布
		tenDayWindowCxt.clearRect(0,0,tenDayWindowCan.width,tenDayWindowCan.height);
		var resItem;
		for(var i=0;i<resData.length ;i++){
			resItem= getStationByCode(resData[i].stationCode);
		    resData[i].lat=resItem.lat;
		    resData[i].lon=resItem.lon;
		    resData[i].cityName=resItem.city;
		    resData[i].cntyName=resItem.cnty;
		    conItem= geoMap.registerElement(resData[i],resItem.lon,resItem.lat,30);
		    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
		    tenDayCxt.fillText(resData[i][activeOpt], resData[i].containerPos[0]*tScale, resData[i].containerPos[1]*tScale);
		}
	}
	//弹出窗口   
	function drawWindow(data,ctx){
		var activeOpt,activeSort,searchData=data;
		$(".day-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeOpt=$(this).attr("data-val");
				activeTypeTxt=$(this).attr("data-txt");
			}
		});
		ctx.clearRect(0,0,tenDayCan.width,tenDayCan.height);//清空画布
		var fontSetting=tScale*10+'px '+'Arial';
		ctx.font=fontSetting;//设置字体颜色
		ctx.drawImage(decadWindowBg,searchData[0]*tScale-94*tScale,searchData[1]*tScale-82*tScale,210*tScale,72*tScale);
		ctx.fillText("站名："+searchData[3].cityName+searchData[3].cntyName, searchData[0]*tScale-80*tScale, searchData[1]*tScale-64*tScale);
		ctx.fillText(activeTypeTxt+" : "+searchData[3][activeOpt], searchData[0]*tScale-80*tScale, searchData[1]*tScale-44*tScale);
		ctx.fillText(" 经度: "+searchData[3].lon, searchData[0]*tScale-80*tScale, searchData[1]*tScale-24*tScale);
		ctx.fillText("纬度："+searchData[3].lat, searchData[0]*tScale+40*tScale, searchData[1]*tScale-24*tScale);
	}
	
	
	mui("#decadConent").on("tap","#tenDayWindowCan",function(e){
		var event=window.event||e;
		var locX, locY;
		if(event.pageX){
			locX=event.pageX;
		}else{
			locX=event.detail.changedTouches[0].pageX;
		}
		if(event.pageY){
			locY=event.pageY;
		}else{
			
			locY=event.detail.changedTouches[0].pageY;
		}
		var loc = windowTocanvas(tenDayWindowCan, locX, locY);
		var x = parseInt(loc.x/tScale);
		var y = parseInt(loc.y/tScale);
		var activeSort;
		var searchObj = geoMap.getElementDataByXY(x, y);
		
		if(searchObj != null) {
			drawWindow(searchObj,tenDayWindowCxt);
		}else{
			tenDayWindowCxt.clearRect(0,0,tenDayWindowCan.width,tenDayWindowCan.height);//清空画布
		}
	});
	
	function init() {
		var i;
		//通过图片alt获取当前图片名称
		var i=parseInt($("#decadMap").attr('alt'));
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		tenDayCan.style.width=map_w+'px';
		tenDayCan.style.height=map_h+'px';
		tenDayWindowCan.style.width=map_w+'px';
		tenDayWindowCan.style.height=map_h+'px';
		tenDayCan.width=map_w*tScale;//给canvas画布赋值宽高
		tenDayCan.height=map_h*tScale;
		tenDayWindowCan.width=map_w*tScale;
		tenDayWindowCan.height=map_h*tScale;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 0.5, map_w, map_h);
	}
	function zoom(){
		var month=$("#monthSel").find("option:checked").val();
		var decad=$("#decadSel").find("option:checked").val();
		getData(month,decad);
	}
	
	
	mui(".decad-show-info-btn-box").on('click','#decadRankLink',function(){
		var month=$("#monthSel").find("option:checked").val();
		var decad=$("#decadSel").find("option:checked").val();
		var decadTxt=$("#decadSel").find("option:checked").attr("data-txt");
		
		var activeDecadType=$(".day-datehour-option.datehour-option-active").attr("data-val");
		var activeDecadTypeTxt=$(".day-datehour-option.datehour-option-active").attr("data-txt");
		var activeDecadSort=$(".day-datehour-option.datehour-option-active").attr("data-sort");
		
		localStorage.monthVal=month;
		localStorage.decadVal=decad;
		localStorage.decadTxt=decadTxt;
		localStorage.activeDecadType=activeDecadType;
		localStorage.activeDecadTypeTxt=activeDecadTypeTxt;
		localStorage.activeDecadSort=activeDecadSort;
		mui.openWindow({
		    url:'../technicalProducts/decad-ranking.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
		
	});
	
	$(".datehour-box").on("click",".day-datehour-option",function(){
		$(".day-datehour-option").removeClass("datehour-option-active");
		$(this).addClass("datehour-option-active");
		var month=$("#monthSel").find("option:checked").val();
		var decad=$("#decadSel").find("option:checked").val();
		
		getData(month,decad);
	});
	
	//放大
	$(".zoom-box").on("click","#zoomOutBtn",function(event){
		event.stopPropagation();
		var i=parseInt($("#decadMap").attr("alt"));
		i++;
		if(i>8){
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#decadMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		zoom();
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#decadMap").offset().left;
		cat.touchjs.top = $("#decadMap").offset().top;
	});
	//缩小
	$(".zoom-box").on("click","#zoomInBtn",function(event){
		event.stopPropagation(); 
		var i=parseInt($("#decadMap").attr("alt"));
		i--;
		if(i<6){
			mui.toast("已是最小级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#decadMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		zoom()
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#decadMap").offset().left;
		cat.touchjs.top = $("#decadMap").offset().top;
	});
	
	$("#monthSel").on("change",function(){
		var activeOptTxt=$(this).find("option:checked").text();
		$("#monthSelTxt").text(activeOptTxt);
		var month=$("#monthSel").find("option:checked").val();
		var decad=$("#decadSel").find("option:checked").val();
		getData(month,decad);
	});
	
	$("#decadSel").on("change",function(){
		var activeOptTxt=$(this).find("option:checked").text();
		$("#decadSelTxt").text(activeOptTxt);
		var month=$("#monthSel").find("option:checked").val();
		var decad=$("#decadSel").find("option:checked").val();
		getData(month,decad);
	});

	
	
//	init
	init();
	
	var now = new Date(); 
	var nowMonth = now.getMonth() + 1;     //月  
    var day = now.getDate(); 
    var nowDecad;
    if(day<=10){
    	nowDecad=1;
    }else if(day>10 &&day<=20){
    	nowDecad=2;
    }else{
    	nowDecad=3;
    }
    
    $("#monthSel").find("option:checked").val(parseInt(nowMonth));
    $("#decadSel").find("option:checked").val(nowDecad);
    $("#monthSelTxt").text($("#monthSel").find("option:checked").text());
    $("#decadSelTxt").text($("#decadSel").find("option:checked").text());
	getData(nowMonth,nowDecad);
//});
