document.addEventListener('plusready', function() {
	var wgtVer = null;
	var wgtUrl;
	var activeTitle= document.getElementsByTagName("TITLE")[0].text;
	if(window.plus) {
		plusReady();
	} else {
		document.addEventListener('plusready', plusReady, false);
	}
	// 检测更新
	$("#checkUpdateBtn").on("click",function(){
		checkUpdate();
	});
	function plusReady() {
		// 获取本地应用资源版本号
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			wgtVer = inf.version;
			$("#activeVersion").text(wgtVer);
			if(activeTitle!='系统设置'){
				checkUpdate();
			}
		});
	}
	
	function checkUpdate() {
		var checkUrl = "http://113.247.231.124:5050/zjtq/setting/getVersion.do?";
//		var checkUrl = "http://192.168.1.106:8080/zjtq/setting/getVersion.do?";
		
		if(activeTitle=='系统设置'){
			plus.nativeUI.showWaiting("检测更新...");
		}
	    var xhr=new XMLHttpRequest();
	    xhr.onreadystatechange=function(){
	        switch(xhr.readyState){
	            case 4:
	            if(activeTitle=='系统设置'){
					plus.nativeUI.closeWaiting();
				}
	            if(xhr.status==200){
	            	var data=(xhr.responseText).substring(5,((xhr.responseText).length)-1);
                	var jsonData=eval('('+data+')');
	                var newVer=jsonData.body.version;
	                
	                if(wgtVer&&newVer&&(wgtVer<newVer)){
		                var append = '版本：' + newVer + '        ' + '大小：' + jsonData.body.fileSize
						plus.nativeUI.alert(append + '\n\n' + jsonData.body.explanation, function() {
		                	wgtUrl= jsonData.body.download;
		                    downWgt();  // 下载升级包
						}, '新版本', '立即下载')
	                }else if(wgtVer&&newVer&&(wgtVer==newVer)){
	                	if(activeTitle=='系统设置'){
							plus.nativeUI.alert("当前已是最新版本！");
						}
	                }else{
	                	if(activeTitle=='系统设置'){
							plus.nativeUI.alert("当前已是最新版本！");
						}
	                }
	            }else{
	            	if(activeTitle=='系统设置'){
						plus.nativeUI.alert("检测更新失败！");
					}
	            }
	            break;
	            
	            default:
	            break;
	        }
	    }
	    xhr.open('GET',checkUrl);
	    xhr.send();
	}; 

	// 下载wgt文件
	function downWgt() {
		plus.nativeUI.showWaiting("更新中...");
		var downloader = plus.downloader.createDownload(wgtUrl, {
			filename: "_doc/update/"
		}, function(d, status) {
			plus.nativeUI.closeWaiting();
//			alert("123123:" + status + ":" + JSON.stringify(d))
			if(status == 200) {
				installWgt(d.filename); // 安装wgt包
			} else {
				plus.nativeUI.alert("下载更新资源包失败！");
			}
		});
		
		document.addEventListener("netchange", function() {
			var net = plus.networkinfo.getCurrentType();
			switch (net) {
		　　　　case plus.networkinfo.CONNECTION_ETHERNET:
		　　　　case plus.networkinfo.CONNECTION_WIFI:
		　　　　case plus.networkinfo.CONNECTION_CELL2G:
		　　　　case plus.networkinfo.CONNECTION_CELL3G:
		　　　　case plus.networkinfo.CONNECTION_CELL4G:
					downloader.resume()
		　　　　　　 break;
		　　　　default:
					downloader.pause()
		　　　　　　 break;
		　　}
		}, false);
		
		downloader.start()
	};

	// 更新应用资源
	function installWgt(path) {
		plus.nativeUI.showWaiting("安装中...");
		plus.runtime.install(path, {}, function() {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.alert("安装成功！");
			plus.nativeUI.alert("应用资源更新完成！", function() {
				plus.runtime.restart();
			});
		}, function(e) {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.alert("安装失败[" + e.code + "]：" + e.message);
		});
	}
}); 

