﻿/*
* author: www.somethingwhat.com
*/
function initCommon($targetMap, $targetObj, stainMapCan, stationCan, tScale, oneLayer, radius) {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($targetMap.attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		if(stainMapCan){
			stainMapCan.width=map_w;//给canvas画布赋值宽高
			stainMapCan.height=map_h;
		}
		if(stationCan){
			stationCan.width=map_w;//给canvas画布赋值宽高
			stationCan.height=map_h;
		}
		if(tScale!=0){
			stainMapCan.style.width=map_w+'px';
			stainMapCan.style.height=map_h+'px';
			stationCan.style.width=map_w+'px';
			stationCan.style.height=map_h+'px';
			stainMapCan.width=map_w*tScale;
			stainMapCan.height=map_h*tScale;
			stationCan.width=map_w*tScale;
			stationCan.height=map_h*tScale;
		}
		$targetObj.width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, radius, map_w, map_h);
		zoom();//数据处理
	}
var cat = window.cat || {};
var leftX, topY;
// 111.5,27.4
cat.touchjs = {
    left: 0,
    top: 0,
    scaleVal: 1,    //缩放
    rotateVal: 0,   //旋转
    curStatus: 0,   //记录当前手势的状态, 0:拖动, 1:缩放, 2:旋转
    //初始化
    init: function ($targetObj, callback) {
        touch.on($targetObj, 'touchstart', function (ev) {
            cat.touchjs.curStatus = 0;
//          ev.preventDefault();//阻止默认事件
        }); // 手机触电初始设置使用 拖动
        if (!window.localStorage.cat_touchjs_data){
			var defaultLon = 111.5, defaultLat = 27.4;
        	var xyObject = geoMap.calcXYByLonLat(defaultLon, defaultLat);
        	this.left = parseFloat('-' + Subtr(xyObject.x, accDiv($(window).width(), 2)));
			this.top = parseFloat('-' + Subtr(xyObject.y, accDiv(Subtr($(window).height(), $('.girdding-title').height()), 2)));
            callback(this.left, this.top, 1, 0); // 初始设置 被拖动元素 left: 0 ,right: 0,scale: 1, rotate: 0
        } else {
            var jsonObj = JSON.parse(window.localStorage.cat_touchjs_data);
            cat.touchjs.left = parseFloat('-314.8'),//parseFloat(jsonObj.left),
            cat.touchjs.top = parseFloat('-126.5'),//parseFloat(jsonObj.top),
            cat.touchjs.scaleVal = parseFloat(jsonObj.scale),
            cat.touchjs.rotateVal = parseFloat(jsonObj.rotate);
            callback(cat.touchjs.left, cat.touchjs.top, cat.touchjs.scaleVal, cat.touchjs.rotateVal);
        }
    },
    //拖动
    drag: function ($targetObj, callback) {
    
        touch.on($targetObj, 'drag', function (ev) {
        	leftX = cat.touchjs.left + ev.x; // 被拖拽div left位置
        	topY = cat.touchjs.top + ev.y; // 被拖拽div top位置
        	var Box = $targetObj.parent(); // 被拖拽元素 外层box （div）
        	var BoxW = Box.width(); // 外层box 宽度
        	var BoxH = Box.height(); // 外层box 高度
        	var childW = $targetObj.width(); // 被拖拽宽度
        	var childH = $targetObj.height(); // 被拖拽元素高度
        	
        	if(BoxW>childW) { // 当拖拽div 小于包含它的div时
        		
        	} else if(BoxW<childW) { // 当拖拽div大于包含它的外box时

        		if(BoxW <childW && BoxH <childH ) { // 当拖拽元素 宽高大于 外box时
//      			4为border的宽度
        			var bigL = -(childW - BoxW); //最大左移动数值
        			var bigT = -(childH -BoxH - 44); //最大上移数值
        			
        			if(leftX<=bigL) { // 拖拽x轴最大值
        				if(leftX<=bigL && topY<=bigT) { // 拖拽x 和 y 都到了最大值
        					cat.touchjs.left = bigL +ev.x
        					cat.touchjs.top = bigT + ev.y
        					leftX = bigL
        					topY = bigT
        				} else if(topY>=0) {
        					
        					cat.touchjs.top = 0
        					topY = 0
        					cat.touchjs.left = bigL +ev.x
        					leftX = bigL
        				} else {
        					cat.touchjs.left = bigL +ev.x
        					leftX = bigL
        				}
        				
        			} else if(topY<=bigT) {
        				if(leftX<=bigL && topY<=bigT) { // 拖拽x 和 y 都到了最大值
        					cat.touchjs.left = bigL +ev.x
        					cat.touchjs.top = bigT + ev.y
        					leftX = bigL
        					topY = bigT
        				} else if(leftX>=0) {
        					cat.touchjs.left = 0
        					leftX = 0
        					cat.touchjs.top = bigT +ev.x
        					topY = bigT
        				} else {
        					cat.touchjs.top = bigT +ev.x
        					topY = bigT
        				}
        				
        			} else if(leftX>=0) { // 当被拖拽元素达到往右边拖最大值
        				if(leftX>=0 && topY>=0) { // 当被拖拽元素往下 和往 右拖拽到最大值
        					cat.touchjs.left = 0
        					cat.touchjs.top = 0
        					leftX = 0
        					topY = 0
        				} else if(topY >= 0) {
        					cat.touchjs.top = 0
        					topY = 0
        				} else {
        					cat.touchjs.left = 0
        					leftX = 0
        				}
        			} else if(topY >= 0) {

        				if(leftX>=0 && topY>=0) { // 当被拖拽元素往下 和往 右拖拽到最大值
        					cat.touchjs.left = 0
        					cat.touchjs.top = 0
        					leftX = 0
        					topY = 0
        				} else if(leftX>=0) {
        					cat.touchjs.left = 0
        					leftX = 0
        				} else {
        					cat.touchjs.top = 0
        					topY = 0
        				}
        			} else {
        				
        			}
        			
        		} else { // 当拖拽元素 宽大于box ，高小于 box
        			
        		}
        		
        		
        	}
        	
        	
        	$targetObj.css("left", leftX).css("top", topY);
        	/*if(leftX>=0) {
		    		if(leftX>=0 && topY>=0){
		    			cat.touchjs.left = 0
		    			cat.touchjs.top = 0
		    			$targetObj.css({'left':0,'top':0})
		    		} else {
		    			cat.touchjs.left = 0
		    			$targetObj.css({'left':0,'top': topY})
		    		}	
		    	} else if (topY>=0) {
		    		if(leftX>=0 && topY>=0){
		    			cat.touchjs.left = 0
		    			cat.touchjs.top = 0
		    			$targetObj.css({'left':0,'top':0})
		    		} else {
		    			cat.touchjs.top = 0
		    			$targetObj.css({'left':leftX,'top': 0})
		    		}
		    	} else if(leftX<=-leftbig) {
                    
		    	} else {
		    		$targetObj.css("left", leftX).css("top", topY);
		    	}*/
        });
        touch.on($targetObj, 'dragend', function (ev) {
            cat.touchjs.left = cat.touchjs.left + ev.x;
            cat.touchjs.top = cat.touchjs.top + ev.y;
            callback(cat.touchjs.left, cat.touchjs.top);
        });
    },
    //缩放
    scale: function($targetObj, $targetMap, stainMapCan, stationCan, oneLayer, tScale, radius, callback) {
		var initialScale = cat.touchjs.scaleVal || 1;
		var currentScale;
		var returnObj;
		touch.on($targetObj, 'pinchstart', function(ev){
			ev.preventDefault();
			var x = ev.data.start[0].x;
			var y = ev.data.start[0].y;
			returnObj = {lon: 111.5, lat: 27.4};//geoMap.calcLonLatByXY(Subtr(x, leftX), Subtr(y, topY));
		});
		// 缩小
		touch.on($targetObj, 'pinchin', function(ev) {
			ev.preventDefault();
			currentScale = -1;
		});
		// 放大
		touch.on($targetObj, 'pinchout', function(ev) {
			ev.preventDefault();
			currentScale = 1;
		});
		// 结束
		touch.on($targetObj, 'pinchend', function(ev) {
			ev.preventDefault();
			if(cat.touchjs.curStatus == 2) {
				return;
			}
			var activeFlag = parseInt($targetMap.attr('alt'));
			if(activeFlag == 6 && currentScale == -1) {
				mui.toast("已是最小级别地图！");
				return false;
			}
			if(activeFlag == 8 && currentScale == 1) {
				mui.toast("已是最大级别地图！");
				return false;
			}
			var level = activeFlag + currentScale;
			var activeSrc;
			activeSrc = "../../images/map/new-map/map_" + level + ".jpg";
			if(oneLayer==1){
				activeSrc = "../images/map/new-map/map_" + level + ".jpg";
			}
			$targetMap.attr({
				"src":activeSrc,
				"alt": level
			});
			initCommon($targetMap, $targetObj, stainMapCan, stationCan, tScale, oneLayer, radius);
			var lon = returnObj.lon;
			var lat = returnObj.lat;
			var xyObject = geoMap.calcXYByLonLat(lon, lat);
			var x = xyObject.x;
			var y = xyObject.y;
			$targetObj.css({
				'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
				"top": '-' + Subtr(y, accDiv($(window).height() - $('.girdding-title').height(), 2))  + 'px'
			});
			cat.touchjs.left = $targetMap.offset().left;
			cat.touchjs.top = $targetMap.offset().top;
		});
	},
    //旋转
    rotate: function ($targetObj, callback) {
        var angle = cat.touchjs.rotateVal || 0;
        touch.on($targetObj, 'rotate', function (ev) {
            if (cat.touchjs.curStatus == 1) {
                return;
            }
            cat.touchjs.curStatus = 2;
            var totalAngle = angle + ev.rotation;
            if (ev.fingerStatus === 'end') {
                angle = angle + ev.rotation;
            }
            cat.touchjs.rotateVal = totalAngle;
            var transformStyle = 'scale(' + cat.touchjs.scaleVal + ') rotate(' + cat.touchjs.rotateVal + 'deg)';
            $targetObj.css("transform", transformStyle).css("-webkit-transform", transformStyle);
            $targetObj.attr('data-rotate', cat.touchjs.rotateVal);
            callback(cat.touchjs.rotateVal);
        });
    }
   
};