/**
 * 站点经纬度选择器（预警）
 * info - 站号 或 城市名称   fzm 2018-9-7
 */
function getLatLngInfosByCityName(name){
	return allEarlyWarningCitys[name];
}

var allEarlyWarningCitys = {
    '宁乡市': { lat: '28.27', lon: '112.55' },
    '宁乡县': { lat: '28.2544', lon: '112.555' },
    '宁乡': { lat: '28.27', lon: '112.55' },
    '金洞管理区': { lat: '28.11', lon: '112.65' },
    '金洞': { lat: '28.11', lon: '112.65' },
    '津市市': { lat: '29.62', lon: '111.88' },
    '津市': { lat: '29.61', lon: '111.88' },
    '通道县': { lat: '26.35', lon: '109.77' },
    '道县': { lat: '25.5336', lon: '111.5961' },
    '临澧县': { lat: '29.4475', lon: '111.6572' },
    '澧县': { lat: '29.6675', lon: '111.7258' },
    '衡南县': { lat: '26.755', lon: '112.6914' },
    '南县': { lat: '29.3667', lon: '112.4' },
    '湘潭县': { lat: '27.7', lon: '112.62' },
    '湘潭市区': { lat: '27.7', lon: '112.62' },
    '湘潭市': { lat: '27.7', lon: '112.62' },
    '湘潭': { lat: '27.7', lon: '112.62' },
    '常德县': { lat: '29.12', lon: '111.68' },
    '常德市区': { lat: '29.12', lon: '111.68' },
    '常德市': { lat: '29.12', lon: '111.68' },
    '常德': { lat: '29.12', lon: '111.68' },
    '永州县': { lat: '26', lon: '111.62' },
    '永州市区': { lat: '26', lon: '111.62' },
    '永州市': { lat: '26', lon: '111.62' },
    '永州': { lat: '26', lon: '111.62' },
    '岳阳县': { lat: '29.2', lon: '113.0797' },
    '岳阳市区': { lat: '29.2', lon: '113.0797' },
    '岳阳市': { lat: '29.2', lon: '113.0797' },
    '岳阳楼区': { lat: '29.2', lon: '113.0797' },
    '岳阳': { lat: '29.2', lon: '113.0797' },
    '张家界县': { lat: '29.33', lon: '110.4' },
    '张家界市区': { lat: '29.33', lon: '110.4' },
    '张家界市': { lat: '29.33', lon: '110.4' },
    '张家界': { lat: '29.33', lon: '110.4' },
    '湘西土家族苗族自治州': { lat: '28.53', lon: '109.62' },
    '湘西自治州': { lat: '28.53', lon: '109.62' },
    '湘西州': { lat: '28.53', lon: '109.62' },
    '湘西': { lat: '28.53', lon: '109.62' },
    '郴州县': { lat: '25.8', lon: '113.0167' },
    '郴州市区': { lat: '25.8', lon: '113.0167' },
    '郴州市': { lat: '25.8', lon: '113.0167' },
    '郴州': { lat: '25.8', lon: '113.0167' },
    '长沙县': { lat: '28.2197', lon: '112.9197' },
    '长沙市区': { lat: '28.2197', lon: '112.9197' },
    '长沙市': { lat: '28.2197', lon: '112.9197' },
    '长沙': { lat: '28.2197', lon: '112.9197' },
    '衡阳县': { lat: '26.9', lon: '112.5' },
    '衡阳市区': { lat: '26.9', lon: '112.5' },
    '衡阳市': { lat: '26.9', lon: '112.5' },
    '衡阳': { lat: '26.9', lon: '112.5' },
    '益阳县': { lat: '28.57', lon: '112.18' },
    '益阳市区': { lat: '28.57', lon: '112.18' },
    '益阳市': { lat: '28.57', lon: '112.18' },
    '益阳': { lat: '28.57', lon: '112.18' },
    '邵阳县': { lat: '27.18', lon: '111' },
    '邵阳市区': { lat: '27.18', lon: '111' },
    '邵阳市': { lat: '27.18', lon: '111' },
    '邵阳': { lat: '27.18', lon: '111' },
    '怀化县': { lat: '27.57', lon: '110' },
    '怀化市区': { lat: '27.57', lon: '110' },
    '怀化市': { lat: '27.57', lon: '110' },
    '怀化': { lat: '27.57', lon: '110' },
    '株洲县': { lat: '26.87', lon: '113.5' },
    '株洲市区': { lat: '26.87', lon: '113.5' },
    '株洲市': { lat: '26.87', lon: '113.5' },
    '株洲': { lat: '26.87', lon: '113.5' },
    '娄底县': { lat: '27.68', lon: '111.6' },
    '娄底市区': { lat: '27.68', lon: '111.6' },
    '娄底市': { lat: '27.68', lon: '111.6' },
    '娄底': { lat: '27.68', lon: '111.6' },
    '龙山县': { lat: '29.4667', lon: '109.45' },
    '鼎城区': { lat: '29.21', lon: '111.82' },
    '麻阳苗族自治县': { lat: '27.8706', lon: '109.7961' },
    '麻阳县': { lat: '27.99', lon: '109.77' },
    '鹤城区': { lat: '27.74', lon: '109.88' },
    '高新区': { lat: '28.56', lon: '112.35' },
    '韶山市': { lat: '27.9275', lon: '112.53' },
    '靖州苗族侗族自治县': { lat: '26.5667', lon: '109.6667' },
    '靖州县': { lat: '26.44', lon: '109.6' },
    '零陵区': { lat: '26.2258', lon: '111.6167' },
    '雨花区': { lat: '28.16', lon: '112.98' },
    '雨湖区': { lat: '27.86', lon: '112.9' },
    '雁峰区': { lat: '26.83', lon: '112.59' },
    '隆回县': { lat: '27.1264', lon: '111.0064' },
    '醴陵市': { lat: '27.65', lon: '113.5' },
    '邵东县': { lat: '27.2375', lon: '111.7361' },
    '通道侗族自治县': { lat: '26.1667', lon: '109.7833' },
    '辰溪县': { lat: '28', lon: '110.2' },
    '赫山区': { lat: '28.5667', lon: '112.3833' },
    '资阳区': { lat: '28.69', lon: '112.24' },
    '资兴市': { lat: '25.9744', lon: '113.2172' },
    '衡山县': { lat: '27.2383', lon: '112.8644' },
    '衡东县': { lat: '27.0914', lon: '112.9464' },
    '蓝山县': { lat: '25.3833', lon: '112.2' },
    '蒸湘区': { lat: '26.91', lon: '112.52' },
    '荷塘区': { lat: '27.8689', lon: '113.1736' },
    '茶陵县': { lat: '26.7947', lon: '113.5478' },
    '苏仙区': { lat: '25.94', lon: '113.07' },
    '芷江县': { lat: '27.31', lon: '109.57' },
    '芷江侗族自治县': { lat: '27.45', lon: '109.6833' },
    '花垣县': { lat: '28.5772', lon: '109.4567' },
    '芦淞区': { lat: '27.82', lon: '113.23' },
    '耒阳市': { lat: '26.4278', lon: '112.8294' },
    '绥宁县': { lat: '26.5833', lon: '110.15' },
    '祁阳县': { lat: '26.5947', lon: '111.8572' },
    '祁东县': { lat: '26.8111', lon: '112.1047' },
    '石鼓区': { lat: '26.97', lon: '112.62' },
    '石门县': { lat: '29.5833', lon: '111.3633' },
    '石峰区': { lat: '27.98', lon: '113.18' },
    '珠晖区': { lat: '26.88', lon: '112.7' },
    '炎陵县': { lat: '26.4778', lon: '113.7919' },
    '溆浦县': { lat: '27.9167', lon: '110.6' },
    '湘阴县': { lat: '28.6869', lon: '112.8858' },
    '湘乡市': { lat: '27.7583', lon: '112.5083' },
    '涟源市': { lat: '27.6903', lon: '111.7' },
    '浏阳市': { lat: '28.1561', lon: '113.6306' },
    '洪江市': { lat: '27.2117', lon: '109.8353' },
    '洪江区': { lat: '27.12', lon: '109.98' },
    '洞口县': { lat: '27.0253', lon: '110.6064' },
    '泸溪县': { lat: '28.2269', lon: '110.2058' },
    '沅陵县': { lat: '28.4667', lon: '110.4' },
    '沅江市': { lat: '28.85', lon: '112.3667' },
    '汨罗市': { lat: '28.8564', lon: '113.1069' },
    '江永县': { lat: '25.2761', lon: '111.3094' },
    '江华瑶族自治县': { lat: '25.1819', lon: '111.5703' },
    '江华县': { lat: '25.28', lon: '111.53' },
    '汝城县': { lat: '25.5558', lon: '113.6881' },
    '汉寿县': { lat: '28.9203', lon: '111.9583' },
    '永顺县': { lat: '29.0078', lon: '109.8383' },
    '永定区': { lat: '29.1333', lon: '110.4667' },
    '永兴县': { lat: '26.1269', lon: '113.1144' },
    '武陵源区': { lat: '29.25', lon: '110.52' },
    '武陵区': { lat: '29.18', lon: '111.7' },
    '武冈市': { lat: '26.7333', lon: '110.6333' },
    '桑植县': { lat: '29.4014', lon: '110.1622' },
    '桃源县': { lat: '28.9133', lon: '111.4797' },
    '桃江县': { lat: '28.5061', lon: '112.1711' },
    '桂阳县': { lat: '25.7494', lon: '112.7247' },
    '桂东县': { lat: '26.0797', lon: '113.9447' },
    '望城区': { lat: '28.48', lon: '112.8' },
    '新邵县': { lat: '27.3242', lon: '111.4461' },
    '新田县': { lat: '25.9167', lon: '112.2' },
    '新晃县': { lat: '27.42', lon: '109.31' },
    '新晃侗族自治县': { lat: '27.3681', lon: '109.1636' },
    '新宁县': { lat: '26.4603', lon: '110.8344' },
    '新化县': { lat: '27.75', lon: '111.3' },
    '攸县': { lat: '27.0556', lon: '113.3531' },
    '慈利县': { lat: '29.4289', lon: '111.1303' },
    '开福区': { lat: '28.32', lon: '112.93' },
    '开发区': { lat: '27.77', lon: '112.07' },
    '平江县': { lat: '28.7119', lon: '113.5714' },
    '常宁市': { lat: '26.4086', lon: '112.3942' },
    '岳麓区': { lat: '28.1086', lon: '112.7864' },
    '岳塘区': { lat: '27.94', lon: '113.01' },
    '屈原管理区': { lat: '28.98', lon: '112.92' },
    '宜章县': { lat: '25.4058', lon: '112.9406' },
    '安化县': { lat: '28.3833', lon: '111.2167' },
    '安仁县': { lat: '26.7139', lon: '113.2586' },
    '安乡县': { lat: '29.4081', lon: '112.165' },
    '宁远县': { lat: '25.5944', lon: '111.9622' },
    '娄星区': { lat: '27.6908', lon: '112.0011' },
    '天心区': { lat: '28.09', lon: '112.98' },
    '天元区': { lat: '27.83', lon: '113.12' },
    '大通湖区': { lat: '29.19', lon: '112.63' },
    '大祥区': { lat: '27.1833', lon: '111.45' },
    '城步苗族自治县': { lat: '26.3667', lon: '110.3167' },
    '城步县': { lat: '26.27', lon: '110.1' },
    '嘉禾县': { lat: '25.5814', lon: '112.3653' },
    '君山区': { lat: '29.45', lon: '112.68' },
    '吉首市': { lat: '28.2381', lon: '109.6819' },
    '古丈县': { lat: '28.6244', lon: '109.9661' },
    '双牌县': { lat: '25.9667', lon: '111.65' },
    '双清区': { lat: '27.22', lon: '111.53' },
    '双峰县': { lat: '27.4486', lon: '112.1733' },
    '南岳区': { lat: '27.2961', lon: '112.6936' },
    '华容县': { lat: '29.5217', lon: '112.5539' },
    '北湖区': { lat: '25.7353', lon: '112.9739' },
    '北塔区': { lat: '27.24', lon: '111.37' },
    '凤凰县': { lat: '27.9528', lon: '109.5953' },
    '冷水滩区': { lat: '26.4956', lon: '111.6161' },
    '冷水江市': { lat: '27.7', lon: '111.4333' },
    '保靖县': { lat: '28.7031', lon: '109.6511' },
    '会同县': { lat: '26.8767', lon: '109.72' },
    '云溪区': { lat: '29.49', lon: '113.19' },
    '临湘市': { lat: '29.4811', lon: '113.4478' },
    '临武县': { lat: '25.2731', lon: '112.5464' },
    '中方县': { lat: '27.44', lon: '110.44' },
    '东安县': { lat: '26.4022', lon: '111.2886' }
}