/**
 * 用户角色编号说明表，与数据库字典相对应，新增角色时需要同步更新
 */
var ROLES = {
    // 普通用户
    default: '1',
    // 气象部门用户
    meteorological: '2',
    // 决策科用户
    decision: '3',
    // 决策科应急管理员
    // decisionEmergencyManager: 4,
    // 决策科灾情管理员
    // decisionDisasterManager: 5,
    // 预留
    reserved: '6',
    /**
     * 获取当前用户的角色编号数组
     */
    getUserRoles: function() {
        var roles = localStorage.roles

        if (roles) {
            return roles.split(',')
        }
        
        return []
    }
}