$(function(){
	//底部容器赋值高 避免留白
	var screenHeight=$(window).height();
	var screenWeight=$(window).width();
	var headerHeight=$(".weather-forecast-bar-nav").height();
//	$("#main-content").height(screenHeight-headerHeight);
	var topPartHeight=$(".weather-forecast-top-part").height();
	var bottomHeight=screenHeight-topPartHeight-headerHeight;
	var bottomPartHeight=$(".weather-forecast-chart").height();
    var bottomPartHeadHeight=$(".weather-chart-tab-wrap").outerHeight();
    var weatherSourceHeight=$(".weather-source").outerHeight();

	$(".weather-forecast-bottom").outerHeight(bottomPartHeight-bottomPartHeadHeight-weatherSourceHeight);
	$("#weather-forecast-day").height(bottomPartHeight-bottomPartHeadHeight-weatherSourceHeight-20);
	$("#weather-forecast-hour").height(bottomPartHeight-bottomPartHeadHeight-20);
	var weatherChartDayHeihet=bottomPartHeight-bottomPartHeadHeight-20;
	$("#weather-forecast-hour").width(4*screenWeight);
    console.log("screenHeight:"+screenHeight,"headerHeight:"+headerHeight,"topPartHeight:"+topPartHeight,"bottomHeight:"+bottomHeight,"bottomPartHeight:"+bottomPartHeight,"bottomPartHeadHeight:"+bottomPartHeadHeight)
	mui(".weather-forecast-bar-nav").on("tap",".city-manage",function(){
		mui.openWindow({
		    url:'../web/cityBuilde.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	});
	
	mui(".weather-chart-tab").on("tap",".weather-chart-item",function(){

		var activeItem=$(this).attr("data-item");
		$(this).addClass("weather-chart-item-active").siblings().removeClass("weather-chart-item-active");
		if(parseInt(activeItem)==3){
			$("#weather-forecast-hour").show().siblings("#weather-forecast-day").hide();
			$(this).addClass("weather-chart-item-left-active").siblings().removeClass("weather-chart-item-right-active");
		}else{
			$("#weather-forecast-day").show().siblings("#weather-forecast-hour").hide();
			$(this).addClass("weather-chart-item-right-active").siblings().removeClass("weather-chart-item-left-active");
		}
	});
	
	//逐日预报图表
	 $('#weather-forecast-day').highcharts({
        chart: {
            type: 'line',
            backgroundColor:'rgba(0,0,0,0)',//背景色透明
            margin: [60, 20, 20, 20],
           
        },
        credits: {
            enabled: false
        },
        title: {
            text: ''
        },
        xAxis: {
            visible: false
        },
        yAxis: {
            visible: false
        },
        plotOptions: {
            line: {
                dataLabels: {
                    enabled: true,// 开启数据标签
                    color: 'rgb(132,132,132)',
//                  allowOverlap: false, //处理标签重叠,
                    padding: 5
                    
                },
                enableMouseTracking: true // 关闭鼠标跟踪，对应的提示框、点击事件会失效
            }
        },
        legend: {
            enabled: false
        },
        exporting: {
            enabled: false
        },
        series: [
	        {
	            data: [7.0, 6.9, 9.5, 14.5, 18.4, 21.5, 25.2],
	            color: 'rgb(250,125,5)'
	        }, {
	            data: [3, 4.2, 5.7, 8.5, 11.9, 15.2, 17.0],
	            color: 'rgb(5,183,253)',
	            dataLabels: {
	                align: 'center',
	                enabled: true,
	                x: 2,
	                y: 30
	            }
        }]
       
    }, function (chart) { // on complete
    	$.each(chart.series[0].data, function (i, point) {
            x = point.plotX + chart.plotLeft;//x轴位置
            
            chart.renderer.text('周一', x-10, 10)
	            .css({
	            color: '#4e4a4b',
	            fontSize: '12px'
	        })
            .add();
            chart.renderer.text('08/14', x-16, 26)
	            .css({
	            color: '#4e4a4b',
	            fontSize: '11px'
	        })
            .add();
        	chart.renderer.image('../images/weather-little-icon/weather_1001_720_2.png', x-10, 36, 21, 21)
//      	.attr({
//	            rotation: parseInt(120)//设置旋转角度
//	        })
            .add();
            chart.renderer.image('../images/weather-forecast-icon/weather_1001_720.png', x-10, weatherChartDayHeihet-20, 21, 21)
            .add();
            
		});
    	
    });
	

	//逐三小时预报
	$('#weather-forecast-hour').highcharts({
        chart: {
        	margin:[50,0,20,0],
        	spacing: [0,0,0,0],
        	backgroundColor:'rgba(0,0,0,0)',//背景色透明
        },
        credits: {
            enabled: false
        },
        title: {
            text: ' '
        },
        xAxis: {
        	visible: false
//          categories: ['09:00', '10:00', '11:00', '12:00', '13:00'],
//          tickmarkPlacement: 'on',
//          offset: 0,
//          lineColor: 'rgba(0,0,0,0)',
//          lineWidth: 1,
//          minorGridLineWidth: 0,
//          minorTickInterval: 'auto',
//          minorTickLength: 0,
//          minorTickWidth: 1,
//          minorTickColor: 'rgba(0,0,0,0)',
        },
        yAxis: {
        	offset: 0,
            visible: false
        },
        legend: {
            enabled: false
        },
        exporting: {
            enabled: false
        },
        series: [{
            type: 'column',
            name: '小张',
            data: [5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 3, 4],
            dataLabels: {
                enabled: true,
                format: '{y} mm'
            },
            color:"#88ff88"
        },{
            type: 'line',
            name: '豆豆',
            data: [5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 7, 2,5, 3, 4, 3, 4],
            dataLabels: {
                enabled: true,
                format: '{y} °'
            }
        }]
    },function (chart) { // on complete
    	$.each(chart.series[0].data, function (i, point) {
            x = point.plotX + chart.plotLeft;//x轴位置
        	chart.renderer.image('../images/weather-little-icon/weather_1001_720_2.png', x-14, 0, 30, 30)
//      	.attr({
//	            rotation: parseInt(120)//设置旋转角度
//	        })
            .add();
            chart.renderer.image('../images/wind-power-icon/0-2.png', x-10, 36, 21, 21)
        	.attr({
	            rotation: parseInt(0)//设置旋转角度
	        })
            .add();
            chart.renderer.path(['M', x, 60, 'L', x, weatherChartDayHeihet-10])
	        .attr({
		        'stroke-width': 0.3,
		        stroke: '#545051'
		    })
	        .add();
	        chart.renderer.text('09:00', x-18,  weatherChartDayHeihet)
	            .css({
	            color: '#4e4a4b',
	            fontSize: '12px'
	        })
            .add();
		});
    	
    });

});
