$(function() {
	var scr_W=$(window).width();
	var scr_H=$(window).height();
	
	$("#arealRainfallSvg").css({
		"width":scr_W*1.6,
//		"height":scr_H*1.6,
		"margin-left": -scr_W*1.6/2,
		"margin-bottom":-scr_H/1.6/2/1.2
	}).show();
	
	var activeTime = ''
	
	//流域面雨量集成预报数据获取  begin
	function areaRainfall(time){
		var url="/forecastMonitor/areaRainFall/areaRainFall.do";
		var params={startTime: time || ''};
		ajaxPost(url,params,_areaRainfallSuccess,'');
		// localStorage.clear();
		
	}
	function _areaRainfallSuccess(data,info){
		var rainfallData = data.body.data;
		if ($.isEmptyObject(rainfallData)) {
			mui.alert("抱歉，您选择的时间暂无数据！")
			return
		}
		
		var storageData=JSON.stringify(rainfallData);
		localStorage.arealStorageData=storageData;
		
		activeTime = data.body.startTime
		
		var startTime=data.body.startTime;
		var forecastTime=data.body.datetime;
		
		$("#realTime").text(startTime.substr(0,4) + '年' + startTime.substr(5,2)+"月"+startTime.substr(8,2)+"日"+startTime.substr(11,2)+"时");
		$("#forecastTime").text(startTime.substr(0,4) + '年' + forecastTime.substr(5,2)+"月"+forecastTime.substr(8,2)+"日"+forecastTime.substr(11,2)+"时");
		
		var rainfallColors = ['#FFFFFF', '#A6F28E', '#3DB93D', '#61B8FF', '#0100E2', '#FA00FA', '#e6f047'];
		var svg_4 = document.getElementById('arealRainfallSvg');
		for (var k in rainfallData) {
			var speed = rainfallData[k];
			var speedColor = '';
			switch (true) {
				case speed >= 0 && speed < 0.1:
					speedColor = rainfallColors[0];
				break;
				case speed >= 0.1 && speed < 10:
					speedColor = rainfallColors[1];
				break;
				case speed >= 10 && speed < 25:
					speedColor = rainfallColors[2];
				break;
				case speed >= 25 && speed < 50:
					speedColor = rainfallColors[3];
				break;
				case speed >= 50 && speed < 100:
					speedColor = rainfallColors[4];
				break;
				case speed >= 100 && speed < 200:
					speedColor = rainfallColors[5];
				break;
				default:
					speedColor = rainfallColors[6];
			};
			$(svg_4).find('#a_' + k).attr('fill', speedColor);
			$(svg_4).find('#a_' + k+'_txt').text(speed);
		}
		
	}
	
	//日期选择器 TODO
	var dtPicker = new mui.DtPicker({type:'hour',pattern:8}); //年月日时
	$("#patternTimeBox").click(function(){
		dtPicker.show(function(items){
			// $("#rainfallStartTime").text(items.text + ' 时');
			// mode(items.text+':00:00')
			areaRainfall(items.text+':00:00');
		});
	});
	
	//流域面雨量集成预报数据获取  ends
	



//	init
	areaRainfall();
	mui("#tem-content").on('click','#switchToTabBtn',function(){
		mui.openWindow({
		    url:'../forecastInfo/arealRain.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	}); 
	
	
	$("#prevTimeBtn").on("click",function(){
		areaRainfall(addHour(activeTime, -12 * 60 * 60 * 1000))
	});
	
	$("#nextTimeBtn").on("click",function(){
		areaRainfall(addHour(activeTime, 12 * 60 * 60 * 1000))
	});
})
