//$(function(){
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var envirCan=document.getElementById("envirStationCan");
	var envirCtx=envirCan.getContext("2d");
	var envirWindowCan=document.getElementById("envirWindowCan");  //弹出窗口画布
	var envirWindowCtx=envirWindowCan.getContext("2d");
	var fogIcon=document.getElementById("fogIcon");
	var hazeIcon=document.getElementById("hazeIcon");
	var envirBgWp=document.getElementById("envirBgWp");
	var rankIcon=document.getElementById("rankIcon");
	
	var tScale  = Math.ceil(window.devicePixelRatio);//设备像素比
	tScale=1;
	var fontSetting=10*tScale+'px sans-seri';
	var phenomenaResData ,weatherConditionsData ,airqualityData;
	
	// 天气现象  begin    页面上对应数据为霾 
	/**
	 * 
	 * @param {Object} info 0为初始化
	 */
	function phenomena(info){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var url='/environment/phenomena.do';
		var startTime;
		if(info==0){
			startTime='';
		}else{
			startTime=info;
		}
		var params={startTime:startTime};
		ajaxPost(url,params,_phenomenaSuccess,info);
		
	}
	
	function _phenomenaSuccess(data,info){
		localStorage.storagePhenomenaResData=null;
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){})
			return false;
		}
		var envirTime=data.body.startTime;
		phenomenaResData=data.body.data;
		var storagePhenomenaResData=JSON.stringify(phenomenaResData);
		localStorage.storagePhenomenaResData=storagePhenomenaResData;
		if(info==0){
			localStorage.phenomenaInitTime=envirTime;
			localStorage.phenomenaEndTime=addHour(envirTime,3*24*3600*1000);
		}
		localStorage.phenomenaStartTime=envirTime;
		localStorage.phenomenaTimeTxt=envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时";
		$('#envirRealTime').text(envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时");
		$('#envirRealTime').attr("data-val",envirTime);
		_switchPhenomenaData(phenomenaResData);
	}
	
	function _switchPhenomenaData(data){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var resData=data ,conItem;
		var activeDatehour=parseInt($(".envir-datehour-item.datehour-option-active").attr('data-val')); //当前预报时效
		for(var i=0;i<resData.length;i++){
			var weatherDataItem=resData[i].weatherData;
		    conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
		    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
		    $(weatherDataItem).each(function(idx){
		    	if(weatherDataItem[idx].dateHour==activeDatehour){ //绘制匹配当前预报时效的数据
		    		 switch(weatherDataItem[idx].haze){
						case 1:
							envirCtx.drawImage(hazeIcon,0,0,74,48,conItem[0]*tScale,conItem[1]*tScale,20*tScale,13*tScale);
						break;
						
						case 2:
							envirCtx.drawImage(hazeIcon,0,34*tScale,74,48,conItem[0]*tScale,conItem[1]*tScale,20*tScale,13*tScale);
						break;
						
						case 3:
							envirCtx.drawImage(hazeIcon,0,70*tScale,74,48,conItem[0]*tScale,conItem[1]*tScale,20*tScale,13*tScale);
						break;
					}
		    	}
		    });
		}
		//霾图标
	}
	// 天气现象 end 
	
	// 气象条件     begin  
	function weatherConditions(info){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var url='/environment/weatherConditions.do';
		var startTime;
		if(info==0){
			startTime='';
		}else{
			startTime=info;
		}
		var params={startTime:startTime};
		ajaxPost(url,params,_weatherConditionsSuccess,info);
	}
	function _weatherConditionsSuccess(data,info){
		localStorage.storageWeatherConditionsData=null;
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){})
			return false;
		}
		var envirTime=data.body.startTime;
		weatherConditionsData=data.body.data;
		var storageWeatherConditionsData=JSON.stringify(weatherConditionsData);
		localStorage.storageWeatherConditionsData=storageWeatherConditionsData;
		if(info==0){
			localStorage.weatherCondInitTime=envirTime;
			localStorage.weatherCondEndTime=addHour(envirTime,3*24*3600*1000);
		}
		localStorage.weatherCondStartTime=envirTime;
		localStorage.weatherCondTimeTxt=envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时";
		$('#envirRealTime').text(envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时");
		$('#envirRealTime').attr("data-val",envirTime);
		_switchWeatherCondData(weatherConditionsData);
	}
	function _switchWeatherCondData(data){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var weatherCondColorsArr=["#2af744","#e4f439","#df9441","#f20d08","#a01856","#7b0225"];
		var resData=data  ,weatherCondDataItem ,conItem;
		var activeDatehour=parseInt($(".envir-datehour-item.datehour-option-active").attr('data-val')); //当前预报时效
		for(var i=0;i<resData.length;i++){
		    
		    weatherCondDataItem=resData[i].weatherConditionData;
		    $(weatherCondDataItem).each(function(idx){
		    	if(weatherCondDataItem[idx].dateHour==activeDatehour){ //绘制匹配当前预报时效的数据
		    		conItem= geoMap.registerElement(resData[i],weatherCondDataItem[idx].lon,weatherCondDataItem[idx].lat,30);
		    		envirCtx.fillStyle="#fff";
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15.8*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle=weatherCondColorsArr[weatherCondDataItem[idx].meteCondLevel-1];
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					envirCtx.fillStyle='#000';
					var fontSetting=10*tScale+'px 黑体';
					envirCtx.font=fontSetting;
					envirCtx.fillText(weatherCondDataItem[idx].meteCondLevel+'级', conItem[0]*tScale-9*tScale, conItem[1]*tScale+3*tScale);
		    	}
		    });
		}
	}
	// 气象条件    end
	
	//空气质量  begin  
	function airquality(info){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var url='/environment/airquality.do';
		var startTime;
		if(info==0){
			startTime='';
		}else{
			startTime=info;
		}
		var params={startTime:startTime};
		ajaxPost(url,params,_airqualitySuccess,info);
		
	}
	function _airqualitySuccess(data,info){
		localStorage.storageAirqualityData=null;
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){})
			return false;
		}
		var envirTime=data.body.startTime;
		airqualityData=data.body.data;
		var storageAirqualityData=JSON.stringify(airqualityData);
		localStorage.storageAirqualityData=storageAirqualityData;
		if(info==0){
			localStorage.airqualityInitTime=envirTime;
			localStorage.airqualityEndTime=addHour(envirTime,3*24*3600*1000);
		}
		localStorage.airqualityStartTime=envirTime;
		localStorage.airqualityTimeTxt=envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时";
		$('#envirRealTime').text(envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时");
		$('#envirRealTime').attr("data-val",envirTime);
		_switchAirqualityData(airqualityData);
	}
	function _switchAirqualityData(data){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var activeDatehour=parseInt($(".envir-datehour-item.datehour-option-active").attr('data-val')); //当前预报时效
		var resData=data ,airqualityItem,conItem ,aqi,activeColor,fontSetting;
		var airqualityColorArr=['#2af744','#e4f439','#df9441','#f20d08','#a01856','#7b0225'];//优良轻中重严重
		var activeType=$(".airquality-datehour-option.datehour-option-active").data('type');//当前选中元素
		for(var i=0;i<resData.length;i++){
			airqualityItem=resData[i].airData;
		    $(airqualityItem).each(function(idx){
		    	if(airqualityItem[idx].dateHour==activeDatehour){ //绘制匹配当前预报时效的数据
		    		if(airqualityItem[idx][activeType]==null){
		    			return true;
		    		}
		    		conItem= geoMap.registerElement(resData[i],airqualityItem[idx].lon,airqualityItem[idx].lat,30);
		    		resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
		    		aqi=airqualityItem[idx].aqi;
		    		switch(true){
				    	case aqi<51:
				    		activeColor=airqualityColorArr[0];
				    	break;
				    	case aqi>=51 && aqi <=100:
				    		activeColor=airqualityColorArr[1];
				    	break;
				    	case aqi>=101 && aqi <150:
				    		activeColor=airqualityColorArr[2];
				    	break;
				    	case aqi>=151 && aqi <=200:
				    		activeColor=airqualityColorArr[3];
				    	break;
				    	case aqi>=201 && aqi <=300:
				    		activeColor=airqualityColorArr[4];
				    	break;
				    	case aqi>300 :
				    		activeColor=airqualityColorArr[5];
				    	break;
				    }
		    		envirCtx.fillStyle="#fff";
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15.8*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle=activeColor;
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					envirCtx.fillStyle='#000';
					fontSetting=10*tScale+'px 黑体';
					envirCtx.font=fontSetting;
					envirCtx.fillText(airqualityItem[idx][activeType], resData[i].containerPos[0]*tScale-9*tScale, resData[i].containerPos[1]*tScale+3*tScale);
		    	}
		    });
		}
	}
	
	//空气质量    end 
	
	
	
	function init() {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($("#envirMap").attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		envirCan.style.width=map_w+'px';
		envirCan.style.height=map_h+'px';
		envirWindowCan.style.width=map_w+'px';
		envirWindowCan.style.height=map_h+'px';
		envirCan.width=map_w*tScale;
		envirCan.height=map_h*tScale;
		envirWindowCan.width=map_w*tScale;
		envirWindowCan.height=map_h*tScale;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 0.5, map_w, map_h);
	}
	
	/**
	 * 
	 * @param {Object} info  0为初始化，其他为传入时间
	 */
	function switchRequest(info){
		//0为空气质量，1为天气现象，2为气象条件
		var activeType=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		switch (activeType){
			case 0:
				if(airqualityData&&info==0){
					_switchAirqualityData(airqualityData);
				}else{
					airquality(info);
				}
			break;
			case 1:
				if(phenomenaResData&&info==0){
					_switchPhenomenaData(phenomenaResData);
				}else{
					phenomena(info);
				}
			break;
			case 2:
				if(weatherConditionsData&&info==0){
					_switchWeatherCondData(weatherConditionsData);
				}else{
					weatherConditions(info);
				}
			break;
			
		}
	}
	function zoom(){
		switchRequest(0);
	}
	
	
	//init   begin TODO
	init();
	airquality(0);
//	weatherConditions(0);
//	phenomena(0);
	
	
	
	//时效
	$(".envir-datehour-item").on("click",function(){
		var activeType=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		
		switchRequest(0);
	});
	
	//要素
	$("#rain-datehour-ul").on("click",".ele-datehour-option",function(e){
		var activeType=parseInt($(this).attr("data-classify"));
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		switchRequest(0);
	});
	
	//点击前后一天
	$("#envir-conent").on("click","#prevTimeBtn",function(){
		var activeType ,activeTime ,activeInitTime ,activeEndTime;
		activeType=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		switch(activeType){
			case 0:
				activeTime=addHour(localStorage.airqualityStartTime,-12*3600*1000);
				activeInitTime=localStorage.airqualityInitTime;
				activeEndTime=localStorage.airqualityEndTime;
			break;
			case 1:
				activeTime=addHour(localStorage.phenomenaStartTime,-12*3600*1000);
				activeInitTime=localStorage.phenomenaInitTime;
				activeEndTime=localStorage.phenomenaEndTime;
			break;
			case 2:
				activeTime=addHour(localStorage.weatherCondStartTime,-12*3600*1000);
				activeInitTime=localStorage.weatherCondInitTime;
				activeEndTime=localStorage.weatherCondEndTime;
			break;
		}
		if(activeTime>activeEndTime){
			mui.alert("已经是最后数据！","提示","确定",function(){})
			return false;
		}
		switchRequest(activeTime);
	});
	$("#envir-conent").on("click","#nextTimeBtn",function(){
		var activeType ,activeTime ,activeInitTime ,activeEndTime;
		activeType=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		switch(activeType){
			case 0:
				activeTime=addHour(localStorage.airqualityStartTime,12*3600*1000);
				activeInitTime=localStorage.airqualityInitTime;
				activeEndTime=localStorage.airqualityEndTime;
			break;
			case 1:
				activeTime=addHour(localStorage.phenomenaStartTime,12*3600*1000);
				activeInitTime=localStorage.phenomenaInitTime;
				activeEndTime=localStorage.phenomenaEndTime;
			break;
			case 2:
				activeTime=addHour(localStorage.weatherCondStartTime,12*3600*1000);
				activeInitTime=localStorage.weatherCondInitTime;
				activeEndTime=localStorage.weatherCondEndTime;
			break;
		}
		if(activeTime>activeInitTime){
			mui.alert("已经是最新数据！","提示","确定",function(){})
			return false;
		}
		switchRequest(activeTime);
	});
	
	mui(".show-info-btn-box").on("click","#environmental-rank-link",function(){
		var activeEleType, activeHourType ,activeEleTxt;
		activeEleType=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		activeEleTxt=$(".ele-datehour-option.datehour-option-active").attr("data-type");
		activeHourType=$(".envir-datehour-item.datehour-option-active").attr("data-val");
		localStorage.activeEleType=activeEleType;
		localStorage.activeHourType=activeHourType;
		localStorage.activeEleTxt=activeEleTxt;
		
		if(!localStorage.storagePhenomenaResData){
			phenomena(0);
		}
		if(!localStorage.storageWeatherConditionsData){
			weatherConditions(0);
		}
		mui.openWindow({
		    url:'../forecastInfo/envirForecastRank.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	});
	
	
	//放大
	$(".zoom-box").on("click","#zoomOutBtn",function(event){
		event.stopPropagation();
		var i=parseInt($("#envirMap").attr("alt"));
		i++;
		if(i>8){
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#envirMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		switchRequest(0);
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#envirMap").offset().left;
		cat.touchjs.top = $("#envirMap").offset().top;
	});
	//缩小
	$(".zoom-box").on("click","#zoomInBtn",function(event){
		event.stopPropagation(); 
		var i=parseInt($("#envirMap").attr("alt"));
		i--;
		if(i<6){
			mui.toast("已是最小级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#envirMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		switchRequest(0);
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#envirMap").offset().left;
		cat.touchjs.top = $("#envirMap").offset().top;
	});
//});
