$(function(){
	//气温预报图片信息获取   begin 
	function temForecastImg(){
		var url="/forecastMonitor/preTemForecast/preTemForecast.do";
		var type=1;
		var params={type:type};
		ajaxPost(url,params,_temForecastImgSuccess,'');
	}
	var resData;
	function _temForecastImgSuccess(data,info){
		if(data.body.recordNum==0){
			mui.confirm("暂无数据！","提示",function(){
				return false;
			});
		}
		resData=data.body.data;
		_switchData(resData,0);
	}
	/**
	 * 
	 * @param {Object} data      渲染数据
	 * @param {Object} order     图片次序
	 */
	function _switchData(data,order){
		var activeType=1 ,matchItem ,startTime ,recordNum;
		$(data).each(function(idx){
			var item=data[idx];
			if(item.type==activeType){
				matchItem=item.imgs;
				startTime=item.startTime;
				recordNum=parseInt(item.recordNum);
			}
		});
		$("#radarControl").attr("max",recordNum-1);
		$("#radarImg").attr("src",matchItem[order].path);
		var activeDay=matchItem[order].day;
		var activeStartTime=addHour(startTime,(activeDay-1)*24*3600*1000);
		var activeStartTimeTxt=activeStartTime.substr(5,2)+"月"+activeStartTime.substr(8,2)+"日"+activeStartTime.substr(11,2)+"时";
		var activeEndTime=addHour(startTime,activeDay*24*3600*1000);
		var activeEndTimeTxt=activeEndTime.substr(5,2)+"月"+activeEndTime.substr(8,2)+"日"+activeEndTime.substr(11,2)+"时";
		$("#realTime").text(activeStartTimeTxt+"-"+activeEndTimeTxt);
	}
	//气温预报图片信息获取  end
	
	//开始 暂停
	function progressTimeControl(img,rangeDom) {
	    if ($(img).attr("data-val") == 0) {
	    	$(img).attr("data-val",1);
	        $(img).attr("src", "../../images/monitoringOfLive/radar-unplay.png");
	       　		autoPlay(img,rangeIp);　
	    }else {
	       	$(img).attr("data-val",0);
	        $(img).attr("src", "../../images/monitoringOfLive/radar-play.png");
	       	clearInterval(time),function(){
			　　  autoPlay(img,rangeIp);　
			}　
	      
	    }
	}
	
	function autoPlay(img,rangeDom){
	　　	time = setInterval(function(){
			var orderVal=parseInt(rangeDom.val());
	    	var orderMax=parseInt(rangeDom.attr("max"));
	    	var orderMin=parseInt(rangeDom.attr("min"));
	    	var orderStep=parseInt(rangeDom.attr("step"));
	    	if(orderVal<orderMax){
	    		orderVal+=1;
	    		rangeDom.val(orderVal)
				_switchData(resData,orderVal);
	    		
	    	}else if(orderVal>=orderMax){
	    		$(img).attr("data-val",0);
	        	$(img).attr("src", "../../images/monitoringOfLive/radar-play.png");
				clearInterval(time),function(){
				　　  autoPlay(img,rangeIp);　
				}　
	    	}
	    	
	　　	},1000)
	}
	
	//交互   begin  
	
	temForecastImg();
	
	var img=$("#playImg");
	var rangeIp=$("#radarControl");
	$("#playControlBtn").on("click",function(){
		var maxOrder=parseInt($("#radarControl").attr("max"));
		var activeOrder=parseInt($("#radarControl").val());
		if(activeOrder==maxOrder){
			$("#radarControl").val(0);
		}
		progressTimeControl(img,rangeIp);
	});
	
	//TODO range移动时提示框隐藏
	$("#radarControl").siblings('span').remove();
	$("#radarControl").change(function(){
		var order=$(this).val();
		$(this).siblings('span').remove();
		
		_switchData(resData,order);
	});

	mui("#tem-datehour-box").on("click",".tem-datehour-option",function(){
		var order=parseInt($("#radarControl").val());
		_switchData(resData,order);
	});
});
