//$(function(){
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var envirCan=document.getElementById("envirStationCan");
	var envirCtx=envirCan.getContext("2d");
	var envirWindowCan=document.getElementById("envirWindowCan");  //弹出窗口画布
	var envirWindowCtx=envirWindowCan.getContext("2d");
	var fogIcon=document.getElementById("fogIcon");
	var hazeIcon=document.getElementById("hazeIcon");
	var envirBgWp=document.getElementById("envirBgWp");
	var rankIcon=document.getElementById("rankIcon");
	
	var tScale  = Math.ceil(window.devicePixelRatio);//设备像素比
	tScale=1;
	var fontSetting=10*tScale+'px sans-seri';
//	 空气质量参数数据获取    begin
//	var infoData={flag:0,datetime:""};
	function airQuality(infoData){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var url="/currentMonitor/air/airQuality.do";
		var dateTime;
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={datetime:dateTime};
		ajaxPost(url,params, _airQualitySuccess,infoData);

	}
	var resData;
	function _airQualitySuccess(data,infoData){
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){});
			return false;
		}
		var envirTime=data.body.datetime;
		resData=data.body.data;
		if(infoData.flag==0){
			localStorage.envirTimeInit=envirTime;
		}
		localStorage.envirStartTime=envirTime;
		localStorage.airQualityTimeTxt=envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时";
		$('#envirRealTime').text(envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时");
		_switchAirQualityData(resData);
		
	}
	
	function _switchAirQualityData(data){
		var resData=data;
		var resDataLength=resData.length;
		var conItem;
		var activeDataType=$(".aqi-datehour-option.datehour-option-active").attr("data-type");
		if(!activeDataType){
			return;
		}
		
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var colorArr=['#2af744','#e4f439','#df9441','#f20d08','#a01856','#7b0225'];//优良轻中重严重
		for(var i=0;i<resDataLength;i++){
			var resItem=getStationByStationCode(resData[i].stationCode);
			if(resItem==null||resData[i][activeDataType]==null){
				continue;
			}
		    resData[i].ename=resItem.ename;
		    resData[i].siteName=resItem.siteName;
		    conItem= geoMap.registerElement(resData[i],resItem.lon,resItem.lat,30);
		    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
		    
		    envirCtx.fillStyle="#fff";
			envirCtx.beginPath();
			envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15.8*tScale,0,360);
			envirCtx.closePath();
			envirCtx.fill();
			
			envirCtx.fillStyle=colorArr[resData[i].pollutantLevel-1];
			envirCtx.beginPath();
			envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15*tScale,0,360);
			envirCtx.closePath();
			envirCtx.fill();
			envirCtx.fillStyle='#000';
			var fontSetting=10*tScale+'px 黑体';
			envirCtx.font=fontSetting;
			envirCtx.fillText(resData[i][activeDataType], (resData[i].containerPos[0]*tScale-9*tScale), (resData[i].containerPos[1]*tScale+3*tScale));
		}
	}
	//	 空气质量参数数据获取    end
	
	
	
//	 气象参数数据获取      begin
	var weatherParamsInfoData={flag:0,datetime:""};
	function weatherParam(infoData){
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		var url="/currentMonitor/weather/weatherParam.do";
		var datetime;
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={datetime:dateTime};
		ajaxPost(url,params, _weatherParamSuccess,infoData);
	}
	var weatheResData;
	function _weatherParamSuccess(data,infoData){
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){});
			return false;
		}
		var weatherTime=data.body.datetime;
		weatheResData=data.body.data;
		if(infoData.flag==0){
			localStorage.weatherTimeInit=weatherTime;
		}
		localStorage.weatherStartTime=weatherTime;
		localStorage.weatherTimeTxt=weatherTime.substr(5,2)+"月"+weatherTime.substr(8,2)+"日"+weatherTime.substr(11,2)+"时";
		$('#envirRealTime').text(weatherTime.substr(5,2)+"月"+weatherTime.substr(8,2)+"日"+weatherTime.substr(11,2)+"时");
		_switchWeatherData(weatheResData,infoData);
	}
	function _switchWeatherData(data,infoData){
		var resData = data;
		var resDataLength=resData.length;
		var conItem,activeDataType;
		activeDataType=$(".rain-datehour-option.datehour-option-active").attr("data-type");
		if(!activeDataType){
			return;
		}
		
		geoMap.clear();//清空控件
		envirCtx.clearRect(0,0,envirCan.width,envirCan.height);//	清空画布
		
		switch(activeDataType){
			case 'hazeLevel':
				for(var i=0;i<resDataLength;i++){
				    conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
				    switch(resData[i].hazeLevel){
						case 1:
							envirCtx.drawImage(hazeIcon, 0,0, 75,49, conItem[0]*tScale,conItem[1]*tScale, 20*tScale,13*tScale);
						break;
						
						case 2:
							envirCtx.drawImage(hazeIcon, 0,89, 75,49, conItem[0]*tScale,conItem[1]*tScale, 20*tScale,13*tScale);
						break;
						
						case 3:
							envirCtx.drawImage(hazeIcon, 0,180, 75,49, conItem[0]*tScale,conItem[1]*tScale, 20*tScale,13*tScale);
						break;
					}
				}
			break;
			
			case 'fogLevel':
				for(var i=0;i<resDataLength;i++){
					conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];
					switch(resData[i].fogLevel){
						case 1:
							envirCtx.drawImage(fogIcon, 0,0, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
						case 2:
							envirCtx.drawImage(fogIcon, 0,64, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
						case 3:
							envirCtx.drawImage(fogIcon, 0,137, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
						case 4:
							envirCtx.drawImage(fogIcon, 0,208, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
					}
				}
			break;
			
			case 'vis':
				var visColorArr=['#fff','#c9edfd','#8ee0f8','#7bfc30','#fffd00','#ffb446','#ff5500','#fe0002','#9603ff','#712700'];
				var visColor,itemVis;
				for(var i=0;i<resDataLength;i++){
					if(resData[i].vis==null){
						continue;
					}
					conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];
				    itemVis=(resData[i].vis)/1000;
				    
				    if(itemVis>=30){
				    	visColor=visColorArr[0];
				    }else if(itemVis>=20&&itemVis<30){
				    	visColor=visColorArr[1];
				    }else if(itemVis>=10&&itemVis<20){
				    	visColor=visColorArr[2];
				    }else if(itemVis>=5&&itemVis<10){
				    	visColor=visColorArr[3];
				    }else if(itemVis>=3&&itemVis<5){
				    	visColor=visColorArr[4];
				    }else if(itemVis>=2&&itemVis<3){
				    	visColor=visColorArr[5];
				    }else if(itemVis>=1&&itemVis<2){
				    	visColor=visColorArr[6];
				    }else if(itemVis>=0.5&&itemVis<1){
				    	visColor=visColorArr[7];
				    }else if(itemVis>=0.2&&itemVis<0.5){
				    	visColor=visColorArr[8];
				    }else if(itemVis>=0&&itemVis<0.2){
				    	visColor=visColorArr[9];
				    }
				    
				    envirCtx.fillStyle="#fff";
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15.8*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle=visColor;
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle='#000';
					envirCtx.font=fontSetting;
					envirCtx.fillText(itemVis, resData[i].containerPos[0]*tScale-8*tScale, resData[i].containerPos[1]*tScale+3*tScale);
				}
				
			break;
			
			case 'rhu':
				var rhuColorArr=['#00bfff','#00ff00','#40ff00','#a5ff00','#ffff00','#ff8300','#ff0000','#f74602','#f702b5','#f116af','#000'];
				var rhuColor;
				for(var i=0;i<resDataLength;i++){
					if(resData[i].rhu==null){
						continue;
					}
					conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
				    
				    if(resData[i].rhu==100){
				    	rhuColor=rhuColorArr[0];
				    }else if(resData[i].rhu>=90&&resData[i].rhu<100){
				    	rhuColor=rhuColorArr[1];
				    }else if(resData[i].rhu>=80&&resData[i].rhu<90){
				    	rhuColor=rhuColorArr[2];
				    }else if(resData[i].rhu>=70&&resData[i].rhu<80){
				    	rhuColor=rhuColorArr[3];
				    }else if(resData[i].rhu>=60&&resData[i].rhu<70){
				    	rhuColor=rhuColorArr[4];
				    }else if(resData[i].rhu>=50&&resData[i].rhu<60){
				    	rhuColor=rhuColorArr[5];
				    }else if(resData[i].rhu>=40&&resData[i].rhu<50){
				    	rhuColor=rhuColorArr[6];
				    }else if(resData[i].rhu>=30&&resData[i].rhu<40){
				    	rhuColor=rhuColorArr[7];
				    }else if(resData[i].rhu>=20&&resData[i].rhu<30){
				    	rhuColor=rhuColorArr[8];
				    }else if(resData[i].rhu>=10&&resData[i].rhu<20){
				    	rhuColor=rhuColorArr[9];
				    }else if(resData[i].rhu>=0&&resData[i].rhu<10){
				    	rhuColor=rhuColorArr[8];
				    }
				    
				    envirCtx.fillStyle="#fff";
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15.8*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle=rhuColor;
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle='#000';
					envirCtx.font=fontSetting;
					envirCtx.fillText(resData[i].rhu, resData[i].containerPos[0]*tScale-8*tScale, resData[i].containerPos[1]*tScale+3*tScale);
				}
			break;
			
			case 'winSAvg10mi':
				var winColorArr=['#a5ff00','#68d14e','#4ec166','#40a1b5','#4268c5','#5056b9','#544eb1','#52468d'];
				var winColor;
				for(var i=0;i<resDataLength;i++){
					if(resData[i].winSAvg10mi==null){
						continue;
					}
					conItem= geoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
				    if(resData[i].winSAvg10mi==12){
				    	winColor=winColorArr[0];
				    }else if(resData[i].winSAvg10mi>=10&&resData[i].winSAvg10mi<12){
				    	winColor=winColorArr[1];
				    }else if(resData[i].winSAvg10mi>=8&&resData[i].winSAvg10mi<10){
				    	winColor=winColorArr[2];
				    }else if(resData[i].winSAvg10mi>=6&&resData[i].winSAvg10mi<8){
				    	winColor=winColorArr[3];
				    }else if(resData[i].winSAvg10mi>=4&&resData[i].winSAvg10mi<6){
				    	winColor=winColorArr[4];
				    }else if(resData[i].winSAvg10mi>=2&&resData[i].winSAvg10mi<4){
				    	winColor=winColorArr[5];
				    }else if(resData[i].winSAvg10mi>=1&&resData[i].winSAvg10mi<2){
				    	winColor=winColorArr[6];
				    }else if(resData[i].winSAvg10mi>=0&&resData[i].winSAvg10mi<1){
				    	winColor=winColorArr[7];
				    }
				    
				    envirCtx.fillStyle="#fff";
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15.8*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle=winColor;
					
					envirCtx.beginPath();
					envirCtx.arc(conItem[0]*tScale,conItem[1]*tScale,15*tScale,0,360);
					envirCtx.closePath();
					envirCtx.fill();
					
					envirCtx.fillStyle='#fff';
					var fontSetting=10*tScale+'px sans-seri';
					envirCtx.font=fontSetting;
					envirCtx.fillText(resData[i].winSAvg10mi, resData[i].containerPos[0]*tScale-6*tScale, resData[i].containerPos[1]*tScale+3*tScale);
				}
			break;
		}
		
	}
	
//	 气象参数数据获取     end
	//弹出窗口        begin
	function drawWindow(data,ctx){
		var activeSort,activeType,searchData=data;
		$(".ele-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeSort=$(this).attr("data-classify");
				activeType=$(this).attr("data-type");
			}
		});
		if(activeSort==0){ //空气质量参数
			ctx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
			var fontSetting=10*tScale+'px sans-seri';
			ctx.font=fontSetting;
			ctx.drawImage(envirBgWp,searchData[0]*tScale-104*tScale,searchData[1]*tScale-84*tScale,210*tScale,72*tScale);
			ctx.drawImage(rankIcon,searchData[0]*tScale+84*tScale,searchData[1]*tScale-78*tScale,14*tScale,14*tScale);
			ctx.fillText("站名："+searchData[3].ename+searchData[3].siteName, searchData[0]*tScale-86*tScale, searchData[1]*tScale-66*tScale);
			ctx.fillText("时间："+localStorage.airQualityTimeTxt, searchData[0]*tScale-86*tScale, searchData[1]*tScale-46*tScale);
			ctx.fillText(activeType+" : "+searchData[3][activeType], searchData[0]*tScale-86*tScale, searchData[1]*tScale-26*tScale);
			
			if(activeType=='aqi'){
				if(searchData[3].primaryPollutant==''||searchData[3].primaryPollutant==null){
					searchData[3].primaryPollutant="无";
				}else if(searchData[3].primaryPollutant=="PM25"){
					searchData[3].primaryPollutant="PM2.5"
				}
				ctx.fillText("首污："+searchData[3].primaryPollutant, searchData[0]*tScale+10*tScale, searchData[1]*tScale-26*tScale);
			}
			var leftTopX=searchData[0]-104;
			var leftTopY=searchData[1]-84;
			
			var rightBottomX=leftTopX+210;
			var rightBottomY=leftTopY+72;
			
			localStorage.AQleftTopX=leftTopX;
			localStorage.AQleftTopY=leftTopY;
			localStorage.AQrightBottomX=rightBottomX;
			localStorage.AQrightBottomY=rightBottomY;
			
		}else{ //气象参数
			var activeTypeTxt,bg_H;
			ctx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
			var fontSetting=10*tScale+'px sans-seri';
			ctx.font=fontSetting;
			switch(activeType){
				case 'fogLevel':
					activeTypeTxt='雾：';
					bg_H=102;
					switch(searchData[3][activeType]){
						case 0:
							searchData[3][activeType]="无";
						break;
						case 1:
							searchData[3][activeType]="雾";
						break;
						case 2:
							searchData[3][activeType]="大雾";
						break;
						case 3:
							searchData[3][activeType]="浓雾";
						break;
						case 4:
							searchData[3][activeType]="强浓雾";
						break;
					}
				break;
				
				case 'hazeLevel':
					activeTypeTxt='霾：';
					bg_H=102;
					switch(searchData[3][activeType]){
						case 0:
							searchData[3][activeType]="无";
						break;
						case 1:
							searchData[3][activeType]="轻度霾";
						break;
						case 2:
							searchData[3][activeType]="中度霾";
						break;
						case 3:
							searchData[3][activeType]="重度霾";
						break;
					}
				break;
				
				case 'vis': 
					bg_H=66;
					activeTypeTxt='能见度：';
				break;
				
				case 'rhu':
					bg_H=66;
					activeTypeTxt='相对湿度：';
				break;
				
				case 'winSAvg10mi':
					bg_H=66;
					activeTypeTxt='风速：'
				break;
			}
			ctx.drawImage(envirBgWp,searchData[0]*tScale-104*tScale,searchData[1]*tScale-78*tScale,210*tScale,bg_H*tScale);
			ctx.drawImage(rankIcon,searchData[0]*tScale+80*tScale,searchData[1]*tScale-72*tScale,14*tScale,14*tScale);
			ctx.fillText("站名："+searchData[3].city+searchData[3].cnty, searchData[0]*tScale-90*tScale, searchData[1]*tScale-62*tScale);
			ctx.fillText("时间："+localStorage.weatherTimeTxt, searchData[0]*tScale-90*tScale, searchData[1]*tScale-46*tScale);
			ctx.fillText(activeTypeTxt+searchData[3][activeType], searchData[0]*tScale-90*tScale, searchData[1]*tScale-30*tScale);
			if(activeType=='hazeLevel'||activeType=='fogLevel'){
				ctx.fillText("相对湿度："+searchData[3].rhu, searchData[0]*tScale-90*tScale, searchData[1]*tScale-14*tScale);
				ctx.fillText("能见度："+searchData[3].vis, searchData[0]*tScale-90*tScale, searchData[1]*tScale+4*tScale);
			}
			
			var leftTopX=searchData[0]-104;
			var leftTopY=searchData[1]-78;
			
			var rightBottomX=leftTopX+210;
			var rightBottomY=leftTopY+72;
			
			localStorage.WPleftTopX=leftTopX;
			localStorage.WPleftTopY=leftTopY;
			localStorage.WPrightBottomX=rightBottomX;
			localStorage.WPrightBottomY=rightBottomY;
		}
	}
	
	
	
	//弹出窗口        end
	
	
	function init() {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($("#envirMap").attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		envirCan.style.width=map_w+'px';
		envirCan.style.height=map_h+'px';
		envirWindowCan.style.width=map_w+'px';
		envirWindowCan.style.height=map_h+'px';
		envirCan.width=map_w*tScale;
		envirCan.height=map_h*tScale;
		envirWindowCan.width=map_w*tScale;
		envirWindowCan.height=map_h*tScale;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 0.5, map_w, map_h);
	}
	
	
	function switchDataByType(){
		var activeClassify=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		if(activeClassify==0){
			if(resData){
				_switchAirQualityData(resData);
			}else{
				var infoData={flag:0,datetime:""};
				airQuality(infoData);
			}
			
		}else{
			if(weatheResData){
				_switchWeatherData(weatheResData,infoData);
			}else{
				var weatherParamsInfoData={flag:0,datetime:""};
				weatherParam(weatherParamsInfoData);
			}
		}
		envirWindowCtx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
		localStorage.envirRankStationCode='';
		localStorage.envirRankStationName='';
		localStorage.envirActiveSort='';
	}
	function zoom(){
		switchDataByType();
	}
	
//	交互   begin
	init();
	var infoData={flag:0,datetime:""};
	airQuality(infoData);
	mui("#envir-conent").on("tap","#envirWindowCan",function(e){
		var event=window.event||e;
		var locX, locY;
		if(event.pageX){
			locX=event.pageX;
		}else{
			locX=event.detail.changedTouches[0].pageX;
		}
		if(event.pageY){
			locY=event.pageY;
		}else{
			
			locY=event.detail.changedTouches[0].pageY;
		}
		
		var loc = windowTocanvas(envirWindowCan, locX, locY);
		var x = parseInt(loc.x/tScale);
		var y = parseInt(loc.y/tScale);
		var activeSort;
		var searchObj = geoMap.getElementDataByXY(x, y);
		var activeSort=$(".ele-datehour-option.datehour-option-active").attr("data-classify");
		
		if(parseInt(activeSort)==0){
			var activeleftTopX=parseInt(localStorage.AQleftTopX);
			var activeleftTopY=parseInt(localStorage.AQleftTopY);
			var activerightBottomX=parseInt(localStorage.AQrightBottomX);
			var activerightBottomY=parseInt(localStorage.AQrightBottomY);
		}else{
			var activeleftTopX=parseInt(localStorage.WPleftTopX);
			var activeleftTopY=parseInt(localStorage.WPleftTopY);
			var activerightBottomX=parseInt(localStorage.WPrightBottomX);
			var activerightBottomY=parseInt(localStorage.WPrightBottomY);
		}
		
		if(searchObj != null) {
			drawWindow(searchObj,envirWindowCtx);
			var activeStationCode=searchObj[3].stationCode;
			if(activeSort==0){
				var activeStationName=searchObj[3].ename+searchObj[3].siteName;
			}else{
				var activeStationName=searchObj[3].city+searchObj[3].cnty;
			}
			localStorage.envirRankStationCode=activeStationCode;
			localStorage.envirRankStationName=activeStationName;
			localStorage.envirActiveSort=activeSort;
			
		}else if((x>activeleftTopX)&&(x<activerightBottomX)&&(y>activeleftTopY)&&(y<activerightBottomY)){
			mui.openWindow({
			    url:'../../web/monitoringOfLive/environmental-chart.html',
			    id: activeStationCode,
			    waiting: {
		            autoShow: false
		        },
		        extras:{
		            name:activeStationCode
		        },
				styles: {
					statusbar: {
						background: localStorage.statusbarColor
					}
				}
			});
			
		}
		else{
			envirWindowCtx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
			localStorage.envirRankStationCode='';
			localStorage.envirRankStationName='';
			localStorage.envirActiveSort='';
		}
	});

	mui("#envir-conent").on("click","#prevTimeBtn",function(){
		var activeClassify;
		$(".ele-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeClassify=$(this).attr("data-classify");
			}
		});
		
		if(activeClassify==0){
			var nowTime=addHour(localStorage.envirStartTime,-60*60*1000);
			if(nowTime!=localStorage.envirTimeInit){
				$("#nextTimeBtn").show();
			}
			var infoData={flag:1,datetime:nowTime};
			airQuality(infoData);
		}else{
			var nowTime=addHour(localStorage.weatherStartTime,-60*60*1000);
			if(nowTime!=localStorage.weatherTimeInit){
				$("#nextTimeBtn").show();
			}
			var weatherParamsInfoData={flag:1,datetime:nowTime};
			weatherParam(weatherParamsInfoData);
		}
		envirWindowCtx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
		localStorage.envirRankStationCode='';
		localStorage.envirRankStationName='';
		localStorage.envirActiveSort='';
		
	});
	mui("#envir-conent").on("click","#nextTimeBtn",function(){
		var activeClassify=$(".ele-datehour-option.datehour-option-active").attr("data-classify");
		
		if(parseInt(activeClassify)==0){
			var nowTime=addHour(localStorage.envirStartTime,60*60*1000);
			if(nowTime>localStorage.envirTimeInit){
				$(this).hide();
				return false;
			}
			var infoData={flag:1,datetime:nowTime};
			airQuality(infoData);
		}else{
			var nowTime=addHour(localStorage.weatherStartTime,60*60*1000);
			if(nowTime!=localStorage.weatherTimeInit){
				$("#nextTimeBtn").show();
			}
			var weatherParamsInfoData={flag:1,datetime:nowTime};
			weatherParam(weatherParamsInfoData);
		}
		envirWindowCtx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
		localStorage.envirRankStationCode='';
		localStorage.envirRankStationName='';
		localStorage.envirActiveSort='';
		
	});
	
	mui("#envir-conent").on("click",".ele-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		switchDataByType();
	});
	
	mui(".show-info-btn-box").on('click','#environmental-rank-link',function(){
		var activeEleType=$(".ele-datehour-option.datehour-option-active").attr("data-type");
		var activeEleClassify=$(".ele-datehour-option.datehour-option-active").attr("data-classify");
		if(activeEleType=="hazeLevel"||activeEleType=="fogLevel"){
			activeEleType='vis';
		}
		localStorage.activeEleType=activeEleType;
		localStorage.activeEleClassify=activeEleClassify;
		mui.openWindow({
		    url:'../../web/monitoringOfLive/environmental-rank.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	}); 


	//放大
	$(".zoom-box").on("click","#zoomOutBtn",function(event){
		event.stopPropagation();
		var i=parseInt($("#envirMap").attr("alt"));
		i++;
		if(i>8){
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#envirMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		switchDataByType();
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#envirMap").offset().left;
		cat.touchjs.top = $("#envirMap").offset().top;
		
	});
	//缩小
	$(".zoom-box").on("click","#zoomInBtn",function(event){
		event.stopPropagation(); 
		var i=parseInt($("#envirMap").attr("alt"));
		i--;
		if(i<6){
			mui.toast("已是最小级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#envirMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		switchDataByType();
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#envirMap").offset().left;
		cat.touchjs.top = $("#envirMap").offset().top;
		
	});
	
//  交互   end
	
//});
