//$(function(){
	var map_lat_start, //底图左上角对应的经度
		map_lon_start, //底图左上角对应的纬度
		map_lat_end, //底图右下角对应的经度
		map_lon_end, //底图右小角对应的纬度
		map_w, //底图宽度
		map_h, //底图高度
		scr_w=$(window).width(),
		scr_h=$(window).height();
		
	var aqiDatehourBottomH=Number($("#environmental-aqi-datehour-box").css('bottom').slice(0,-2));
	var aqiDatehourH=$("#environmental-aqi-datehour-box").height();
	$("#mapWrapper").width(scr_w).height(scr_h-88-aqiDatehourBottomH-aqiDatehourH - localStorage.statusbarHeight);
	
	var fogIcon=document.getElementById("fogIcon");
	var hazeIcon=document.getElementById("hazeIcon");
	var envirBgWp=document.getElementById("envirBgWp");
	var rankIcon=document.getElementById("rankIcon");
	
	var cityCan=document.getElementById("cityCan");//城市名画布
	var cityCtx=cityCan.getContext('2d');
	var fullCan=document.getElementById("fullCan"); //可视区域画布
	var fullCtx=fullCan.getContext('2d');
	var rainStainImg=document.getElementById("rainStainImg");
	var geoMap ,fullGeoMap;
	var rainImg=document.getElementById("rainMap")
	var dip=window.devicePixelRatio;//设备像素比
	var lv = 2 ,
		activeScale= 1,
		hasWindowFlag = false;
		
	var tScale  =  dip * lv;
	var fontSetting=10*tScale+'px sans-seri';
	
//	 空气质量参数数据获取    begin
//	var infoData={flag:0,datetime:""};
	function airQuality(infoData){
		fullGeoMap.clear();//清空控件
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		var url="/currentMonitor/air/airQuality.do";
		var dateTime;
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={datetime:dateTime};
		ajaxPost(url,params, _airQualitySuccess,infoData);
		
	}
	var resData=[];
	function _airQualitySuccess(data,infoData){
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){});
			return false;
		}
		var envirTime=data.body.datetime;
		resData=data.body.data;
		if(infoData.flag==0){
			localStorage.envirTimeInit=envirTime;
		}
		localStorage.envirStartTime=envirTime;
		localStorage.airQualityTimeTxt=envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时";
		$('#envirRealTime').text(envirTime.substr(5,2)+"月"+envirTime.substr(8,2)+"日"+envirTime.substr(11,2)+"时");
		_switchAirQualityData(resData,activeScale,fullCtx);
		
	}
	
	function _switchAirQualityData(data,activeScale,ctx){
		fullGeoMap.clear()
		ctx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制地理数据
		}
		if(data.length==0){
			return
		}
		var size = Math.ceil(10 * dip * lv * 1.4)
		var fontSetting= size +'px sans-seri';
		ctx.font=fontSetting;
		
		var resData=data,
			resDataLength=resData.length,
			conItem,resItem;
		var activeDataType=$(".aqi-datehour-option.datehour-option-active").attr("data-type");
		if(!activeDataType){
			return;
		}
		
		var colorArr=['#2af744','#e4f439','#df9441','#f20d08','#a01856','#7b0225'];//优良轻中重严重
		for(var i=0;i<resDataLength;i++){
			resItem=getStationByStationCode(resData[i].stationCode);
			if(resItem==null||resData[i][activeDataType]==null){
				continue;
			}
		    resData[i].city=resItem.ename;
		    resData[i].cnty=resItem.siteName;
		    resData[i].lon=resItem.lon;
		    resData[i].lat=resItem.lat
		    conItem= fullGeoMap.registerElement(resData[i],resItem.lon,resItem.lat,30);
		    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
		    //绘制背景圆
		    ctx.fillStyle="#fff";
			ctx.beginPath();
			ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15.8*tScale,0,360);
			ctx.closePath();
			ctx.fill();
			
			ctx.fillStyle=colorArr[resData[i].pollutantLevel-1];
			ctx.beginPath();
			ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15*tScale,0,360);
			ctx.closePath();
			ctx.fill();
			ctx.fillStyle='#000';
			ctx.font=fontSetting;
			ctx.fillText(resData[i][activeDataType], conItem[0]*tScale, conItem[1]*tScale);
		}
	}
	//	 空气质量参数数据获取    end
	
	
	
//	 气象参数数据获取      begin
	var weatherParamsInfoData={flag:0,datetime:""};
	function weatherParam(infoData){
		fullGeoMap.clear();//清空控件
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		var url="/currentMonitor/weather/weatherParam.do";
		var datetime;
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={datetime:dateTime};
		ajaxPost(url,params, _weatherParamSuccess,infoData);
	}
	var weatheResData=[];
	function _weatherParamSuccess(data,infoData){
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){});
			return false;
		}
		var weatherTime=data.body.datetime;
		weatheResData=data.body.data;
		if(infoData.flag==0){
			localStorage.weatherTimeInit=weatherTime;
		}
		localStorage.weatherStartTime=weatherTime;
		localStorage.weatherTimeTxt=weatherTime.substr(5,2)+"月"+weatherTime.substr(8,2)+"日"+weatherTime.substr(11,2)+"时";
		$('#envirRealTime').text(weatherTime.substr(5,2)+"月"+weatherTime.substr(8,2)+"日"+weatherTime.substr(11,2)+"时");
		_switchWeatherData(weatheResData,activeScale,fullCtx);
	}
	function _switchWeatherData(data,activeScale,ctx){
		fullGeoMap.clear()
		ctx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制地理数据
		}
		var size = Math.ceil(10 * dip * lv * 1.4)
		var fontSetting= size +'px sans-seri';
		ctx.font=fontSetting;
		var resData = data;
		var resDataLength=resData.length;
		var conItem,activeDataType;
		activeDataType=$(".rain-datehour-option.datehour-option-active").attr("data-type");
		if(!activeDataType){
			return;
		}
		
		switch(activeDataType){
			case 'hazeLevel':
				for(var i=0;i<resDataLength;i++){
				    conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
				    switch(resData[i].hazeLevel){
						case 1:
							ctx.drawImage(hazeIcon, 0,0, 75,49, conItem[0]*tScale,conItem[1]*tScale, 20*tScale,13*tScale);
						break;
						
						case 2:
							ctx.drawImage(hazeIcon, 0,89, 75,49, conItem[0]*tScale,conItem[1]*tScale, 20*tScale,13*tScale);
						break;
						
						case 3:
							ctx.drawImage(hazeIcon, 0,180, 75,49, conItem[0]*tScale,conItem[1]*tScale, 20*tScale,13*tScale);
						break;
					}
				}
			break;
			
			case 'fogLevel':
				for(var i=0;i<resDataLength;i++){
					conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];
					switch(resData[i].fogLevel){
						case 1:
							ctx.drawImage(fogIcon, 0,0, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
						case 2:
							ctx.drawImage(fogIcon, 0,64, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
						case 3:
							ctx.drawImage(fogIcon, 0,137, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
						case 4:
							ctx.drawImage(fogIcon, 0,208, 72,58,conItem[0]*tScale,conItem[1]*tScale,14*tScale,11*tScale);
						break;
					}
				}
			break;
			
			case 'vis':
				var visColorArr=['#fff','#c9edfd','#8ee0f8','#7bfc30','#fffd00','#ffb446','#ff5500','#fe0002','#9603ff','#712700'];
				var visColor,itemVis;
				for(var i=0;i<resDataLength;i++){
					if(resData[i].vis==null){
						continue;
					}
					conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];
				    itemVis=(resData[i].vis)/1000;
				    
				    if(itemVis>=30){
				    	visColor=visColorArr[0];
				    }else if(itemVis>=20&&itemVis<30){
				    	visColor=visColorArr[1];
				    }else if(itemVis>=10&&itemVis<20){
				    	visColor=visColorArr[2];
				    }else if(itemVis>=5&&itemVis<10){
				    	visColor=visColorArr[3];
				    }else if(itemVis>=3&&itemVis<5){
				    	visColor=visColorArr[4];
				    }else if(itemVis>=2&&itemVis<3){
				    	visColor=visColorArr[5];
				    }else if(itemVis>=1&&itemVis<2){
				    	visColor=visColorArr[6];
				    }else if(itemVis>=0.5&&itemVis<1){
				    	visColor=visColorArr[7];
				    }else if(itemVis>=0.2&&itemVis<0.5){
				    	visColor=visColorArr[8];
				    }else if(itemVis>=0&&itemVis<0.2){
				    	visColor=visColorArr[9];
				    }
				    
				    if(itemVis>=30){
				    	ctx.fillStyle="#000";
				    }else{
				    	ctx.fillStyle="#fff";
				    }
					ctx.beginPath();
					ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15.8*tScale,0,360);
					ctx.closePath();
					ctx.fill();
					
					ctx.fillStyle=visColor;
					ctx.beginPath();
					ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15*tScale,0,360);
					ctx.closePath();
					ctx.fill();
					
					ctx.fillStyle='#000';
					ctx.font=fontSetting;
					ctx.fillText(itemVis, conItem[0]*tScale, conItem[1]*tScale);
				}
				
			break;
			
			case 'rhu':
				var rhuColorArr=['#00bfff','#00ff00','#40ff00','#a5ff00','#ffff00','#ff8300','#ff0000','#f74602','#f702b5','#f116af','#000'];
				var rhuColor;
				for(var i=0;i<resDataLength;i++){
					if(resData[i].rhu==null){
						continue;
					}
					conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
				    
				    if(resData[i].rhu==100){
				    	rhuColor=rhuColorArr[0];
				    }else if(resData[i].rhu>=90&&resData[i].rhu<100){
				    	rhuColor=rhuColorArr[1];
				    }else if(resData[i].rhu>=80&&resData[i].rhu<90){
				    	rhuColor=rhuColorArr[2];
				    }else if(resData[i].rhu>=70&&resData[i].rhu<80){
				    	rhuColor=rhuColorArr[3];
				    }else if(resData[i].rhu>=60&&resData[i].rhu<70){
				    	rhuColor=rhuColorArr[4];
				    }else if(resData[i].rhu>=50&&resData[i].rhu<60){
				    	rhuColor=rhuColorArr[5];
				    }else if(resData[i].rhu>=40&&resData[i].rhu<50){
				    	rhuColor=rhuColorArr[6];
				    }else if(resData[i].rhu>=30&&resData[i].rhu<40){
				    	rhuColor=rhuColorArr[7];
				    }else if(resData[i].rhu>=20&&resData[i].rhu<30){
				    	rhuColor=rhuColorArr[8];
				    }else if(resData[i].rhu>=10&&resData[i].rhu<20){
				    	rhuColor=rhuColorArr[9];
				    }else if(resData[i].rhu>=0&&resData[i].rhu<10){
				    	rhuColor=rhuColorArr[8];
				    }
				    
				    ctx.fillStyle="#fff";
					ctx.beginPath();
					ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15.8*tScale,0,360);
					ctx.closePath();
					ctx.fill();
					
					ctx.fillStyle=rhuColor;
					ctx.beginPath();
					ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15*tScale,0,360);
					ctx.closePath();
					ctx.fill();
					
					ctx.fillStyle='#000';
					ctx.font=fontSetting;
					ctx.fillText(resData[i].rhu, conItem[0]*tScale, conItem[1]*tScale);
				}
			break;
			
			case 'winSAvg10mi':
				var winColorArr=['#a5ff00','#68d14e','#4ec166','#40a1b5','#4268c5','#5056b9','#544eb1','#52468d'];
				var winColor;
				for(var i=0;i<resDataLength;i++){
					if(resData[i].winSAvg10mi==null){
						continue;
					}
					conItem= fullGeoMap.registerElement(resData[i],resData[i].lon,resData[i].lat,30);
				    resData[i].containerPos=[conItem[0],conItem[1]];//(x,y)
				    if(resData[i].winSAvg10mi==12){
				    	winColor=winColorArr[0];
				    }else if(resData[i].winSAvg10mi>=10&&resData[i].winSAvg10mi<12){
				    	winColor=winColorArr[1];
				    }else if(resData[i].winSAvg10mi>=8&&resData[i].winSAvg10mi<10){
				    	winColor=winColorArr[2];
				    }else if(resData[i].winSAvg10mi>=6&&resData[i].winSAvg10mi<8){
				    	winColor=winColorArr[3];
				    }else if(resData[i].winSAvg10mi>=4&&resData[i].winSAvg10mi<6){
				    	winColor=winColorArr[4];
				    }else if(resData[i].winSAvg10mi>=2&&resData[i].winSAvg10mi<4){
				    	winColor=winColorArr[5];
				    }else if(resData[i].winSAvg10mi>=1&&resData[i].winSAvg10mi<2){
				    	winColor=winColorArr[6];
				    }else if(resData[i].winSAvg10mi>=0&&resData[i].winSAvg10mi<1){
				    	winColor=winColorArr[7];
				    }
				    
				    ctx.fillStyle="#fff";
					ctx.beginPath();
					ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15.8*tScale,0,360);
					ctx.closePath();
					ctx.fill();
					ctx.fillStyle=winColor;
					
					ctx.beginPath();
					ctx.arc(conItem[0]*tScale+10*tScale,conItem[1]*tScale-4*tScale,15*tScale,0,360);
					ctx.closePath();
					ctx.fill();
					
					ctx.fillStyle='#fff';
					var fontSetting=10*tScale+'px sans-seri';
					ctx.font=fontSetting;
					ctx.fillText(resData[i].winSAvg10mi, conItem[0]*tScale, conItem[1]*tScale);
				}
			break;
		}
		
	}
	
//	 气象参数数据获取     end
	//弹出窗口        begin
	function drawWindow(data,ctx){
		var activeSort,activeType,searchData=data;
		ctx.fillStyle='#2e2e2f'
		$(".ele-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeSort=$(this).attr("data-classify");
				activeType=$(this).attr("data-type");
			}
		});
		if((activeType == 'fogLevel' || activeType == 'hazeLevel') && searchData[3][activeType]==0){
			return 
		}
		if(searchData[3][activeType]==undefined){
			return 
		}
		if(activeSort==0){ //空气质量参数
			var fontSetting=10*tScale+'px sans-seri';
			ctx.font=fontSetting;
			ctx.drawImage(envirBgWp,(searchData[0]-104)*tScale,(searchData[1]-84)*tScale,210*tScale,72*tScale);
			ctx.drawImage(rankIcon,(searchData[0]+84)*tScale,(searchData[1]-78)*tScale,14*tScale,14*tScale);
			ctx.fillText("站名："+searchData[3].city+searchData[3].cnty, (searchData[0]-86)*tScale, (searchData[1]-66)*tScale);
			ctx.fillText("时间："+localStorage.airQualityTimeTxt, (searchData[0]-86)*tScale, (searchData[1]-46)*tScale);
			ctx.fillText(activeType+" : "+searchData[3][activeType], (searchData[0]-86)*tScale, (searchData[1]-26)*tScale);
			
			if(activeType=='aqi'){
				if(searchData[3].primaryPollutant==''||searchData[3].primaryPollutant==null){
					searchData[3].primaryPollutant="无";
				}else if(searchData[3].primaryPollutant=="PM25"){
					searchData[3].primaryPollutant="PM2.5"
				}
				ctx.fillText("首污："+searchData[3].primaryPollutant, (searchData[0]+10)*tScale, (searchData[1]-26)*tScale);
			}
			var leftTopX = (searchData[0]-104)*1;
			var leftTopY = (searchData[1]-84)*1;
			
			var rightBottomX = leftTopX+210*1;
			var rightBottomY = leftTopY+72*1;
			
			localStorage.AQleftTopX=leftTopX;
			localStorage.AQleftTopY=leftTopY;
			localStorage.AQrightBottomX=rightBottomX;
			localStorage.AQrightBottomY=rightBottomY;
			
		}else{ //气象参数
			var activeTypeTxt,bg_H, hazeFogLevTxt;
			var fontSetting=10*tScale+'px sans-seri';
			ctx.font=fontSetting;
			switch(activeType){
				case 'fogLevel':
					activeTypeTxt='雾：';
					bg_H=102;
					switch(searchData[3][activeType]){
						case 0:
							hazeFogLevTxt="无";
						break;
						case 1:
							hazeFogLevTxt="雾";
						break;
						case 2:
							hazeFogLevTxt="大雾";
						break;
						case 3:
							hazeFogLevTxt="浓雾";
						break;
						case 4:
							hazeFogLevTxt="强浓雾";
						break;
					}
				break;
				
				case 'hazeLevel':
					activeTypeTxt='霾：';
					bg_H=102;
					switch(searchData[3][activeType]){
						case 0:
							hazeFogLevTxt="无";
						break;
						case 1:
							hazeFogLevTxt="轻度霾";
						break;
						case 2:
							hazeFogLevTxt="中度霾";
						break;
						case 3:
							hazeFogLevTxt="重度霾";
						break;
					}
				break;
				
				case 'vis': 
					bg_H=66;
					activeTypeTxt='能见度：';
				break;
				
				case 'rhu':
					bg_H=66;
					activeTypeTxt='相对湿度：';
				break;
				
				case 'winSAvg10mi':
					bg_H=66;
					activeTypeTxt='风速：'
				break;
			}
			ctx.drawImage(envirBgWp,(searchData[0]-104)*tScale,(searchData[1]-78)*tScale,210*tScale,bg_H*tScale);
			
			ctx.fillText("站名："+searchData[3].city+searchData[3].cnty, (searchData[0]-90)*tScale, (searchData[1]-62)*tScale);
			ctx.fillText("时间："+localStorage.weatherTimeTxt, (searchData[0]-90)*tScale, (searchData[1]-46)*tScale);
			
			var leftTopX = (searchData[0]-104)*1;
			var leftTopY = (searchData[1]-78)*1;
			if(activeType == 'fogLevel' || activeType == 'hazeLevel'){
				ctx.fillText(activeTypeTxt+hazeFogLevTxt, (searchData[0]-90)*tScale, (searchData[1]-30)*tScale);
				ctx.fillText("相对湿度："+searchData[3].rhu, (searchData[0]-90)*tScale, (searchData[1]-14)*tScale);
				ctx.fillText("能见度："+searchData[3].vis, (searchData[0]-90)*tScale, (searchData[1]+4)*tScale);
				
				var rightBottomX=leftTopX+210*1;
				var rightBottomY=leftTopY+108*1;
			}else{
				ctx.drawImage(rankIcon,(searchData[0]+80)*tScale,(searchData[1]-72)*tScale,14*tScale,14*tScale);
				ctx.fillText(activeTypeTxt+searchData[3][activeType], (searchData[0]-90)*tScale, (searchData[1]-30)*tScale);
				var rightBottomX=leftTopX+210*1;
				var rightBottomY=leftTopY+72*1;
			}
			
			localStorage.WPleftTopX=leftTopX;
			localStorage.WPleftTopY=leftTopY;
			localStorage.WPrightBottomX=rightBottomX;
			localStorage.WPrightBottomY=rightBottomY;
		}
		hasWindowFlag = true;
	}
	
	
	
	//弹出窗口        end
	function init() {
		map_w=$("#rainMap").width();
		map_h=$("#rainMap").height();
		$("#zoomLayer").width(map_w).height(map_h)
		
		map_lat_start =24.5;
		map_lon_start =108.6; 
		map_lat_end = 30.3; 
		map_lon_end =114.4;
		
//		$("#mapBox").width(map_w).height(map_h);
		
		cityCan.width=map_w * dip * lv;
		cityCan.height=map_h * dip * lv;
		cityCan.style.width=map_w+'px';
		cityCan.style.height=map_h+'px';
		
		var wrapperHeight = $('#mapWrapper').outerHeight()
		window.FULL_CAN_TOP = -(wrapperHeight - map_h) / 2
		fullCan.style.top = FULL_CAN_TOP + 'px'
		fullCan.width = map_w * dip * lv
		fullCan.height = wrapperHeight * dip * lv
		fullCan.style.width = map_w + 'px'
		fullCan.style.height = wrapperHeight + 'px'
		
		var perLat=Decimal.div(5.8, map_h).toNumber();
		var diffTopLat=Decimal.sub(wrapperHeight, map_h).div(2).mul(perLat).toNumber()
		var initLatMin= Decimal.sub(24.5,diffTopLat);
		var initLatMax=Decimal.add(30.3,diffTopLat);
		
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 0.5, map_w, map_h);
		fullGeoMap = new GeoMapUtil();
		fullGeoMap.init(map_lon_start,map_lon_end,initLatMin,initLatMax, 0.5, map_w, wrapperHeight);
		drawCityName(cityData,1);
	}
	//绘制地理数据
	function drawCityName(data,activeScale){
		var registerElement;
		var size = Math.ceil(10 * dip / activeScale * lv)
		var fontSetting= size +'px sans-seri';
		cityCtx.font=fontSetting;
		cityCtx.clearRect(0,0,cityCan.width,cityCan.height);//	清空画布
		data.forEach(function(item) {
			// console.log(JSON.stringify(item))
			registerElement = geoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			cityCtx.fillText(item.city, item.containerPos[0]*dip * lv, item.containerPos[1]*dip * lv);
		})
	}
	function drawTwoLvData(data,keyName) {
//		if(data.length==0){return}
		var size = Math.ceil(10 * dip * lv)
		var fontSetting= size +'px sans-seri';
		fullCtx.fillStyle = "#3b3b3c"; 
		fullCtx.font=fontSetting;
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		
		data.forEach(function(item) {
			var registerElement = fullGeoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			size = Math.ceil(10 * dip * lv*2)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText('.', item.containerPos[0] * dip * lv + item[keyName].length*size/4.8 , item.containerPos[1]*dip * lv + size/4);
			size = Math.ceil(10 * dip * lv)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText(item[keyName], item.containerPos[0] * dip * lv, item.containerPos[1]*dip * lv);
		})
		fullGeoMap.clear()
	}
	
	function switchDataByType(){
		var activeClassify=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		if(activeClassify==0){
			if(resData.length != 0){
				_switchAirQualityData(resData,activeScale,fullCtx);
			}else{
				var infoData={flag:0,datetime:""};
				airQuality(infoData);
			}
			
		}else{
			if(weatheResData.length != 0){
				_switchWeatherData(weatheResData,activeScale,fullCtx);
			}else{
				var weatherParamsInfoData={flag:0,datetime:""};
				weatherParam(weatherParamsInfoData);
			}
		}
		localStorage.envirRankStationCode='';
		localStorage.envirRankStationName='';
		localStorage.envirActiveSort='';
	}
//	交互   begin
	

	var self = $("#zoomLayer") ;
	$("#rainMap").load(function() {
		init();
//		var infoData={flag:0,datetime:""};
//		airQuality(infoData);
		
		var weatherParamsInfoData={flag:0,datetime:""};
		weatherParam(weatherParamsInfoData)
		
		asyncMapVisualization(cityData, 'cityMv')
		asyncMapVisualization(cntyData, 'cntyMv')
		asyncMapVisualization(townsStationData, 'townsMv')
		
		$("#mapBox").height($(window).width() / $("#rainMap")[0].naturalWidth * $("#rainMap")[0].naturalHeight)
		var isMoved = false
		var	lastSearchObjXY
		self.zoom({
			syncDoms: ['#cityCan','#rainMap'],
			onUpdate: function(x, y, s) {
				if (isMoved) {
					isMoved = false
					return
				}
				fullCan.style.left = (fullCan.offsetLeft - x) + 'px'
				fullCan.style.top = (fullCan.offsetTop - y) + 'px' 
			},
			moved: function(x, y, scale) {
				isMoved = true
				fullCan.style.left = '0px'
				fullCan.style.top = window.FULL_CAN_TOP + 'px'
				activeScale=scale;
				
				if (scale < 1.5) {
					drawCityName(cityData, scale)
					fullCtx.clearRect(0,0,fullCan.width,fullCan.height);
					result = CONSTANT.cityMv.query(Math.abs(x), Math.abs(y), scale) //查询出当前屏幕范围内的数据,并获取当前屏幕范围的经纬度范围
				}
				if(scale > 1.5 && scale <7){
					result = CONSTANT.cntyMv.query(Math.abs(x), Math.abs(y), scale) 
					cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
				}
				if(scale > 7){
					if(CONSTANT.townsMv){
						result = CONSTANT.townsMv.query(Math.abs(x), Math.abs(y), scale) 
						cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
					}
				}
				fullGeoMap = new GeoMapUtil()
				fullGeoMap.init(result.startLon,result.endLon,result.startLat,result.endLat, Decimal.sub(result.endLon, result.startLon).div(10).toNumber(), Number(fullCan.style.width.replace('px', '')), Number(fullCan.style.height.replace('px', '')));
				var activeClassify=parseInt($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
				if(activeClassify==0){
					if(resData.length != 0){
						_switchAirQualityData(resData,activeScale,fullCtx);
					}else{
						fullGeoMap.clear()
						fullCtx.clearRect(0,0,fullCan.width,fullCan.height);
						if(activeScale > 1.5 && activeScale < 7){
							drawTwoLvData(result.data, 'cnty');
						}
						if(activeScale > 7){
							drawTwoLvData(result.data, 'station');
						}
					}
				}else{
					if(weatheResData.length != 0){
						_switchWeatherData(weatheResData,activeScale,fullCtx);
					}else{
						fullGeoMap.clear()
						ctx.clearRect(0,0,fullCan.width,fullCan.height);
						if(activeScale > 1.5 && activeScale < 7){
							drawTwoLvData(result.data, 'cnty');
						}
						if(activeScale > 7){
							drawTwoLvData(result.data, 'station');
						}
					}
				}
				
				if(searchObj){//移动时若存在弹窗 重新计算该弹窗位置并绘制
					lastSearchObjXY= fullGeoMap.registerElement(searchObj[3],searchObj[3].lon,searchObj[3].lat,30);
					drawWindow(lastSearchObjXY,fullCtx);
				}
				
			}
		})
	})
	.attr('src', '../../images/map/a.min.svg')
	
	
	//点击数据弹出对应数据弹窗
	var searchObj=null ,lastSearchObj=null;
	mui("#envir-conent").on("tap","#mapWrapper",function(e){
		lastSearchObj=searchObj;
		searchObj = null;
		var event=window.event||e;
		var locX, locY;
		if(event.pageX){
			locX=event.pageX;
		}else{
			locX=event.detail.changedTouches[0].pageX;
		}
		if(event.pageY){
			locY=event.pageY;
		}else{
			locY=event.detail.changedTouches[0].pageY;
		}
		//屏幕坐标转换成对应画布坐标
		var loc = windowTocanvas(fullCan, locX, locY);
		var x = Decimal.div(loc.x, tScale).toNumber();
		var y = Decimal.div(loc.y, tScale).toNumber();
		
		var activeSort ,activeStationName ,activeStationCode=null;
		searchObj = fullGeoMap.getElementDataByXY(x, y);
		activeSort = Number($(".ele-datehour-option.datehour-option-active").attr("data-classify"));
		if(activeSort ==0){
			var activeleftTopX=Number(localStorage.AQleftTopX);
			var activeleftTopY=Number(localStorage.AQleftTopY);
			var activerightBottomX=Number(localStorage.AQrightBottomX);
			var activerightBottomY=Number(localStorage.AQrightBottomY);
		}else{
			var activeleftTopX=Number(localStorage.WPleftTopX);
			var activeleftTopY=Number(localStorage.WPleftTopY);
			var activerightBottomX=Number(localStorage.WPrightBottomX);
			var activerightBottomY=Number(localStorage.WPrightBottomY);
		}
		//如果地图上存在弹窗并且上一次搜寻到的控件存在并且点击的坐标在上一次的弹窗范围之内，则跳转到对应数据的折线图
		if((x>activeleftTopX)&&(x<activerightBottomX)&&(y>activeleftTopY)&&(y<activerightBottomY) && hasWindowFlag && lastSearchObj != null){
			
			activeStationCode=lastSearchObj[3].stationCode,
			activeStationName=lastSearchObj[3].city+lastSearchObj[3].cnty;
			localStorage.envirRankStationCode=activeStationCode;
			localStorage.envirRankStationName=activeStationName;
			localStorage.envirActiveSort=activeSort;
			var activeType=$(".ele-datehour-option.datehour-option-active").attr("data-type");
			if(activeType == 'hazeLevel' || activeType == 'fogLevel'){
				return
			}
			if(lastSearchObj[3][activeType]==undefined || lastSearchObj[3][activeType]==0 || lastSearchObj[3][activeType]==null){
				lastSearchObj[3][activeType]=null
				return 
			}
			if(activeStationCode==null){
				return
			}
			mui.openWindow({
			    url:'../../web/monitoringOfLive/environmental-chart.html',
			    id: activeStationCode,
			    waiting: {
		            autoShow: false
		        },
		        extras:{
		            name:activeStationName,
		            stationCode: activeStationCode
		        },
				styles: {
					statusbar: {
						background: localStorage.statusbarColor
					}
				}
			});
			return
		}
		
		
		if(searchObj != null) {
			
			//TODO 如果当前已有弹窗  并且落点在弹窗范围内 则不绘制新弹窗  跳转到折线图页面
			if((x>activeleftTopX)&&(x<activerightBottomX)&&(y>activeleftTopY)&&(y<activerightBottomY) && hasWindowFlag){
				
				activeStationCode=lastSearchObj[3].stationCode,
				activeStationName=lastSearchObj[3].city+lastSearchObj[3].cnty;
				localStorage.envirRankStationCode=activeStationCode;
				localStorage.envirRankStationName=activeStationName;
				localStorage.envirActiveSort=activeSort;
				var activeType=$(".ele-datehour-option.datehour-option-active").attr("data-type");
				if(activeType == 'hazeLevel' || activeType == 'fogLevel'){
					return
				}
				if(lastSearchObj[3][activeType]==undefined || lastSearchObj[3][activeType]==0 || lastSearchObj[3][activeType]==null){
					lastSearchObj[3][activeType]=null
					return 
				}
				if(activeStationCode==null){
					return
				}
				mui.openWindow({
				    url:'../../web/monitoringOfLive/environmental-chart.html',
				    id: activeStationCode,
				    waiting: {
			            autoShow: false
			        },
			        extras:{
			            name:activeStationName,
			            stationCode: activeStationCode
			        },
					styles: {
						statusbar: {
							background: localStorage.statusbarColor
						}
					}
				});
				return
			}
			
			if(activeSort==0){
				if(resData.length != 0){
					_switchAirQualityData(resData,activeScale,fullCtx);
					drawWindow(searchObj,fullCtx);
				}
			}else{
				if(weatheResData.length != 0){
					_switchWeatherData(weatheResData,activeScale,fullCtx);
					drawWindow(searchObj,fullCtx);
				}
			}
			
			
		}
		else{
			
			if(activeSort==0){
				if(resData.length != 0){
					_switchAirQualityData(resData,activeScale,fullCtx);
				}
			}else{
				if(weatheResData.length != 0){
					_switchWeatherData(weatheResData,activeScale,fullCtx);
				}
			}
			localStorage.envirRankStationCode='';
			localStorage.envirRankStationName='';
			localStorage.envirActiveSort='';
			hasWindowFlag = false;
		}
	});

	mui("#envir-conent").on("click","#prevTimeBtn",function(){
		var activeClassify;
		$(".ele-datehour-option").each(function(){
			if($(this).hasClass("datehour-option-active")){
				activeClassify=$(this).attr("data-classify");
			}
		});
		
		if(activeClassify==0){
			var nowTime=addHour(localStorage.envirStartTime,-60*60*1000);
			if(nowTime!=localStorage.envirTimeInit){
				$("#nextTimeBtn").show();
			}
			var infoData={flag:1,datetime:nowTime};
			airQuality(infoData);
		}else{
			var nowTime=addHour(localStorage.weatherStartTime,-60*60*1000);
			if(nowTime!=localStorage.weatherTimeInit){
				$("#nextTimeBtn").show();
			}
			var weatherParamsInfoData={flag:1,datetime:nowTime};
			weatherParam(weatherParamsInfoData);
		}
//		envirWindowCtx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
		localStorage.envirRankStationCode='';
		localStorage.envirRankStationName='';
		localStorage.envirActiveSort='';
		
	});
	mui("#envir-conent").on("click","#nextTimeBtn",function(){
		var activeClassify=$(".ele-datehour-option.datehour-option-active").attr("data-classify");
		
		if(parseInt(activeClassify)==0){
			var nowTime=addHour(localStorage.envirStartTime,60*60*1000);
			if(nowTime>localStorage.envirTimeInit){
				$(this).hide();
				return false;
			}
			var infoData={flag:1,datetime:nowTime};
			airQuality(infoData);
		}else{
			var nowTime=addHour(localStorage.weatherStartTime,60*60*1000);
			if(nowTime!=localStorage.weatherTimeInit){
				$("#nextTimeBtn").show();
			}
			var weatherParamsInfoData={flag:1,datetime:nowTime};
			weatherParam(weatherParamsInfoData);
		}
//		envirWindowCtx.clearRect(0,0,envirWindowCan.width,envirWindowCan.height);//清空画布
		localStorage.envirRankStationCode='';
		localStorage.envirRankStationName='';
		localStorage.envirActiveSort='';
		
	});
	
	mui("#envir-conent").on("click",".ele-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		switchDataByType();
	});
	
	mui(".show-info-btn-box").on('click','#environmental-rank-link',function(){
		var activeEleType=$(".ele-datehour-option.datehour-option-active").attr("data-type");
		var activeEleClassify=$(".ele-datehour-option.datehour-option-active").attr("data-classify");
		if(activeEleType=="hazeLevel"||activeEleType=="fogLevel"){
			activeEleType='vis';
		}
		localStorage.activeEleType=activeEleType;
		localStorage.activeEleClassify=activeEleClassify;
		mui.openWindow({
		    url:'../../web/monitoringOfLive/environmental-rank.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	}); 


	
	
//  交互   end
	
//});
