//$(function(){
	var map_lat_start, //底图左上角对应的经度
		map_lon_start, //底图左上角对应的纬度
		map_lat_end, //底图右下角对应的经度
		map_lon_end, //底图右小角对应的纬度
		map_w, //底图宽度
		map_h; //底图高度
	//1、单个站点折线图只做24h的，当前返回时间往后退24h TODO
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var temStainMapCan=document.getElementById("temStainMapCan");//气温色斑图画布
	var temStainMapCtx=temStainMapCan.getContext("2d");
	var temStainImg=document.getElementById("temStainImg");
	
	var geoMap ,fullGeoMap ,lv = 2 ,activeScale = 1;
	var rainImg=document.getElementById("rainMap")
	var dip=window.devicePixelRatio;
	var cityCan=document.getElementById("cityCan");//城市名画布
	var cityCtx=cityCan.getContext('2d');
	var fullCan=document.getElementById("fullCan"); //可视区域画布
	var fullCtx=fullCan.getContext('2d');
	
	
//	默认按降序返回，降序排行时按数组下标从小到大排列即可，升序反之。
//  查询时间(初始化时赋值空字符串即可),info为0时代表初始化

//逐小时气温和24小时变温数据获取  begin
//	var temChangeInfoData={flag:0,datetime:""}; init
	function temAndTemChange24h(infoData){
		geoMap.clear();//清空控件
		temStainMapCtx.clearRect(0,0,temStainMapCan.width,temStainMapCan.height);//	清空画布
		var url="/currentMonitor/tem/temAndTemChange24h.do";
		var dateTime;
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={datetime:dateTime};
		ajaxPost(url,params,_temAndTemChange24hSuccess,infoData);
	}

	//存放逐小时和24h变温数据的对象
	var temChangeSwitchData={},temChangeImgArr;
	function _temAndTemChange24hSuccess(data,infoData){
		if(data.body.recordNum==0){
			mui.alert('暂无数据！',"提示","确定",function(){});
			return false;
		}
		var temChangeTime;
		if(infoData.flag==0){
			temChangeTime=data.body.datetime;
			localStorage.temChangeTimeInit=temChangeTime;
		}else{
			temChangeTime=infoData.datetime;
		}
		$('#temShowRealtime').text(temChangeTime.substr(5,2)+"月"+temChangeTime.substr(8,2)+"日"+temChangeTime.substr(11,2)+"时");
		localStorage.temChangeTime=temChangeTime;
		var temChangeData=data.body.data;
		var temChangeLength=temChangeData.length;
		var temChangeNationArr=[],temChangeBackboneArr=[],temChangeAreaArr=[];
		// var activeImgSrc,conItem;定义后无引用
		
		for (var i = 0; i < temChangeLength; i++) {
			switch(parseInt(temChangeData[i].level)){
				case 1:
					temChangeNationArr.push(temChangeData[i]);
				break;
				
				case 2:
					temChangeBackboneArr.push(temChangeData[i]);
					temChangeAreaArr.push(temChangeData[i]);
				break;
				
				case 3:
					temChangeAreaArr.push(temChangeData[i]);
				break;
			}
		}
		var transMitTemChangeData={};
		temChangeSwitchData.temChangeNationData=temChangeNationArr;
		temChangeSwitchData.temChangeBackboneData=temChangeBackboneArr;
		temChangeSwitchData.temChangeAreaData=temChangeAreaArr;
		
		asyncMapVisualization(temChangeSwitchData.temChangeNationData, 'temChangeNationMv')
		asyncMapVisualization(temChangeSwitchData.temChangeBackboneData, 'temChangeBackboneMv')
		asyncMapVisualization(temChangeSwitchData.temChangeAreaData, 'temChangeAreaMv')
		
		var activeKeyData=$("#rainSel").find('option:checked').attr('data-keyData');
		var activeDataType=$(".tem-datehour-option.datehour-option-active").attr("data-type");
		var activeDataKeyName = 'temChange'+activeKeyData;
		temChangeImgArr = data.body.imgPath;
		_switchTemCountData(temChangeSwitchData[activeDataKeyName],activeDataType);
		_switchTemChangeData(temChangeSwitchData[activeDataKeyName],activeScale, fullCtx);
		_switchTemImg(temChangeImgArr,activeScale,temStainMapCtx);
	}

	
	function _switchTemChangeData(data,activeScale,ctx){
		
//		if(!fullGeoMap){
//			fullGeoMap = new GeoMapUtil();
//			fullGeoMap.init(map_lon_start,map_lon_end,initLatMin,initLatMax, 2, map_w, wrapperHeight);
//		}
		fullGeoMap.clear()
		ctx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		var size = Math.ceil(10 * dip * lv * 1.4)
		var fontSetting= size +'px sans-seri';
		ctx.font=fontSetting;
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制地理数据
		}
		if(data.length==0){
			return
		}
		
		var conItem ,activeDataLength;
		var activeDataType=$(".tem-change-datehour-option.datehour-option-active").attr('data-type');
		var activeData=_switchTemCanvasData(data);
		// console.log(activeData)
		activeDataLength=activeData.length;
		for(var i = activeDataLength - 1; i >= 0; i--){
			(function(i) {
				requestAnimationFrame(function() {
					var item = activeData[i]
					conItem= fullGeoMap.registerElement(item,item.lon,item.lat,50);
				    item.containerPos=[conItem[0] * dip * lv,conItem[1] * dip * lv + size];
				    if(item[activeDataType]!=null){
				    	ctx.fillText(item[activeDataType], item.containerPos[0], item.containerPos[1]);
				    }
				})
			})(i)
		}
	}

//逐小时气温和24小时变温数据获取   end 

//日最高气温和最低气温数据获取  begin
//	var temMaxAndMinInfoData={flag:0,datetime:""};   init
	function temMaxAndMin(temMaxAndMinInfoData){
		geoMap.clear();//清空控件
		temStainMapCtx.clearRect(0,0,temStainMapCan.width,temStainMapCan.height);//	清空画布
		var url="/currentMonitor/tem/temMaxAndMin.do";
		var datetime;
		if(temMaxAndMinInfoData.flag==0){
			datetime='';
		}else{
			datetime=temMaxAndMinInfoData.datetime;
		}
		var params={datetime:datetime};
		ajaxPost(url,params,_temMaxAndMinSuccess,temMaxAndMinInfoData);
	}

	//高低温数据存放在temMaxAndMinSwitchData
	var temMaxAndMinSwitchData={}, temMaxAndMinImgArr;
	var temMaxAndMinTime , startTemMaxTime;
	function _temMaxAndMinSuccess(data,temMaxAndMinInfoData){
		if(data.body.recordNum==0){
			temMaxAndMinTime = data.body.datetime;
//			startTemMaxTime= addHour(temMaxAndMinTime,-23 * 60*60*1000)
//			$('#temShowRealtime').text(temMaxAndMinTime.substr(5,2)+"月"+temMaxAndMinTime.substr(8,2)+"日" +startTemMaxTime.substr(11,2)+'时'+'-'+temMaxAndMinTime.substr(11,2)+'时');
			startTemMaxTime= addHour(temMaxAndMinTime,-24*60*60*1000);
			$('#temShowRealtime').text(startTemMaxTime.substr(5,2)+"月"+startTemMaxTime.substr(8,2)+"日08时-"+temMaxAndMinTime.substr(5,2)+"月"+temMaxAndMinTime.substr(8,2)+"日08时");
			localStorage.temMaxAndMinTime=temMaxAndMinTime;
			mui.alert('暂无数据！',"提示","确定",function(){});
			return false;
		}
		if(temMaxAndMinInfoData.flag==0){
			temMaxAndMinTime=data.body.datetime;
			localStorage.temMaxAndMinTimeInit=temMaxAndMinTime;
		}else{
			temMaxAndMinTime=temMaxAndMinInfoData.datetime;
		}
		//最高最低气温接口返回的是昨天的数据(时间)23:00
		startTemMaxTime= addHour(temMaxAndMinTime,-23 * 60*60*1000)
		console.log(startTemMaxTime)
		$('#temShowRealtime').text(temMaxAndMinTime.substr(5,2)+"月"+temMaxAndMinTime.substr(8,2)+"日" +startTemMaxTime.substr(11,2)+'时'+'-'+temMaxAndMinTime.substr(11,2)+'时');
		localStorage.temMaxAndMinTime=temMaxAndMinTime;
		var temMaxAndMinData=data.body.data;
		var temMaxAndMinLength=temMaxAndMinData.length;
		var temMaxAndMinNationArr=[],temMaxAndMinBackboneArr=[],temMaxAndMinAreaArr=[];
		
		for (var i = 0; i < temMaxAndMinLength; i++) {
		    conItem = geoMap.registerElement(temMaxAndMinData[i].pre, temMaxAndMinData[i].lon, temMaxAndMinData[i].lat,30);
		    temMaxAndMinData[i].containerPos=[conItem[0],conItem[1]];
			switch(parseInt(temMaxAndMinData[i].level)){
				case 1:
					temMaxAndMinNationArr.push(temMaxAndMinData[i]);
				break;
				
				case 2:
					temMaxAndMinBackboneArr.push(temMaxAndMinData[i]);
					temMaxAndMinAreaArr.push(temMaxAndMinData[i]);
				break;
				
				case 3:
					temMaxAndMinAreaArr.push(temMaxAndMinData[i]);
				break;
			}
		}
		temMaxAndMinSwitchData.temMaxAndMinNationData=temMaxAndMinNationArr;
		temMaxAndMinSwitchData.temMaxAndMinBackboneData=temMaxAndMinBackboneArr;
		temMaxAndMinSwitchData.temMaxAndMinAreaData=temMaxAndMinAreaArr;
		temMaxAndMinSwitchData.imgPathArr=data.body.imgPath;
		
		asyncMapVisualization(temMaxAndMinSwitchData.temMaxAndMinNationData, 'temMaxNationMv')
		asyncMapVisualization(temMaxAndMinSwitchData.temMaxAndMinBackboneData, 'temMaxBackboneMv')
		asyncMapVisualization(temMaxAndMinSwitchData.temMaxAndMinAreaData, 'temMaxAreaMv')
		
		var activeKeyData=$("#rainSel").find('option:checked').attr('data-keyData');
		var activeDataType=$(".tem-datehour-option.datehour-option-active").attr("data-type");
		var activeDataKeyName = 'temMaxAndMin' + activeKeyData;
		temMaxAndMinImgArr = data.body.imgPath;
		_switchTemMaxAndMinData(temMaxAndMinSwitchData[activeDataKeyName],activeScale, fullCtx);
		_switchTemImg(temMaxAndMinImgArr,activeScale,temStainMapCtx);
		_switchTemCountData(temMaxAndMinSwitchData[activeDataKeyName],activeDataType);
	}
	function _switchTemImg(data,activeScale,ctx){
		ctx.clearRect(0,0,temStainMapCan.width,temStainMapCan.height);
		var activeImgSrc=parseInt($(".tem-datehour-option.datehour-option-active").attr("data-src"));
		if (data) {
			;(function(url){
				var drawImgConItemLeftTop=geoMap.registerElement('temStainImg',108.55,30.36,0);//108.52,30.4,114.48,24.4
				var drawImgConItemRightBottom=geoMap.registerElement('temStainImg',114.49,24.39,0);
				var drawImgWidth=drawImgConItemRightBottom[0]-drawImgConItemLeftTop[0];
				var drawImgHeight=drawImgConItemRightBottom[1]-drawImgConItemLeftTop[1];
				var img = new Image();
	    		img.src = url;
	    		img.onload = function() {
	    			temStainMapCtx.drawImage($('<img src='+ url +'>')[0],drawImgConItemLeftTop[0],drawImgConItemLeftTop[1],drawImgWidth,drawImgHeight);
	    		}
			})(data[activeImgSrc]);
		}
	}

	function _switchTemMaxAndMinData(data,activeScale,ctx){
//		startTemMaxTime= addHour(temMaxAndMinTime,-23*60*60*1000);
//		$('#temShowRealtime').text(temMaxAndMinTime.substr(5,2)+"月"+temMaxAndMinTime.substr(8,2)+"日" +startTemMaxTime.substr(11,2)+'时'+'-'+temMaxAndMinTime.substr(11,2)+'时');
		startTemMaxTime= addHour(temMaxAndMinTime,-24*60*60*1000);
		$('#temShowRealtime').text(startTemMaxTime.substr(5,2)+"月"+startTemMaxTime.substr(8,2)+"日08时-"+temMaxAndMinTime.substr(5,2)+"月"+temMaxAndMinTime.substr(8,2)+"日08时");
		if(!fullGeoMap){
			fullGeoMap = new GeoMapUtil();
			fullGeoMap.init(map_lon_start,map_lon_end,initLatMin,initLatMax, 2, map_w, wrapperHeight);
		}
//		$('#temShowRealtime').text();
		ctx.clearRect(0,0,fullCan.width,fullCan.height);
		var size = Math.ceil(10 * dip * lv * 1.4)
		var fontSetting= size +'px sans-seri';
		ctx.font=fontSetting;
		
		if(activeScale > 1.5 && activeScale < 7){
			drawTwoLvData(result.data, 'cnty');//绘制地理数据
		}
		if(activeScale > 7){
			drawTwoLvData(result.data, 'station');//绘制地理数据
		}
		
		fullGeoMap.clear();//清空控件
		var conItem;
		var activeLevel=parseInt($("#rainSel").val());
		var activeDataType=$(".max-and-min-datehour-option.datehour-option-active").attr('data-type');
		var activeData=_switchTemCanvasData(data),activeDataLength;
		activeDataLength=activeData.length;
		for(var i = activeDataLength - 1; i >= 0; i--){
			(function(i) {
				requestAnimationFrame(function() {
					var item = activeData[i]
						conItem= fullGeoMap.registerElement(item.pre,item.lon,item.lat,50);
					    item.containerPos=[conItem[0] * dip * lv,conItem[1] * dip * lv + size];
				    if(item[activeDataType] != null){
				    	ctx.fillText(item[activeDataType], item.containerPos[0], item.containerPos[1]);
				    }
				})
			})(i)
		}for(var i = activeDataLength - 1; i >= 0; i--){
			(function(i) {
				requestAnimationFrame(function() {
					var item = activeData[i]
						conItem= fullGeoMap.registerElement(item.pre,item.lon,item.lat,50);
					    item.containerPos=[conItem[0] * dip * lv,conItem[1] * dip * lv + size];
				    if(item[activeDataType] != null){
				    	ctx.fillText(item[activeDataType], item.containerPos[0], item.containerPos[1]);
				    }
				})
			})(i)
		}
	}
	//日最高气温和最低气温数据获取     end
	
	/**
	 * 切换显示
	 * @param {Array} data 数据源
	 */
	function _switchTemCountData(data,activeDataType){
		var pickedRanges = pickRanges(ranges,activeDataType);
		dataFilter(pickedRanges,data,activeDataType);
		if (!currentChange) {
			renderRainfallTable(pickedRanges)
		}
		var activeKeyData=$(".datehour-option-active").attr('data-type');
		var calcResult=dataCalc(data,activeKeyData);
		$("#avgRainfallData").text(calcResult.avg);
		if(pickedRanges.temRank==="最大值"){
			$("#maxRainfallData").text(calcResult.max);
		}else{
			$("#maxRainfallData").text(calcResult.min);
		}
	}
	
	function _switchTemCanvasData(data){
		var activeDataType=$(".tem-datehour-option.datehour-option-active").attr("data-type");
		var index=$("#rainfallSel").val();
		if (index || index == 0) {
			var pickedRanges = pickRanges(ranges,activeDataType);
			dataFilter(pickedRanges,data,activeDataType);
			// console.log(pickedRanges.temCanvasData[index].items)
			return pickedRanges.temCanvasData[index].items;
		}
		return data
	}

	function init() {
		var wrapperHeight = $('#mapWrapper').outerHeight()
		map_w=$("#rainMap").width();
		map_h=$("#rainMap").height();
		$("#handleLayer").width(map_w).height(map_h)
		map_lat_start =24.5;
		map_lon_start =108.65; 
		map_lat_end = 30.25; 
		map_lon_end =114.4;
		
		temStainMapCan.width=map_w;//给canvas画布赋值宽高
		temStainMapCan.height=map_h;
		
		cityCan.width=map_w * dip * lv;
		cityCan.height=map_h * dip * lv;
		cityCan.style.width=map_w+'px';
		cityCan.style.height=map_h+'px';
		fullCan.width = map_w * dip * lv
		fullCan.height = wrapperHeight * dip * lv
		fullCan.style.width = map_w + 'px'
		fullCan.style.height = wrapperHeight + 'px'
		
		var perLat=Decimal.div(5.8, map_h).toNumber();
		var diffTopLat=Decimal.sub(wrapperHeight, map_h).div(2).mul(perLat).toNumber()
		var initLatMin= Decimal.sub(24.5,diffTopLat);
		var initLatMax=Decimal.add(30.3,diffTopLat);
		window.FULL_CAN_TOP = -(wrapperHeight - map_h) / 2
		fullCan.style.top = FULL_CAN_TOP + 'px'
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 2, map_w, map_h);
		fullGeoMap = new GeoMapUtil();
		fullGeoMap.init(map_lon_start,map_lon_end,initLatMin,initLatMax, 2, map_w, wrapperHeight);
		drawCityName(cityData,1);
	}
	//意义待查
	function zoom(){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(parseInt(activeOpt)==1){
			if(localStorage.temMaxAndMinTime){
				var nowMaxAndMinTime=localStorage.temMaxAndMinTime;
				$('#temShowRealtime').text(nowMaxAndMinTime.substr(5,2)+"月"+nowMaxAndMinTime.substr(8,2)+"日");
			}
			if(JSON.stringify(temMaxAndMinSwitchData)!='{}'){
				_switchTemMaxAndMinData(temMaxAndMinSwitchData, activeScale, fullCtx);
			}else{
				var temMaxAndMinInfoData={flag:0,datetime:""};
				temMaxAndMin(temMaxAndMinInfoData);
			}
		}else{
			if(localStorage.temChangeTime){
				var nowTemChangeTime=localStorage.temChangeTime;
				$('#temShowRealtime').text(nowTemChangeTime.substr(5,2)+"月"+nowTemChangeTime.substr(8,2)+"日"+nowTemChangeTime.substr(11,2)+"时");
			}
			if(JSON.stringify(temChangeSwitchData)!='{}'){
				_switchTemChangeData(temChangeSwitchData ,activeScale, fullCtx);
			}else{
				var temChangeInfoData={flag:0,datetime:""};
				temAndTemChange24h(temChangeInfoData);
			}
		}
	}
	//绘制市级地理数据
	function drawCityName(data,activeScale){
		var registerElement;
		var size = Math.ceil(10 * dip / activeScale * lv)
		var fontSetting= size +'px sans-seri';
		cityCtx.font=fontSetting;
		cityCtx.clearRect(0,0,cityCan.width,cityCan.height);//	清空画布
		data.forEach(function(item) {
			registerElement = geoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			cityCtx.fillText(item.city, item.containerPos[0]*dip * lv, item.containerPos[1]*dip * lv);
		})
	}
	//绘制县、乡级地理数据
	function drawTwoLvData(data,keyName) {
		var size = Math.ceil(10 * dip * lv)
		var fontSetting= size +'px sans-seri';
		fullCtx.fillStyle = "#3b3b3c"; 
		fullCtx.font=fontSetting;
		fullCtx.clearRect(0,0,fullCan.width,fullCan.height);//	清空画布
		data.forEach(function(item) {
			var registerElement = fullGeoMap.registerElement(item, item.lon, item.lat, 30);
			item.containerPos=[registerElement[0],registerElement[1]];
			size = Math.ceil(10 * dip * lv*2)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText('.', item.containerPos[0] * dip * lv + item[keyName].length*size/4.8 , item.containerPos[1]*dip * lv + size/4);
			size = Math.ceil(10 * dip * lv)
			fontSetting= size +'px sans-seri';
			fullCtx.font=fontSetting;
			fullCtx.fillText(item[keyName], item.containerPos[0] * dip * lv, item.containerPos[1]*dip * lv);
		})
	}
	//根据当前选择站点级别与气温类型查询对应数据
	/**
	 * activeOpt:data-sort的值  高低气温1，逐小时和变温是0
	 * activeKeyData： NationData BackboneData AreaData
	 * @param {Object} handleType change为直接选择站点未对地图进行操作 
	 */	
	function _switchTemData(handleType){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");//1和0 接口类型
		var activeKeyData=$("#rainSel").find('option:checked').attr('data-keyData');//NationData   国家站 区域站
		var activeDataType=$(".tem-datehour-option.datehour-option-active").attr("data-type");//tem  最高温 逐小时等 数据字段
		//高低温时
		if(parseInt(activeOpt)==1){
			activeDataKeyName = 'temMaxAndMin' + activeKeyData;
			//之前存储过高低温时间，取出时间并显示
			if(localStorage.temMaxAqndMinTime){
				var nowMaxAndMinTime=localStorage.temMaxAndMinTime;
				$('#temShowRealtime').text(nowMaxAndMinTime.substr(5,2)+"月"+nowMaxAndMinTime.substr(8,2)+"日");
			}
			if(handleType=='change'){
				if(temMaxAndMinSwitchData[activeDataKeyName]){
					_switchTemCountData(temMaxAndMinSwitchData[activeDataKeyName],activeDataType);
					_switchTemImg(temMaxAndMinImgArr,activeScale,temStainMapCtx);
					_switchTemMaxAndMinData(temMaxAndMinSwitchData[activeDataKeyName],activeScale, fullCtx);
				}else{
					var temMaxAndMinInfoData={flag:0,datetime:""};
					temMaxAndMin(temMaxAndMinInfoData,activeScale, fullCtx);
				}
			}else{
				if(temResMaxData != undefined){
					_switchTemCountData(temResMaxData,activeDataType)
					_switchTemMaxAndMinData(temResMaxData,activeScale, fullCtx);
				}else if(temMaxAndMinSwitchData[activeDataKeyName]){
					_switchTemCountData(temMaxAndMinSwitchData[activeDataKeyName],activeDataType)
					_switchTemImg(temMaxAndMinImgArr,activeScale,temStainMapCtx);
					_switchTemMaxAndMinData(temMaxAndMinSwitchData[activeDataKeyName],activeScale, fullCtx);
				}else{
					var temMaxAndMinInfoData={flag:0,datetime:""};
					temMaxAndMin(temMaxAndMinInfoData,activeScale, fullCtx);
				}
			}
		}else{
			activeDataKeyName = 'temChange' + activeKeyData;
			if(localStorage.temChangeTime){
				var nowTemChangeTime=localStorage.temChangeTime;
				$('#temShowRealtime').text(nowTemChangeTime.substr(5,2)+"月"+nowTemChangeTime.substr(8,2)+"日"+nowTemChangeTime.substr(11,2)+"时");
			}
			if(handleType=='change'){
				if(temChangeSwitchData[activeDataKeyName]){
					_switchTemCountData(temChangeSwitchData[activeDataKeyName],activeDataType)
					_switchTemImg(temChangeImgArr,activeScale,temStainMapCtx);
					_switchTemChangeData(temChangeSwitchData[activeDataKeyName],activeScale, fullCtx);
				}else{
					var temChangeInfoData={flag:0,datetime:""};
					temAndTemChange24h(temChangeInfoData);
				}
			}else{
				if(temResChangeData!= undefined){
					_switchTemCountData(temResChangeData,activeDataType)
					_switchTemChangeData(temResChangeData,activeScale, fullCtx);
				}else if(temChangeSwitchData[activeDataKeyName]){
					_switchTemCountData(temChangeSwitchData[activeDataKeyName],activeDataType)
					_switchTemImg(temChangeImgArr,activeScale,temStainMapCtx);
					_switchTemChangeData(temChangeSwitchData[activeDataKeyName],activeScale, fullCtx);
				}else{
					var temChangeInfoData={flag:0,datetime:""};
					temAndTemChange24h(temChangeInfoData);
				}
			}
			
		}
		currentChange = false
	}
	
	
	
	//	交互  begin 
	
  //TODO 
  	var self = $("#handleLayer") ,temResMaxData,temResChangeData;
	$("#rainMap").load(function() {
		init();
		if(geoMap){
			var temChangeInfoData={flag:0,datetime:""};
			temAndTemChange24h(temChangeInfoData);
		}
		asyncMapVisualization(cityData, 'cityMv')
		asyncMapVisualization(cntyData, 'cntyMv')
		asyncMapVisualization(townsStationData, 'townsMv')

		var xtype=geoMap.xtype;//X轴向一像素与经度换算
		var ytype=geoMap.ytype;
		
		$("#mapBox").height($(window).width() / $("#rainMap")[0].naturalWidth * $("#rainMap")[0].naturalHeight)
		
		var isMoved = false
		self.zoom({
			syncDoms: ['#temStainMapCan', '#cityCan','#rainMap'],
			onUpdate: function(x, y, s) {
				if (isMoved) {
					isMoved = false
					return
				}
				fullCan.style.left = (fullCan.offsetLeft - x) + 'px'
				fullCan.style.top = (fullCan.offsetTop - y) + 'px' 
			},
			moved: function(x, y, scale) {
				isMoved = true
				fullCan.style.left = '0px'
				fullCan.style.top = window.FULL_CAN_TOP + 'px'
				activeScale=scale;
				
				if (scale < 1.5) {
					drawCityName(cityData, scale)
					fullCtx.clearRect(0,0,fullCan.width,fullCan.height);
					result = CONSTANT.cityMv.query(Math.abs(x), Math.abs(y), scale) //查询出当前屏幕范围内的数据
				}
				if(scale > 1.5 && scale <7){
					result = CONSTANT.cntyMv.query(Math.abs(x), Math.abs(y), scale) 
					cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
				}
				if(scale > 7){
					if(CONSTANT.townsMv){
						result = CONSTANT.townsMv.query(Math.abs(x), Math.abs(y), scale) 
						cityCtx.clearRect(0,0,cityCan.width,cityCan.height)
					}
				}
				
				fullGeoMap = new GeoMapUtil()
				fullGeoMap.init(result.startLon,result.endLon,result.startLat,result.endLat, Decimal.sub(result.endLon, result.startLon).div(10).toNumber(), Number(fullCan.style.width.replace('px', '')), Number(fullCan.style.height.replace('px', '')));
					
				var activeLevel=parseInt($("#rainSel").val());
				var activeSelMv=$("#rainSel").find('option:checked').attr('data-mv');
				var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
				var activeStationKey;
				if(parseInt(activeOpt)==1){
					activeStationKey='temMax'
					temResMaxData= CONSTANT[activeStationKey+activeSelMv].query(Math.abs(x), Math.abs(y), scale).data; 
				}else{
					activeStationKey='temChange'
					temResChangeData= CONSTANT[activeStationKey+activeSelMv].query(Math.abs(x), Math.abs(y), scale).data; 
				}
				
				if(parseInt(activeOpt)==1){
					_switchTemMaxAndMinData(temResMaxData,activeScale, fullCtx);
				}else{
					_switchTemChangeData(temResChangeData,activeScale, fullCtx);
				}
			
			}
		})
	})
	.attr('src', '../../images/map/a.min.svg')
  
  	
  	//筛选站点 
	$("#rainSelTxt").text($("#rainSel").find("option:checked").text());
	$("#rainSel").on("change",function(){
		var activeTxt=$(this).find("option:checked").text();
		$("#rainSelTxt").text(activeTxt);
		_switchTemData('change')
	});
	
	
	//筛选气温过滤条件
	var currentChange=false;
	$("#rainfallSel").on("change",function(){
		currentChange=true;
		console.log('value', $(this).val())
		var activeTxt=$(this).find("option:checked").text();
		$("#rainfallSelTxt").text(activeTxt);
		$("#rainfallSel").val($(this).val())
		_switchTemData('change')
	});


	//点击切换 逐小时/最高/最低/24小时变温
	$("#tem-datehour-box").on("click",".tem-datehour-option",function(event){
		event.stopPropagation();
		var activeDataKeyName;
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		_switchTemData('click')
		if(parseInt(activeOpt)==1){
			_switchTemImg(temMaxAndMinImgArr,activeScale,temStainMapCtx);
		}else{
			_switchTemImg(temChangeImgArr,activeScale,temStainMapCtx);
		}
		
	});


	//点击弹出时间选择器
	// var day=new Date();
	// var dtPicker = new mui.DtPicker({type:'hour',"endDate":day}); //年月日时
	// var dPicker = new mui.DtPicker({type:'date',"endDate":day}); //年月日时
	var dtPicker = new mui.DtPicker({type:'hour'}); //年月日时
	var dPicker = new mui.DtPicker({type:'date'}); //年月日时
	// dtPicker.setSelectedValue("2018-09-25 14:00:00")
	// dPicker.setSelectedValue("2018-09-25")
	$(".show-info-realtime-box").click(function(){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(activeOpt==1){
			dPicker.show(function(items){
				var nowMaxAndMinTime=items.text+' 08:00:00';
				if(nowMaxAndMinTime>localStorage.temMaxAndMinTimeInit){
					mui.alert('已经是最新数据！',"提示","确定",function(){});
					return false;
				}
				var temMaxAndMinInfoData={flag:1,datetime:nowMaxAndMinTime};
				temMaxAndMin(temMaxAndMinInfoData);
			});
		}else{
			dtPicker.show(function(items){
				var nowTemChangeTime=items.text+':00:00';
				if(nowTemChangeTime>localStorage.temChangeTimeInit){
					mui.alert('已经是最新数据！',"提示","确定",function(){});
					return false;
				}
				var temChangeInfoData={flag:1,datetime:nowTemChangeTime};
				temAndTemChange24h(temChangeInfoData);
			});
		}
	});


	
	// 前后时次     最高和最低温加减为一天  小时和2h变温为加减一小时
	$("#temPrevBtn").on("click",function(){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(activeOpt==1){
			var nowMaxAndMinTime=addHour(localStorage.temMaxAndMinTime,-24*60*60*1000);
			if(nowMaxAndMinTime!=localStorage.temMaxAndMinTimeInit){
//				$("#temNextBtn").show();
			}
			var temMaxAndMinInfoData={flag:1,datetime:nowMaxAndMinTime};
			temMaxAndMin(temMaxAndMinInfoData);
		}else{
			var nowTemChangeTime=addHour(localStorage.temChangeTime,-60*60*1000);
			if(nowTemChangeTime!=localStorage.temChangeTimeInit){
//				$("#temNextBtn").show();
			}
			var temChangeInfoData={flag:1,datetime:nowTemChangeTime};
			temAndTemChange24h(temChangeInfoData);
		}
	});
	$("#temNextBtn").on("click",function(){
		var activeOpt=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		if(activeOpt==1){
			var nowMaxAndMinTime=addHour(localStorage.temMaxAndMinTime,24*60*60*1000);
			if(nowMaxAndMinTime>localStorage.temMaxAndMinTimeInit){
//				$(this).hide();
				mui.alert('已经是最新数据！',"提示","确定",function(){});
				return false;
			}
			var temMaxAndMinInfoData={flag:1,datetime:nowMaxAndMinTime};
			temMaxAndMin(temMaxAndMinInfoData);
		}else{
			var nowTemChangeTime=addHour(localStorage.temChangeTime,60*60*1000);
			if(nowTemChangeTime>localStorage.temChangeTimeInit){
//				$(this).hide();
				mui.alert('已经是最新数据！',"提示","确定",function(){});
				return false;
			}
			var temChangeInfoData={flag:1,datetime:nowTemChangeTime};
			temAndTemChange24h(temChangeInfoData);
		}
	});
	mui(".show-info-btn-box").on('click','#tem-rank-link',function(){
		var activeTemType=$(".tem-datehour-option.datehour-option-active").attr("data-type");
		var activeTemSort=$(".tem-datehour-option.datehour-option-active").attr("data-sort");
		localStorage.activeTemType=activeTemType;
		localStorage.activeTemSort=activeTemSort;
		localStorage.temActiveStationType = $('#rainSel').val()
		mui.openWindow({
		    url:'../../web/monitoringOfLive/tem-ranking.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			}
		});
	}); 

	var ranges=[{
		dataType:'temChange24h',
		content:{
			temCanvasData:[
			{				text:'全显示',		min:-99,			max:99			},
			{				text:'≤-12°C',		min:-99,			max:-12			},
			{				text:'≤-8°C',			min:-99,			max:-8			},
			{				text:'≤-4°C',			min:-99,			max:-4			},
			{				text:'≥4°C',			min:4,				max:99			},
			{				text:'≥8°C',			min:8,				max:99			},
			{				text:'≥12°C',			min:12,				max:99			},
			{				text:'全不显示',		min:500,			max:501			},
			],
			temRank:'最大值',
			temCountData:[
				{				text:'-10~-5.1°C',		min:-10,			max:-5.1			},
				{				text:'-5~-0.1°C',			min:-5,				max:-0.1			},
				{				text:'0~4.9°C',				min:0,				max:4.9			},
				{				text:'5~10°C',			min:5,				max:10			}
			]
		}},{
		dataType:'',
		content:[{
			activeMouth:['11','12','01','02','03'],
			temCanvasData:[
				{				text:'全显示',		min:-99,			max:99			},
				{				text:'≤-4°C',			min:-99,			max:-4			},
				{				text:'≤-2°C',			min:-99,			max:-2			},
				{				text:'≤0°C',			min:-99,			max:0			},
				{				text:'≤2°C',			min:-99,			max:2			},
				{				text:'全不显示',		min:500,			max:501			}
			],
			temRank:'最小值',
			temCountData:[
				{				text:'-4.1°C以下',	min:-99,			max:-4.1			},
				{				text:'-4~-2.1°C',		min:-4,				max:-2.1			},
				{				text:'-2~-0.1°C',		min:-2,				max:-0.1			},
				{				text:'0~1.9°C',			min:0,				max:1.9			},
				{				text:'2°C以上',		min:2,				max:99			}
			]},{
			activeMouth:['05','06','07','08','09'],
			temCanvasData:[
				{				text:'全显示',		min:-99,			max:99			},
				{				text:'≥30°C',			min:30,			max:99			},
				{				text:'≥35°C',			min:35,				max:99			},
				{				text:'≥37°C',			min:37,				max:99			},
				{				text:'≥40°C',			min:40,				max:99			},
				{				text:'全不显示',		min:500,			max:501			}
			],
			temRank:'最大值',
			temCountData:[
				{				text:'29.9°C以下',	min:-99,			max:29.9			},
				{				text:'30~34.9°C',		min:30,			max:34.9			},
				{				text:'35~36.9°C',		min:35,				max:36.9			},
				{				text:'37~39.9°C',		min:37,				max:39.9			},
				{				text:'40°C以上',	min:40,				max:99			}
			]},{
			activeMouth:['04','10'],
			temCanvasData:[
				{				text:'全显示',		min:-99,			max:99			},
				{				text:'≤10°C',			min:-99,			max:10			},
				{				text:'≥20°C',			min:20,				max:99			},
				{				text:'≥30°C',			min:30,				max:99			},
				{				text:'≥35°C',			min:35,				max:99			},
				{				text:'全不显示',		min:500,			max:501			}
			],
			temRank:'最大值',
			temCountData:[
				{				text:'9.9°C以下',	min:-99,			max:9.9			},
				{				text:'10~19.9°C',		min:10,				max:19.9			},
				{				text:'20~29.9°C',		min:20,				max:29.9			},
				{				text:'30~34.9°C',		min:30,				max:34.9			},
				{				text:'35°C以上',	min:35,				max:99			}
			]}
	]		
	}
	]
	

	/**
	 * 数据区间过滤方法
	 * @param {object} ranges 过滤条件数组 第一组返回结果存储在ranges[0].item中
	 * @param {object} data	待过滤数据源 
	 * @param {string} key 过滤数据键名
	 */
	function dataFilter(ranges, data, key) {
		var result = ranges;
		result.temCountData.forEach(function(el) { el.items = []})
		result.temCanvasData.forEach(function(el) { el.items = []})
		data.forEach(function(item){
				result.temCountData.some(function(el) {
						var number = Number(item[key] === null ? NaN : item[key])
						if (number >= el.min && number <= el.max) {
								el.items.push(item)
								// return true
						}
				})
				result.temCanvasData.some(function(el) {
					var number = Number(item[key] === null ? NaN : item[key])
					if (number >= el.min && number <= el.max) {
							el.items.push(item)
							// return true
					}
			})
		})
		return result
	}
	
	
		/**
	 * 选择筛选数据源,返回相应的数组
	 * @param {Object} data 筛选数据源
	 * @param {Number} type temChange24h等
	 */
	function pickRanges(data,type){
		var pickedRanges=[];
		var currentMouth=localStorage.temChangeTimeInit.substr(5,2)
		if(data.some(function(value,index){return value.dataType===type})){
			return pickedRanges=data[0].content;
		}else{
			pickedRanges=data[1].content;
			return pickedRanges.find(function(value){
				return value.activeMouth.some(function(v){return v==currentMouth});
			});
		}
	}
	
	

		/**
	 * 最大值 最小值 计算方法
	 * @param {object} data 计算的数据集合
	 * @param {string} key  数据中的字段名
	 * @param {object} res 存放结果的空对象 key:max,min,sum,avg
	 */
	function dataCalc(data,key){
		var curdata=[],res={sum:0};
		if(data.length===0){
			res.max = "无数据";
			res.mim = "无数据";
			res.avg = 0;
		}else{
		data.forEach(function(el){
			curdata.push(el[key])
			res.sum+=el[key];
		})
		res.max = Math.max.apply(null,curdata);
		res.min = Math.min.apply(null,curdata);
		res.sum = parseFloat(res.sum.toFixed(1));
		res.avg = parseFloat((res.sum/data.length).toFixed(1));
		}
		return res;
	}
	
	//拼接降水筛选表html
	function renderRainfallTable(ranges){
		var rainfallTableStr='',rainfallSelBoxStr='',maxStr='';
		for(var i=0;i<ranges.temCountData.length;i++){
			rainfallTableStr +='<li class="rainfalltable">'+
			'<div class="rainfalltable-title">'+ranges.temCountData[i].text+'</div>'+
			'<div class="rainfalltable-data">'+ranges.temCountData[i].items.length+'站</div></li>';
		};
		for(var i=0;i<ranges.temCanvasData.length;i++){
			rainfallSelBoxStr += '<option value='+i+'>'+ranges.temCanvasData[i].text+'</option>';
		};
		maxStr=ranges.temRank;
		$("#rainfallSel").html(rainfallSelBoxStr);
		// $("#rainfallSel").val('')
		$("#rainfallSelTxt").text('气温过滤');
		$("#rainfalltable-box").html(rainfallTableStr);
		$("#maxRainfallTitle").html(maxStr);
	}
	
//  交互  end
//});

//TODO 加速