//$(function(){
	var scr_w=$(window).width();
	var scr_h=$(window).height();
	$("#mapWrapper").width(scr_w).height(scr_h-88 - localStorage.statusbarHeight);
	var rainStainMapCan=document.getElementById("rainStainMapCan");//降水色斑图画布
	var rainStainMapCtx=rainStainMapCan.getContext("2d");
	var rainStationCan=document.getElementById("rainStationCan");//降水站点画布
	var rainStationCtx=rainStationCan.getContext("2d");
	var rainStainImg=document.getElementById("rainStainImg");
	var geoMap;
	
	
//	TODO
//1.叠加色斑图   湖南省地图的经纬度范围  叠加图片的大小  （已完成）
//2.绘制数值 ,根据时效与地图级别展示对应数据，例：省级时效为1h时，仅展示10mm以上的站点数据   （已完成）
//省：1h——10,6h——13,24h——25,48h——50,72h——50
//市：1h——4,6h——4,24——10,48——10,72——10
//县：全部显示
//3.站点柱状图单独发起请求
//4、排位与色斑图同一接口，

	// 降水量色斑图信息获取    begin   
//	var preStainInfoData={flag:0,datetime:""}; init
	function preStainMap(infoData){
		if(geoMap){
			geoMap.clear();//清空控件
		}
		rainStationCtx.clearRect(0,0,rainStationCan.width,rainStationCan.height);//	清空画布
		rainStainMapCtx.clearRect(0,0,rainStationCan.width,rainStationCan.height);//	清空画布
//		localStorage.rainSummationStartTime='';
//		localStorage.rainSummationEndTime='';
		var url="/currentMonitor/pre/stainMap.do";
		var interval,dateTime;
		interval=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		if(infoData.flag==0){
			dateTime='';
		}else{
			dateTime=infoData.datetime;
		}
		var params={interval:interval,datetime:dateTime};
		infoData.interval=interval;
		ajaxPost(url,params, _preStainMapSuccess,infoData);
	}
	var rainData={};
	function _preStainMapSuccess(data,infoData){
		$("#rainStainImg").attr("src",data.body.imgPath);
		var timeInterval=infoData.interval;
		var rainfallStartTimeTxt;
		var endTime=data.body.datetime;
		//TODO 时间计算不对 
		var startTime=addHour(endTime,-timeInterval* 60 * 60 * 1000); 
		localStorage.rainSummationStartTime=startTime;
		localStorage.rainSummationEndTime=endTime;
		if(infoData.flag==0){
			localStorage.rainfallStartTimeInit=startTime;
		}
		rainfallStartTimeTxt=startTime.substr(5,5)+"日"+startTime.substr(11,2)+"时-"+endTime.substr(8,2)+"日"+endTime.substr(11,2)+"时";
		$("#rainfallStartTime").text(rainfallStartTimeTxt);
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){});
			return false;
		}
		rainStationData=data.body.data;
		var rainStationDataLength=rainStationData.length;
		rainStationCtx.fillStyle='#000';
		rainStationCtx.font="600 12px 黑体";
		var cityName,cntyName,conItem;
		geoMap.clear();
		rainStationCtx.clearRect(0,0,rainStationCan.width,rainStationCan.height);//	清空画布
		rainStainMapCtx.clearRect(0,0,rainStationCan.width,rainStationCan.height);// 清空画布
		
		var station;
		var nationArr=[],backboneArr=[],areaArr=[];
		for (var i = 0; i < rainStationDataLength; i++) {
			station = rainStationData[i];
		    conItem= geoMap.registerElement(station.pre,station.lon,station.lat,30);
			switch(parseInt(station.level)){
				case 1:
					nationArr.push(station);
				break;
				
				case 2:
					backboneArr.push(station);
				break;
				
				case 3:
					areaArr.push(station);
				break;
			}
		}
		rainData.nationData=nationArr;
		rainData.backboneData=backboneArr;
		rainData.areaData=areaArr;
		rainData.imgPath=data.body.imgPath;
		_switchRainData(rainData);
	}
			
	function _switchRainData(data){	
		geoMap.clear();
		rainStationCtx.clearRect(0,0,rainStationCan.width,rainStationCan.height);//	清空画布
		var conItem;
		var mapLevel=$("#rainMap").attr("alt");
		var activeLevel=parseInt($("#rainSel").val());
		var activeData,timeInterval,activeDataLength;
		timeInterval=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		(function(url){
			if(url==null){
				return false;
			}
			var drawImgConItemLeftTop=geoMap.registerElement('rainStainImg',108.65,30.25,0);
			var drawImgConItemRightBottom=geoMap.registerElement('rainStainImg',114.4,24.5,0);
			var drawImgWidth=drawImgConItemRightBottom[0]-drawImgConItemLeftTop[0];
			var drawImgHeight=drawImgConItemRightBottom[1]-drawImgConItemLeftTop[1];
			var img = new Image();
    		img.src = url;
			img.onload=function(){
				rainStainMapCtx.drawImage($('<img src='+ url +'>')[0],drawImgConItemLeftTop[0],drawImgConItemLeftTop[1],drawImgWidth,drawImgHeight);
			}
		})(data.imgPath);
		switch(activeLevel){
			case 1:
				activeData=data.nationData;
			break;
			
			case 2:
				activeData=data.backboneData;
			break;
			
			case 3:
				activeData=data.areaData;
			break;
		}
		activeDataLength=activeData.length;
		for(var i=0;i<activeDataLength;i++){
			
			conItem= geoMap.registerElement(activeData[i].pre,activeData[i].lon,activeData[i].lat,30);
		    activeData[i].containerPos=[conItem[0],conItem[1]];
		    switch(mapLevel){
		    	case '6':
					switch(parseInt(timeInterval)){
						case 1:
							if(parseInt(activeData[i].pre)>=10){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 6:
							if(parseInt(activeData[i].pre)>=13){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 24:
							if(parseInt(activeData[i].pre)>=25){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 48:
							if(parseInt(activeData[i].pre)>=50){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 72:
							if(parseInt(activeData[i].pre)>=50){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
					}
		    	break;
		    	
		    	case '7':
		    		switch(parseInt(timeInterval)){
						case 1:
							if(parseInt(activeData[i].pre)>0){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 6:
							if(parseInt(activeData[i].pre)>=4){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 24:
							if(parseInt(activeData[i].pre)>=10){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 48:
							if(parseInt(activeData[i].pre)>=10){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
						case 72:
							if(parseInt(activeData[i].pre)>=10){
								rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
							}
						break;
					}
		    		
		    	break;
		    	
		    	case '8':
			    	if(parseInt(activeData[i].pre)>0){
			    		rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
			    	}
		    	break;
		    	default:
		    		if(parseInt(activeData[i].pre)>0){
			    		rainStationCtx.fillText(parseInt(activeData[i].pre), activeData[i].containerPos[0], activeData[i].containerPos[1]);
			    	}
		    	break;
		    }
		    
		}
	}
	
	// 降水量色斑图信息获取    end
	
	function init() {
		var map_lat_start; //底图左上角对应的经度
		var map_lon_start; //底图左上角对应的纬度
		var map_lat_end; //底图右下角对应的经度
		var map_lon_end; //底图右小角对应的纬度
		var map_w; //底图宽度
		var map_h; //底图高度
		//通过图片alt获取当前图片名称
		var i=parseInt($("#rainMap").attr('alt'));
		if(i==6){
			map_w=768;
			map_h=768;
			map_lat_start =11.178401873711781;
			map_lon_start =90; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 1;
			map_lat_end = map_lat_end + 1; 
		}
		if(i==7){
			map_w=1280;
			map_h=1536;
			map_lat_start =11.178401873711781;
			map_lon_start =95.625; 
			map_lat_end = 40.979898069620127; 
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.97;
			map_lat_end = map_lat_end + 0.97; 
		}
		if(i==8){
			map_w=2304;
			map_h=2560;
			map_lat_start =13.923403897723341; 
			map_lon_start =98.4375; 
			map_lat_end = 38.822590976177104;
			map_lon_end =123.75;

			map_lat_start = map_lat_start + 0.70; 
			map_lat_end = map_lat_end + 0.70;
		}
		if(i==9){
			map_w=3702;
			map_h=4352;
			map_lat_start =13.923403897723341; 
			map_lon_start =99.84375; 
			map_lat_end = 37.718590325588153;
			map_lon_end =123.75;

			map_lon_start = map_lon_start - 1.7; 
			map_lon_end = map_lon_end - 1.7;
			map_lat_start = map_lat_start + 1.91; 
			map_lat_end = map_lat_end + 1.91;
		}
		rainStainMapCan.width=map_w;//给canvas画布赋值宽高
		rainStainMapCan.height=map_h;
		rainStationCan.width=map_w;//给canvas画布赋值宽高
		rainStationCan.height=map_h;
		$("#mapBox").width(map_w).height(map_h);
		geoMap = null;
		geoMap = new GeoMapUtil();
		geoMap.init(map_lon_start,map_lon_end,map_lat_start,map_lat_end, 2, map_w, map_h);
	}
	function zoom(){
		if(JSON.stringify(rainData)!='{}'){
			_switchRainData(rainData);
		}else{
			var preStainInfoData={flag:0,datetime:""};
			preStainMap(preStainInfoData);
		}
	}
	
	
	//发起请求  
//	init

	init();
	var preStainInfoData={flag:0,datetime:""};
	preStainMap(preStainInfoData);
	
	$("#rain-datehour-ul").on("click",".rain-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		var preStainInfoData={flag:0,datetime:""};
		preStainMap(preStainInfoData);
	});
	// var targetId = '123';
	mui(".show-info-btn-box").on('tap','#rain-rank-link',function(){
		var activeDateHour=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		localStorage.rainActiveDateHour=activeDateHour;
		mui.openWindow({
			url:'../../web/monitoringOfLive/rainfall-ranking.html',
			styles: {
				statusbar: {
					background: localStorage.statusbarColor
				}
			},
			// extras:{
			// 	targetId:targetId
			// }
		});
	}); 
	
	
	$("#prevTimeBtn").on("click",function(){
		var intervalOpt=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		var datetime=localStorage.rainSummationStartTime;
		if(datetime!=localStorage.rainfallStartTimeInit){
			$("#nextTimeBtn").show();
		}
		var preStainInfoData={flag:1,datetime:datetime,interval:intervalOpt};
		preStainMap(preStainInfoData);
		
	});
	//TODO 加减时间计算不对 
	$("#nextTimeBtn").on("click",function(){
		var intervalOpt=$(".rain-datehour-option.datehour-option-active").attr("data-val");
		var datetime=addHour(localStorage.rainSummationEndTime, intervalOpt*60*60*1000);
		if(datetime>localStorage.rainfallStartTimeInit){
			$(this).hide();
			return false;
		}
		var preStainInfoData={flag:1,datetime:datetime,interval:intervalOpt};
		preStainMap(preStainInfoData);
	});
	
	//筛选站点 
	$("#rainSelTxt").text($("#rainSel").find("option:checked").text());
	$("#rainSel").on("change",function(){
		var activeTxt=$(this).find("option:checked").text();
		$("#rainSelTxt").text(activeTxt);
		if(JSON.stringify(rainData)!='{}'){
			_switchRainData(rainData);
		}else{
			mui.alert("暂无数据！","提示","确定",function(){})
		}
	});
	
	//放大
	$(".zoom-box").on("click","#zoomOutBtn",function(event){
		event.stopPropagation();
		var i=parseInt($("#rainMap").attr("alt"));
		i++;
		if(i>8){
			mui.toast("已是最大级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#rainMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		zoom();
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#rainMap").offset().left;
		cat.touchjs.top = $("#rainMap").offset().top;
	});
	//缩小
	$(".zoom-box").on("click","#zoomInBtn",function(event){
		event.stopPropagation(); 
		var i=parseInt($("#rainMap").attr("alt"));
		i--;
		if(i<6){
			mui.toast("已是最小级别地图！");
			return false;
		}
		var imgUrl='../../images/map/new-map/map_'+i+'.jpg';
		$("#rainMap").attr({
			"src":imgUrl,
			"alt":i
		});
		//初始化
		init();
		zoom();
		var lon = 111.5;
		var lat = 27.4;
		var xyObject = geoMap.calcXYByLonLat(lon, lat);
		var x = xyObject.x;
		var y = xyObject.y;
		$("#mapBox").css({
			'left': '-' + Subtr(x, accDiv($(window).width(), 2)) + 'px',
			"top": '-' + Subtr(y, accDiv($(window).height() - $('.mui-bar').height(), 2))  + 'px'
		});
		cat.touchjs.left = $("#rainMap").offset().left;
		cat.touchjs.top = $("#rainMap").offset().top;
		
	});
	
	
//});
