$(function(){
	preStation();
//	站点降水量折线图数据获取    begin
	function preStation(){
	 	var url="/currentMonitor/pre/preStation.do";
	 	var startTime=localStorage.rainSumChartStartTime;
	 	var endTime=localStorage.rainSumChartEndTime;
	 	var stationCode=localStorage.rainfallSumStationCode;
	 	var params={startTime:startTime,endTime:endTime,stationCode:stationCode};
	 	http.get(url,params, _preStationSuccess);
	 	$("#sumChartStartTime").text(startTime.substr(5,2)+"月"+startTime.substr(8,2)+"日"+startTime.substr(11,2)+"时");
		$("#sumChartEndTime").text(endTime.substr(5,2)+"月"+endTime.substr(8,2)+"日"+endTime.substr(11,2)+"时");
		$("#sumChartDetails").text(localStorage.rainfallSumStationName);
	}
	
	function _preStationSuccess(data,info){
		var resData=data.body.data;
		var resDataLength=resData.length;
		var datetimeArr=[],preArr=[],datetimeItem;
		
		for(var i=0;i<resDataLength;i++){
//			TODO  X轴时间显示跨日处理
			if(i>0){
				var currentDay=(resData[i].dateTime).substr(8,2);
				var prevDay=(resData[(i-1)].dateTime).substr(8,2);
				if(Number(currentDay)-Number(prevDay)==1){
					datetimeItem=currentDay+"日"
				}else{
					datetimeItem=(resData[i].dateTime).substr(11,5);
				}
				datetimeArr.push(datetimeItem);
			}else{
				datetimeArr.push((resData[i].dateTime).substr(11,5));
			}
			preArr.push(parseFloat(resData[i].pre));
		}
		$('#station-chart-container').highcharts({
			chart: {
	            type: 'column'
	        },
	        title: {
	            text: '近24小时降水统计',
	        },
	        legend: {
	            enabled: false
	        },
	        exporting: {
	            enabled: false
	        },
	        credits: {
	            enabled: false
	        },
	        xAxis: {
	            categories: datetimeArr,
	            crosshair: true
	        },
	        yAxis: {
	            min: 0,
	            title: {
	                text: '降雨量 (mm)'
	            }
	        },
	        series: [{
	            name: ' ',
	            data: preArr,
	            color:"#97ca00"
	        }]
		});
		
	}
//	站点降水量折线图数据获取   end
	
});
