window.onload=function(){
	var temOption = JSON.parse(localStorage.temOption);
	temChart();
//	站点24小时气温折线图获取    begin
	function temChart(){
	 	var url="/currentMonitor/tem/temChart.do";
		var datetime = temOption.displayTime;
	 	var stationCode=localStorage.temRankStationCode;
	 	var params={dateTime:datetime,stationCode:stationCode};
	 	http.get(url,params, _temChartSuccess);
		$("#stationDetails").text(localStorage.temRankStationName);
	}
	
	function _temChartSuccess(data,info){
		var resData=data.body.data;
		var resDataLength=resData.length;
		var datetimeArr=[],preArr=[],datetimeItem;
		for(var i=0;i<resDataLength;i++){
//			TODO  X轴时间显示跨日处理
			if(i>0){
				var currentDay=(resData[i].dateTime).substr(8,2);
				var prevDay=(resData[(i-1)].dateTime).substr(8,2);
				if(Number(currentDay)-Number(prevDay)==1){
					datetimeItem=currentDay+"日"
				}else{
					datetimeItem=(resData[i].dateTime).substr(11,5);
				}
				datetimeArr.push(datetimeItem);
			}else{
				datetimeArr.push((resData[i].dateTime).substr(11,5));
			}
			preArr.push(Number(resData[i].tem));
		}
		$('#tem-chart-container').highcharts({
	        chart: {
	            type: 'line'
	        },
	        title: {
	            text: ' '
	        },
	        xAxis: {
	            categories:datetimeArr 
	        },
	        yAxis: {
	            title: {
	                text: '气温 (°C)'
	            }
	        },
	        series: [{
	            name: '',
	            data: preArr,
	            color:"rgb(3,254,1)",
	            connectNulls:true,//该设置会连接空值点
	            gapSize:1,//缺失点小于gapSize则连接
	        }],
	        legend: {
	            enabled: false
	        },
	        exporting: {
	            enabled: false
	        },
	        credits: {
	            enabled: false
	        },
			tooltip: {
				pointFormat: '温度：{point.y}°C'
			}
	    });
		
	}
//	站点24小时气温折线图获取   end
	
};
