$(function(){
//	 水情日报表数据获取
	function waterRegimen(info){
		var url="/currentMonitor/waterRegimen/getData.do";
		var basin ,dataType;
		dataType=$(".water-datehour-option.datehour-option-active").attr("data-type");
		
		if(dataType==0){
			basin=$("#basinSel").val();
		}else{
			basin=0;
		}
		var datetime=$("#temShowRealtime").attr("data-time");
		if(info==0){
			datetime='';
		}
		
		var params={basin:basin,dataType:dataType,datetime:datetime};
		ajaxPost(url,params,_waterRegimenSuccess,dataType);
	}
	
	function getFluctuateStatus(type) {
		if (type == '涨') {
			return '↑'
		}
		if (type == '落') {
			return '↓'
		}
		if (type == '平') {
			return '—'
		}
		return ''
	}

	function _waterRegimenSuccess(data,info){
		if(data.body.recordNum==0){
			mui.alert("暂无数据！","提示","确定",function(){});
			$("#stationNameBox").empty();
			$("#stationDetailsBox").empty();
//			$(".no-data").show();
			return false;
		}else{
//			$(".no-data").hide();
		}
		var startTime=data.body.datetime;
		$("#temShowRealtime").text(startTime.substr(5,2)+"月"+startTime.substr(8,2)+"日"+startTime.substr(11,2)+"时").attr("data-time",startTime);
		
		var resData=data.body.data;
		var resDataLength=resData.length;
		var stationNameStr="",stationDetailsStr="",stationDetailsHead="";
		var stationNameHead='<li class="stationName-head">站名</li>';
		var dataType=parseInt(info);
		for(var i=0; i<resDataLength; i++){
			stationNameStr+='<li class="stationName-item">'+resData[i].stationName+'</li>';
			
			switch (dataType){
				case 0://河流水情日报表
					stationDetailsHead='<li class="details-thead" style="width:35.64rem;">'+
											'<span>河名</span>'+
											'<span>水位</span>'+
											'<span>警戒水位</span>'+
											'<span>涨落</span>'+
											'<span>历史最高水位</span>'+
											'<span>流量</span>'+
											'<span>较前日8时</span>'+
											'<span>水系</span>'+
											'<span>发生时间</span>'+
											'<span>时间</span>'+
											'<span>所属地区</span>'+
											'<span>所在县</span>'+
											'<span class="last-sp">控制面积</span>'+
										'</li>';
										
					stationDetailsStr+='<li class="details-td" style="width:35.64rem;">'+
											'<span>'+resData[i].riverName+'</span>'+
											'<span>'+resData[i].waterLevel+'</span>'+
											'<span>'+resData[i].warningWaterLevel+'</span>'+
											'<span>'+ getFluctuateStatus(resData[i].fluctuate) +'</span>'+ //TODO
											'<span >'+resData[i].highestWaterLevelRecords+'</span>'+
											'<span>'+resData[i].flow+'</span>'+
											'<span>'+resData[i].comparisonBeforeDay8hour+'</span>'+
											'<span>'+resData[i].riverSystem+'</span>'+
											'<span>'+resData[i].occurrenceTime+'</span>'+
											'<span>'+resData[i].datetime+'</span>'+
											'<span>'+resData[i].affiliatingArea+'</span>'+
											'<span>'+resData[i].county+'</span>'+
											'<span class="last-sp">'+resData[i].controlArea+'</span>'+
										'</li>';
					
				break;
						
			
				case 1://控制站日报表
					stationDetailsHead='<li class="details-thead"  style="width:27.46rem;">'+                            	
											'<span>河名</span>'+
											'<span>水位</span>'+
											'<span>警戒水位</span>'+
											'<span >历史最高水位</span>'+
											'<span>流量</span>'+
											'<span>较前日8时</span>'+
											'<span>发生时间</span>'+
											'<span>时间</span>'+
											'<span>所在县</span>'+
											'<span class="last-sp">控制面积</span>'+
										'</li>';
										
					stationDetailsStr+='<li class="details-td" style="width:27.46rem;">'+ 	 	 	 					
											'<span>'+resData[i].riverName+'</span>'+
											'<span>'+resData[i].waterLevel+'</span>'+
											'<span>'+resData[i].warningWaterLevel+'</span>'+
											'<span>'+resData[i].highestWaterLevelRecords+'</span>'+
											'<span>'+resData[i].flow+'</span>'+
											'<span>'+resData[i].comparisonBeforeDay8hour+'</span>'+
											'<span>'+resData[i].occurrenceTime+'</span>'+
											'<span>'+resData[i].datetime+'</span>'+
											'<span>'+resData[i].county+'</span>'+
											'<span class="last-sp">'+resData[i].controlArea+'</span>'+
										'</li>';
				break;
				
				case 2://大型水库日报表
					stationDetailsHead='<li class="details-thead" style="width:38.4rem;">'+
											'<span>库水位</span>'+
											'<span>正常蓄水位</span>'+
											'<span>汛限水位</span>'+
											'<span>入库流量</span>'+
											'<span>总出库</span>'+
											'<span>蓄水量</span>'+
											'<span>较前日8时</span>'+
											'<span>水系</span>'+
											'<span>河名</span>'+
											'<span>发生时间</span>'+
											'<span>时间</span>'+
											'<span>所属地区</span>'+
											'<span>所在县</span>'+
											'<span class="last-sp">控制面积</span>'+
										'</li>';
										
										
					stationDetailsStr+='<li class="details-td" style="width:38.4rem;">'+ 	
											'<span>'+resData[i].waterLevel+'</span>'+
											'<span>'+resData[i].normalPoolLevel+'</span>'+
											'<span>'+resData[i].floodControlLevel+'</span>'+
											'<span>'+resData[i].flow+'</span>'+
											'<span>'+resData[i].totalOutBound+'</span>'+
											'<span>'+resData[i].pondage+'</span>'+
											'<span>'+resData[i].comparisonBeforeDay8hour+'</span>'+
											'<span>'+resData[i].riverSystem+'</span>'+
											'<span>'+resData[i].riverName+'</span>'+
											'<span>'+resData[i].occurrenceTime+'</span>'+
											'<span>'+resData[i].datetime+'</span>'+
											'<span>'+resData[i].affiliatingArea+'</span>'+
											'<span>'+resData[i].county+'</span>'+
											'<span class="last-sp">'+resData[i].controlArea+'</span>'+
										'</li>';
				break;
			}
		}
		
		
		$("#stationNameBox").html(stationNameHead+stationNameStr);
		
		$("#stationDetailsBox").html(stationDetailsHead+stationDetailsStr);
		
		
		
	}
	
	
	
	waterRegimen(0);
	$("#tapWrapper").outerWidth($(window).width());
	//日期选择器
	var dtPicker = new mui.DtPicker({type:'hour'}); //年月日时
    
	mui("#showInfoBox").on("click","#waterDatepicker",function(){
		dtPicker.show(function(items){
			$("#temShowRealtime").text(items.m.text+"月"+items.d.text+"日"+items.h.text+"时")
			.attr("data-time",items.text+':00:00');
			waterRegimen(1);
		});
		
	});
	
	$("#basinSel").on("change",function(){
		var aciveOptTxt=$(this).find("option:checked").text();
		$("#basinSelTxt").text(aciveOptTxt);
		waterRegimen(1);
	});
	
	mui("#waterDatehourBox").on("click",".water-datehour-option",function(){
		$(this).addClass("datehour-option-active").siblings().removeClass("datehour-option-active");
		var activeType=$(this).attr("data-type");
		
		if(parseInt(activeType)==0){
			$("#basinSelBox").show();
		}else{
			$("#basinSelBox").hide();
		}
		waterRegimen(1);
	});
	
	
	
});
